/**
 * 查询信用账户资产
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        service = require("serviceImp").getInstance(),  //业务层接口，请求数据
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        utils = require("utils"),
        validatorUtil = require("validatorUtil"),
        utils = require("utils"),
        psw_id = "",
        platform = require("gconfig").platform,
        _pageId = "#account_netLogin";
    var external = require("external");
    /* 私有业务模块的全局变量 end */

    function init() {
        $(_pageId + " .main").height($(window).height() - $(_pageId + " .header").height());
        window.getInput = getInput; // 输入密码，获取密码值
        window.onFinish = onFinish; // 完成输入密码
//		if(platform == '2' || platform == '3'){
//			$(_pageId+" .input_text input").removeAttr("readonly");
//		}

    }

    function bindPageEvent() {
        /* 点击页面隐藏键盘 */
        appUtils.bindEvent($(_pageId), function (e) {
            if (platform == '1') {
                //关闭密码键盘
                /*require("shellPlugin").callShellMethod("softKeyboardPlugin",function(){
                 $(_pageId+" .main").height($(window).height()-$(_pageId+" .header").height());
                 },null,{"isShow":false});*/

                //add by fengxiang 2015-07-17 升级
                //关闭密码键盘
//				var param = {
//					"moduleName":"common",
//					"funcNo": "50211"
//				};
//				var result = external.callMessage(param);
//				if( result.error_no == "0"){
//	                $(_pageId+" #main").height($(window).height()-$(_pageId+" .header").height());
//				}
                //end by fengxiang 2015-07-17 升级
            }
            e.stopPropagation();	// 阻止冒泡
        });

        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"),
            function () {
                var branchID = appUtils.getSStorageInfo("branchno");
                var brokersno = appUtils.getSStorageInfo("recommendno");
                if (branchID == undefined) {
                    branchID = "";
                }
                if (brokersno == undefined) {
                    brokersno = "";
                }
                //如有选择了营业部或经纪人则需要传
                var param1 = {
                    "userid": appUtils.getSStorageInfo("user_id"),
                    "branchno": branchID,
                    "brokersno": brokersno
                }
                console.log("================================ param1=" + JSON.stringify(param1));
                /*  added at 2015/09/02
                 *  入参： user_id （客户id）
                 出参：调用成功有两种情况，
                 1.如果属于中焯渠道 会返回 status=1
                 2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
                service.serachIsCompanyCustomer(param1, function (data) {
                    console.log("================================ data=" + JSON.stringify(data));

                    var error_no = data.error_no,
                        error_info = data.error_info;
                    if (error_no == "0") {
                        var status = data.results[0].status;
                        if (status == "0") {
                            $(".ly_shadow").show();
                            var branchname = data.results[0].branchname;
                            var brokersname = data.results[0].brokersname;
                            var servicephone = data.results[0].servicephone;
                            var brokersphone = data.results[0].brokersphone;
                            var address = data.results[0].address;
                            var info = "";
                            //有经纪人的
                            if (!!brokersname) {
                                info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                                branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                                info += branchno_info;
                                $(".btn_bot p").html(info);
                                //监听营业部电话事件
                                appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听经纪人电话事件
                                appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听统一电话事件
                                appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                appUtils.bindEvent(".btn_box", function (e) {
                                    $(".ly_shadow").hide();
                                    e.stopPropagation(); // 阻止冒泡
                                });
                            } else {//无经纪人的
                                info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                                branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                                info += branchno_info;
                                $(".btn_bot p").html(info);
                                //监听营业部电话事件
                                appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听统一电话事件
                                appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                appUtils.bindEvent(".btn_box", function (e) {
                                    $(".ly_shadow").hide();
                                    e.stopPropagation(); // 阻止冒泡
                                });
                            }
                        } else {
                            if (require("gconfig").platform != "1") {
                                //ios 获取软件是否安装
                                var param = {
                                    "funcNo": "50200",
                                    "moduleName": "open",
                                    "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                };
                                var result = external.callMessage(param);
                                if (result.error_no == 0) {
                                    var isInstall = result.results[0].isInstall;
                                    //是否安装(0：否，1：是）
                                    if (isInstall == "1") {
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                            //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                        };
                                        external.callMessage(param);
                                    } else {
                                        layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                            //进入appstore
                                            var param = {
                                                "funcNo": "50109",
                                                "moduleName": "open",
                                                "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                            };
                                            external.callMessage(param);
                                        }, null, "下载", "取消");
                                    }
                                } else {
                                    layerUtils.iAlert("检测QQ失败");
                                }
                            } else {
                                var param = {
                                    "funcNo": "50109",
                                    "moduleName": "open",
                                    //					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                    "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                                };
                                external.callMessage(param);
                            }
                        }
                    } else {
                        layerUtils.iAlert(error_info);
                    }
                });
            });

        /* 绑定输入账号验证只让输入数字*/
        appUtils.bindEvent($(_pageId + " .fund_account"), function () {
            var accountNumStr = $(_pageId + " .fund_account").val().trim();
            if (accountNumStr != "") {
                if (!validatorUtil.isNumeric(accountNumStr)) {
                    layerUtils.iMsg(-1, "请输入数字资金账号！");
                    var str = $(_pageId + " .fund_account").val();
                    $(_pageId + " .fund_account").val(str.substring(0, str.length - 1));
                    return false;
                }
            }
        }, "input");

        /* 点击密码框统一调用密码键盘 */
        appUtils.bindEvent($(_pageId + " #pwdeeeeeeeee"), function (e) {
            if (platform == '1') {
                /*psw_id = "#" + $(this).attr("id"); // 当前input元素id
                 var pwsdParam = {
                 "isShow": true,
                 "oldPwd": $(this).val(),
                 "maxLength": 6
                 };
                 var topHeight = $(this).offset().top + $(this).parent().height(); // 当前元素到顶部的高度
                 var bodyHeight = $(document.body).height(); // 当前body的高度
                 require("shellPlugin").callShellMethod("softKeyboardPlugin",function(data) {
                 $(_pageId+" .main").height($(window).height()-$(_pageId+" .header").height());
                 // 解决弹出键盘遮挡输入框的情况
                 var keyheight = data.height / window.devicePixelRatio; // 键盘高度
                 var newbody = bodyHeight - keyheight; // 键盘弹出
                 // body的高度
                 var scrollheight = topHeight - newbody; // 输入框被遮住的高度
                 if (scrollheight > 0) // 只有当密码键盘挡住输入框的时候才进行处理
                 {
                 scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; // 页面需要滚动的高度
                 $("body").css("padding-bottom", scrollheight2 + "px").scrollTop(scrollheight);
                 }
                 }, null, pwsdParam);*/

                //add by fengxiang 2015-07-17 升级
                var param = {
                    "funcNo": "50210",
                    "moduleName": "common",
                    "pageId": "account_netLogin",
                    "eleId": $(this).attr("id"),
                    "doneLable": "完成",
                    "keyboardType": "3",
                    "source": "open"
                };
                //改为调系统自带键盘
//				external.callMessage(param);
                // 避免输入框被遮挡
//				var topHeight = $(this).offset().top + $(this).parent().height();  //当前元素到顶部的高度
//				var bodyHeight = $(document.body).height();  //当前body的高度
//				var keyheight = 325;
//				var newbody = bodyHeight - keyheight;  // 键盘弹出 body的高度
//				var scrollheight = topHeight - newbody; // 输入框被遮住的高度
//				if(scrollheight>0)  //只有当密码键盘挡住输入框的时候才进行处理
//				{
//					scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; //页面需要滚动的高度
//					$("body").css("padding-bottom",scrollheight2+"px").scrollTop(scrollheight);
//				}
                //end by fengxiang 2015-07-17 升级

            }
            e.stopPropagation();	// 阻止冒泡
        });


        /* 绑定输入密码只能输入数字*/
        appUtils.bindEvent($(_pageId + " .tradepwd"), function () {
            var codeStr = $(this).val().trim();
            if (codeStr != "") {
                if (!validatorUtil.isNumeric(codeStr)) {
                    layerUtils.iMsg(-1, "请输入数字密码！");
                    $(this).val("");
                    return false;
                }
            }
        }, "input");

        appUtils.bindEvent($(_pageId + " .ce_btn"), function () {
            var fund_account = $(_pageId + " .fund_account").val(),   //信用账号
                tradepwd = $(_pageId + " .tradepwd").val(),  //交易密码
                user_id = appUtils.getSStorageInfo("user_id");  //用户id
            var accountNumStr = $(_pageId + " .fund_account").val().trim();
            if ((accountNumStr.length) < 10 || (accountNumStr.length) > 11) {
                layerUtils.iMsg(-1, "请输入10~11位的账号！");
                return false;
            }
            param = {
                "user_id": user_id,
                "fund_account": fund_account,
                "password": tradepwd
            };
            //查询信用账户资金
            service.loginNetAccount(param, function (data) {
                var error_no = data.error_no,
                    error_info = data.error_info,
                    result = data.results;
                if (error_no == "0" && result.length != 0) {
                    //获取应用版本
                    var molileAttribution = appUtils.getSStorageInfo("molileAttribution");
                    var user_id = appUtils.getSStorageInfo("user_id");
                    var param = {"user_id": user_id, "message": "queryXyAsset", "molileAttribution": molileAttribution};
                    //记录流程日志
                    service.submitProcesslog(function (data) {
                        var errorNo = data.error_no;
                        var errorInfo = data.error_info;
                        if (errorNo == "0") {

                        } else {
                            layerUtils.iAlert(errorInfo, -1);
                        }
                    }, param);
                    var net_asset = result[0].net_asset;
                    var marketvalue = appUtils.getSStorageInfo("marketvalue");
                    appUtils.setSStorageInfo("marketvalue", parseInt(marketvalue));
                    appUtils.setSStorageInfo("net_asset", net_asset);
                    appUtils.pageInit("account/netLogin", "account/netInfo", {});
                } else {
                    if (error_no == "-990326040") {
                        layerUtils.iAlert("无此信用客户！", -1);
                    } else {
                        layerUtils.iAlert(error_info, -1);
                    }

                }
            });
        });

        //绑定返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            appUtils.pageBack();
        });

    }

    function destroy() {
        service.destroy();
    }

    /* 获取密码值 */
    function getInput(data) {
        $(_pageId + " " + psw_id).val(data);
    }

    /* 关闭密码键盘 */
    function onFinish() {
        $("body").css("padding-bottom", "0").scrollTop(0);
    }

    var netLogin = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = netLogin;
});