/**
 * 开|转户结果
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        service = require("serviceImp").getInstance(),  //业务层接口，请求数据
        layerUtils = require("layerUtils"),
        global = require("gconfig").global,
        gconfig = require("gconfig"),
        utils = require("utils"),
        downurl = "",   //android手机的下载
        IosDownurl = "", //iphone手机的下载
        _pageId = "#account_accountResult";
    /* 私有业务模块的全局变量 end */

    var login_info;
    var external = require("external");

    function init() {

        login_info = JSON.parse(appUtils.getSStorageInfo("login_info"));

        layerUtils.iLoading(false);

        //修改用户完成标识
        service.modifyUserFinishFlag({"user_id": login_info.user_id}, function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            if (error_no == 0) {

            } else {
                layerUtils.iAlert(error_info, -1);
            }
        });
    }

    function bindPageEvent() {
        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"),
            function () {
                var branchID = appUtils.getSStorageInfo("branchno");
                var brokersno = appUtils.getSStorageInfo("recommendno");
                if (branchID == undefined) {
                    branchID = "";
                }
                if (brokersno == undefined) {
                    brokersno = "";
                }
                //如有选择了营业部或经纪人则需要传
                var param1 = {
                    "userid": appUtils.getSStorageInfo("user_id"),
                    "branchno": branchID,
                    "brokersno": brokersno
                }
                console.log("================================ param1=" + JSON.stringify(param1));
                /*  added at 2015/09/02
                 *  入参： user_id （客户id）
                 出参：调用成功有两种情况，
                 1.如果属于中焯渠道 会返回 status=1
                 2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
                service.serachIsCompanyCustomer(param1, function (data) {
                    console.log("================================ data=" + JSON.stringify(data));

                    var error_no = data.error_no,
                        error_info = data.error_info;
                    if (error_no == "0") {
                        var status = data.results[0].status;
                        if (status == "0") {
                            $(".ly_shadow").show();
                            var branchname = data.results[0].branchname;
                            var brokersname = data.results[0].brokersname;
                            var servicephone = data.results[0].servicephone;
                            var brokersphone = data.results[0].brokersphone;
                            var address = data.results[0].address;
                            var info = "";
                            //有经纪人的
                            if (!!brokersname) {
                                info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                                branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                                info += branchno_info;
                                $(".btn_bot p").html(info);
                                //监听营业部电话事件
                                appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听经纪人电话事件
                                appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听统一电话事件
                                appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                appUtils.bindEvent(".btn_box", function (e) {
                                    $(".ly_shadow").hide();
                                    e.stopPropagation(); // 阻止冒泡
                                });
                            } else {//无经纪人的
                                info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                                branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                                info += branchno_info;
                                $(".btn_bot p").html(info);
                                //监听营业部电话事件
                                appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听统一电话事件
                                appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                appUtils.bindEvent(".btn_box", function (e) {
                                    $(".ly_shadow").hide();
                                    e.stopPropagation(); // 阻止冒泡
                                });
                            }
                        } else {
                            if (require("gconfig").platform != "1") {
                                //ios 获取软件是否安装
                                var param = {
                                    "funcNo": "50200",
                                    "moduleName": "open",
                                    "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                };
                                var result = external.callMessage(param);
                                if (result.error_no == 0) {
                                    var isInstall = result.results[0].isInstall;
                                    //是否安装(0：否，1：是）
                                    if (isInstall == "1") {
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                            //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                        };
                                        external.callMessage(param);
                                    } else {
                                        layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                            //进入appstore
                                            var param = {
                                                "funcNo": "50109",
                                                "moduleName": "open",
                                                "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                            };
                                            external.callMessage(param);
                                        }, null, "下载", "取消");
                                    }
                                } else {
                                    layerUtils.iAlert("检测QQ失败");
                                }
                            } else {
                                var param = {
                                    "funcNo": "50109",
                                    "moduleName": "open",
                                    //					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                    "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                                };
                                external.callMessage(param);
                            }
                        }
                    } else {
                        layerUtils.iAlert(error_info);
                    }
                });
            });

        //返回首页
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            $("#bodyContent .page").each(function () {
                $(this).remove();
            });
            for (var key in seajs.data.fetchedList) {
                if (key.indexOf("/m/project/scripts/account/") > -1) {
                    delete seajs.data.fetchedList[key];
                }
            }
            appUtils.clearSStorage();
            appUtils.setSStorageInfo("started", "true", true);
            appUtils.pageInit("account/accountResult", "account/login");
        });

        //退出
        appUtils.bindEvent($(_pageId + " #exit"), function () {
            $("#bodyContent .page").each(function () {
                $(this).remove();
            });
            for (var key in seajs.data.fetchedList) {
                if (key.indexOf("/m/project/scripts/account/") > -1) {
                    delete seajs.data.fetchedList[key];
                }
            }
            appUtils.setSStorageInfo("backIndex", 1);

            //是否是中焯的
            if (global.isZhongZhuo) {
                //退出至中焯页面
                var param = {
                    "funcNo": "50101",
                    "moduleName": "open"
                };
                external.callMessage(param);
            } else {
                //单独广州 跳转到首页
                appUtils.clearSStorage(true);
                appUtils.setSStorageInfo("started", "true", true);
                appUtils.sendDirect("../open/index.html#!/business/index.html");
            }
        });


//		if (gconfig.platform == '1') {
//		// 下载
//		appUtils.bindEvent($(_pageId + " #down"),function() {
//		/*var url = {
//		"url": downurl
//		};
//		require("shellPlugin").callShellMethod("webViewPlugin", null, null, url);
//		*/
//		var param = {
//		"funcNo":"501091",
//		"moduleName":"open",
//		"url": downurl
//		};
//		external.callMessage(param);
//		});
//		//退出
//		appUtils.bindEvent($(_pageId + " #exit"),function() {
//		/*		            $("body #bodyContent .page").each(function(){
//		$(this).remove();
//		});
//		require("shellPlugin").callShellMethod("closeAppPlugin", null, null);*/

//		appUtils.clearSStorage();  //清除sessionStorage中的所有数据
//		//情况html,js
//		$("#bodyContent .page").each(function(){
//		$(this).remove();
//		});
//		for(var key in seajs.data.fetchedList) {
//		if(key.indexOf("/m/project/scripts/account/") > -1) {
//		delete seajs.data.fetchedList[key];
//		}
//		}

//		appUtils.setSStorageInfo("backIndex",1);
//		//appUtils.pageInit("account/accountResult","business/index",{});
//		//appUtils.sendDirect("../open/index.html#!/business/index.html");

//		//退出至中焯页面
//		var param = {
//		"funcNo":"50101",
//		"moduleName":"open"
//		};
//		external.callMessage(param);
//		appUtils.clearSStorage(true);
//		$(_pageId).remove();
//		});
//		} else {
//		appUtils.bindEvent($(_pageId + " #down"),function() {
//		/*var url = {
//		"url": IosDownurl
//		};
//		require("shellPlugin").callShellMethod("webViewPlugin", null, null, url);
//		*/

//		var param = {
//		"funcNo":"50109",
//		"moduleName":"open",
//		"url": IosDownurl
//		};
//		external.callMessage(param);

//		});
//		$(_pageId + " #exit").hide();
//		}

    }

    /* 显示新开户结果 */
    function showOpenAccount(gdzh) {
        // 从 session 中取资金账号和股东账号
        var zjzh = appUtils.getSStorageInfo("acct_fndacct");
        //       gdzh = appUtils.getSStorageInfo("gdzh");
        $(_pageId + " .order_info dl:not(:eq(0))").remove();
        // 如果取出的资金账户为 空，只显示正在审核，请耐心等候！
        if (zjzh != null) {
            // 设置按钮显示提示文字
            if (appUtils.getSStorageInfo("openChannel") == "change") {
                if (appUtils.getSStorageInfo("finance") == "finance") {
                    $(_pageId + " .order_succes h5:eq(0)").text("恭喜开户成功！");
                } else {
                    $(_pageId + " .order_succes h5:eq(0)").text("恭喜转户成功！");
                }
            } else {
                $(_pageId + " .order_succes h5:eq(0)").text("恭喜开户成功！");
            }
            // 设置欢迎内容
            $(_pageId + " .order_succes p:eq(0)").text("");

            // 显示资金账户、股东账号的信息
            $(_pageId + " .order_info").show();
            $(_pageId + " #zjzh").html(zjzh + "&nbsp;");
        }

        if (gdzh == null) {
            gdzh = "您的股东账号仍在审核中，请继续等待！";
            $(_pageId + " #gdzh").html(gdzh);
        } else {
//			gdzh = gdzh.split("-");
            for (var i = 0; i < gdzh.length; i++) {
                //               var oneAccount = gdzh[i].split(":");
                $(_pageId + " .order_info").append("<dl><dt>" + gdzh[i].stkbd_name + ":</dt><dd>" + (gdzh[i].account || "办理中") + "</dd></dl>");
            }
        }

        // 如果开出了上海账号，显示提示信息
        if (($(_pageId + " .order_info").html()).indexOf("沪") != -1) {
            $(_pageId + " .order_succes p:eq(3)").html("注意：请登录交易系统进行上海账户的指定交易：点击\"买入\"，输入证券代码\"799999\"，价格\"1\"，股数\"1\"。");
        }
    }

    function destroy() {
        $(_pageId + " order_succes p:eq(3)").html("");
        $(_pageId + " #gdzh").html("");
    }

    var accountResult = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = accountResult;
});