/**
 * 驳回三方存管
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        service = require("serviceImp").getInstance(),  //业务层接口，请求数据
        layerUtils = require("layerUtils"),
        shellPlugin = require("shellPlugin"),
        utils = require("utils"),
        validatorUtil = require("validatorUtil"),
        zzispwd = 1,  // zzispwd	密码方式，1 需要密码，0 不需要
        protocol = null,  //协议保存
        cert_type = "zd",  //证书类型
        platform = require("gconfig").platform,
        _pageId = "#account_backThirdDepository";

    var external = require("external");
    /* 私有业务模块的全局变量 end */

    function init() {
//		if(gconfig.platform==2)
//		{
//			$(_pageId+" .user_form .input_text").removeAttr("readonly");
//		}
//		window.getInput = getInput;  //输入密码，获取密码值
//		window.onFinish = onFinish;  //完成输入密码
        // 开启等待层。。。
        layerUtils.iLoading(true);
        //detectCertificate();  // 检测证书是否存在
        getBankList()   //加载银行列表
    }

    /*检测证书是否存在*/
    function detectCertificate() {
        //本页面需要用到证书，如果进入本页面时，证书不存在就下载并安装证书
        /*var existsParam = {
         "userId" : appUtils.getSStorageInfo("user_id"),
         "mediaid" : "certificate",
         "type" : cert_type
         };
         shellPlugin.callShellMethod("fileIsExistsPlugin",function(data){
         // 如果未检测到本地有证书，就安装证书
         if(data.mediaId == "")
         {
         utils.installCertificate(getBankList);  // 下载安装证书，并且加载银行列表
         }
         else
         {
         getBankList(); //加载银行列表
         }
         },function(){
         // 关闭等待层。。。
         layerUtils.iLoading(false);
         },existsParam);*/


        //add by fengxiang 2015-07-17 升级
        var param = {
            "funcNo": "60001",
            "moduleName": "open",
            "userId": appUtils.getSStorageInfo("user_id"),
            "mediaId": "certificate",
            "type": cert_type,
            "content": ""
        };
        var result = external.callMessage(param);
        if (result.error_no == "0") {
            var data = result.results[0];
            // 如果未检测到本地有证书，就安装证书
            if (data.mediaId == "") {
                utils.installCertificate(getBankList);  // 下载安装证书，并且加载银行列表
            } else {
                getBankList(); //加载银行列表
            }
        } else {
            // 关闭等待层。。。
            layerUtils.iLoading(false);
        }
        //end by fengxiang 2015-07-17 升级
    }

    function bindPageEvent() {
        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"), function () {
            var branchID = appUtils.getSStorageInfo("bid");
            var brokersno = appUtils.getSStorageInfo("recommendno");
            if (branchID == undefined) {
                branchID = "";
            }
            if (brokersno == undefined) {
                brokersno = "";
            }
            //如有选择了营业部或经纪人则需要传
            var param1 = {
                "userid": appUtils.getSStorageInfo("user_id"),
                "branchno": "",
                "brokersno": ""
            }
            /*  added at 2015/09/02
             *  入参： user_id （客户id）
             出参：调用成功有两种情况，
             1.如果属于中焯渠道 会返回 status=1
             2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
            service.serachIsCompanyCustomer(param1, function (data) {
                var error_no = data.error_no,
                    error_info = data.error_info;
                if (error_no == "0") {
                    var status = data.results[0].status;
                    if (status == "0") {
                        $(".ly_shadow").show();
                        var branchname = data.results[0].branchname;
                        var brokersname = data.results[0].brokersname;
                        var servicephone = data.results[0].servicephone;
                        var brokersphone = data.results[0].brokersphone;
                        var address = data.results[0].address;
                        var info = "";
                        //有经纪人的
                        if (!!brokersname) {
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听经纪人电话事件
                            appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        } else {//无经纪人的
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        }
                    } else {
                        if (require("gconfig").platform != "1") {
                            //ios 获取软件是否安装
                            var param = {
                                "funcNo": "50200",
                                "moduleName": "open",
                                "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                            };
                            var result = external.callMessage(param);
                            if (result.error_no == 0) {
                                var isInstall = result.results[0].isInstall;
                                //是否安装(0：否，1：是）
                                if (isInstall == "1") {
                                    var param = {
                                        "funcNo": "50109",
                                        "moduleName": "open",
                                        "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                        //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                    };
                                    external.callMessage(param);
                                } else {
                                    layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                        //进入appstore
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                        };
                                        external.callMessage(param);
                                    }, null, "下载", "取消");
                                }
                            } else {
                                layerUtils.iAlert("检测QQ失败");
                            }
                        } else {
                            var param = {
                                "funcNo": "50109",
                                "moduleName": "open",
                                //					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                            };
                            external.callMessage(param);
                        }
                    }
                } else {
                    layerUtils.iAlert(error_info);
                }
            });
        });

        /* 点击页面隐藏键盘 */
        appUtils.bindEvent($(_pageId), function (e) {
            $(_pageId + " #bankListPage").slideUp("fast"); //隐藏银行卡列表
            if (gconfig.platform == "1") {
                //require("shellPlugin").callShellMethod("softKeyboardPlugin",null,null,{"isShow":false});  //关闭密码键盘

                //add by fengxiang 2015-07-17 升级
                //关闭密码键盘
//				var param = {
//					"moduleName":"common",
//					"funcNo": "50211"
//				};
//				external.callMessage(param);
                //end by fengxiang 2015-07-17 升级
            }
//			onFinish();
            e.stopPropagation();  // 阻止冒泡
        });

        /* 选择银行卡绑定选择某银行事件 */
        appUtils.bindEvent($(_pageId + " #bankcard"), function (e) {
            validateSelectBank(); // 验证是否选择银行卡
            if (platform == '1') {
                //add by fengxiang 2015-07-17 升级

                //关闭密码键盘
//				var param = {
//					"moduleName":"common",
//					"funcNo": "50211"
//				};
//				external.callMessage(param);
                //end by fengxiang 2015-07-17 升级

//ios使用密码插件的时候    需使用插件调原生键盘  
//				if(gconfig.platform != '1'){
//					utils.dealIPhoneMaxLength(this,19); // 处理iphone兼容
//					var param = {
//						"funcNo": "50210",
//						"moduleName": "common",
//						"pageId": "account_backThirdDepository",
//						"eleId": $(this).attr("id"),
//						"doneLable": "完成",
//						"keyboardType": "9",
//						"source": "open"
//					};
//					external.callMessage(param);
//				}
            }
            e.stopPropagation();  // 阻止冒泡
        });

        /* 选择银行绑定下拉框按钮事件  */
        appUtils.bindEvent($(_pageId + " #selectBank"), function (e) {
            if (gconfig.platform == "1") {
                //require("shellPlugin").callShellMethod("softKeyboardPlugin",null,null,{"isShow":false});  //关闭密码键盘

                //add by fengxiang 2015-07-17 升级
                //关闭密码键盘
//				var param = {
//					"moduleName":"common",
//					"funcNo": "50211"
//				};
//				external.callMessage(param);
                //end by fengxiang 2015-07-17 升级
            }
            $(_pageId + " #bankListPage ul li").removeClass("active");
            $(_pageId + " #bankListPage").slideDown("fast");  // 显示银行下拉列表
            e.stopPropagation();  // 阻止冒泡
        });

        /* 签署银行相关协议  */
        appUtils.bindEvent($(_pageId + " .rule_check a"), function () {
            $(this).toggleClass("checked");
        });


        /* 银行卡号输入控制（每四位分隔） */
        appUtils.bindEvent($(_pageId + " #bankcard"), function () {
            utils.dealIPhoneMaxLength(this, 21); //处理iphone兼容
            utils.showBigNo(this, 2);  //调用放大镜插件
        }, "input");

        /* 银行密码输入框 */
//		appUtils.bindEvent($(_pageId+" #bankcardPwd"),function(e){
//			validateSelectBank();  // 验证是否选择银行卡
//			var topHeight = $(this).offset().top + $(this).parent().height();  //当前元素到顶部的高度
//			var bodyHeight = $(document.body).height();  //当前body的高度
//			var pwsdParam = {"isShow":true,"oldPwd":$(this).val(),"maxLength":6};
//			if(gconfig!=3)
//			{
//				require("shellPlugin").callShellMethod("softKeyboardPlugin",function(data){
//				//解决弹出键盘遮挡输入框的情况
//				var keyheight = data.height/window.devicePixelRatio; //键盘高度
//				var newbody = bodyHeight - keyheight;  // 键盘弹出 body的高度
//				var scrollheight = topHeight - newbody; // 输入框被遮住的高度
//				if(scrollheight>0)  //只有当密码键盘挡住输入框的时候才进行处理
//				{
//					scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; //页面需要滚动的高度
//					$("body").css("padding-bottom",scrollheight2+"px").scrollTop(scrollheight);
//				}
//			},null,pwsdParam);
//			}
//
//			e.stopPropagation();  // 阻止冒泡
//		});

        /* 点击密码框统一调用密码键盘 */
        appUtils.bindEvent($(_pageId + " #bankcardPwd"), function (e) {
            if (platform == '1') {
                utils.dealIPhoneMaxLength(this, 6); // 处理iphone兼容
                //add by fengxiang 2015-07-17 升级
                var param = {
                    "funcNo": "50210",
                    "moduleName": "common",
                    "pageId": "account_backThirdDepository",
                    "eleId": $(this).attr("id"),
                    "doneLable": "完成",
                    "keyboardType": "3",
                    "source": "open"
                };
                //改为调系统自带键盘  把插件注释
//				external.callMessage(param);

                // 避免输入框被遮挡
//				var topHeight = $(this).offset().top + $(this).parent().height();  //当前元素到顶部的高度
//				var bodyHeight = $(document.body).height();  //当前body的高度
//				var keyheight = 325;
//				var newbody = bodyHeight - keyheight;  // 键盘弹出 body的高度
//				var scrollheight = topHeight - newbody; // 输入框被遮住的高度
//				if(scrollheight>0)  //只有当密码键盘挡住输入框的时候才进行处理
//				{
//					scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; //页面需要滚动的高度
//					$("body").css("padding-bottom",scrollheight2+"px").scrollTop(scrollheight);
//				}
                //end by fengxiang 2015-07-17 升级
            }
            e.stopPropagation();	// 阻止冒泡
        });


        /* 绑定输入密码只能输入六位数字*/
        appUtils.bindEvent($(_pageId + " .password"), function () {
            var codeStr = $(this).val().trim();
            if (codeStr != "") {
                if (!validatorUtil.isNumeric(codeStr)) {
                    layerUtils.iMsg(-1, "请输入数字密码！");
                    $(this).val("");
                    return false;
                }
            }
        }, "input");

        /* 开通三方存管按钮绑定事件 */
        appUtils.bindEvent($(_pageId + " .ct_btn"), function () {
            signProtocol();  //提交验签，并且提交三方存管信息
        });
    }

    function destroy() {
        service.destroy();
    }

    /* 获取存管银行列表 */
    function getBankList() {
        var queryParam = {
            "zzbindtype": "",
            "zzispwd": ""
        }
        //调用service查询存管银行list
        service.queryBankList(queryParam, function (data) {
            var errorNo = data.error_no;
            var errorInfo = data.error_info;
            //清除页面的银行列表
            $(_pageId + " .sel_list ul").html("");
            if (errorNo == 0 && data.results.length != 0)	//调用成功
            {
                var results = data.results;
                var length = results.length;
                var itemElement = "";
                for (var i = 0; i < length; i++) {
                    var item = results[i];
                    // 银行代码
                    var bankcode = item.bankcode;
                    var bankname = item.bankname;
                    var sortnum = item.sortnum;
                    var smallimg = item.smallimg;
                    var isbuffet = item.isbuffet;
                    // 银行的签约信息（一卡多签、一卡一签）
                    var signInfo = item.sign_info;
                    // zzbindtype	绑定方式，1 一步式，2 预指定
                    var zzbindtype = item.zzbindtype;
                    itemElement += "<li><span bankname='" + bankname + "' id='" + bankcode + "' " +
                        "zzispwd=\"" + item.zzispwd + "\"" +
                        "zzbindtype=\"" + zzbindtype + "\" sign-info=\"" + signInfo + "\">" + bankname + "</span></li>";
                }
                $(_pageId + " .sel_list ul").html(itemElement);
                // 选择银行添加银行事件
                appUtils.bindEvent($(_pageId + " #bankListPage ul li span"), function (e) {
                    $(_pageId + " #bankListPage ul li").removeClass("active");
                    $(this).parent().addClass("active");
                    $(_pageId + " .protocolshow").show();
                    var banckName = $(this).attr("bankname"),
                        id = $(this).attr("id"),
                        zzbindtype = $(this).attr("zzbindtype");
                    // zzispwd	密码方式，1 需要密码，0 不需要
                    zzispwd = $(this).attr("zzispwd"),
                        signInfo = $(this).attr("sign-info");
                    addBankItem(banckName, id, zzbindtype, signInfo);
                    e.stopPropagation();
                });
            }
            else {
                layerUtils.iAlert(errorInfo, -1);
            }
        });
    }

    /* 为选择银行列表添加选中银行数据 */
    function addBankItem(banckName, id, zzbindtype, signInfo) {
        // 显示银行的签约信息
        if (signInfo != "" && signInfo != undefined) {
            $(_pageId + " #signInfo").html("温馨提示: " + signInfo);
        }
        else // 为空，将原有的提示信息置空
        {
            $(_pageId + " #signInfo").html("");
        }
        $(_pageId + " #bankcard").val(""); //清空银行卡号值
        $(_pageId + " #bankcardPwd").val(""); //清空银行卡密码
        $(_pageId + " #selectBank").html(banckName);  //赋值银行卡名称
        $(_pageId + " #selectBank").attr("bankcode", id);
        $(_pageId + " #selectBank").attr("zzbindtype", zzbindtype);
        // 获取银行协议内容
        getDepositoryAgreement(id);
        // zzispwd	密码方式，1 需要密码，0 不需要
        if (zzispwd == 0) {
            $(_pageId + " #bankcardPwd").parent().hide();  // 隐藏银行密码输入框
        }
        else {
            $(_pageId + " #bankcardPwd").parent().show();  // 显示银行密码输入框
        }
        // zzbindtype	绑定方式，1 一步式，2 两步式
        if (zzbindtype == 1) {
            $(_pageId + " #bindInfo").hide();  // 支持一步式绑定，隐藏提示信息
            $(_pageId + " #bankcard").parent().show();  // 显示银行卡输入框
        }
        else if (zzbindtype == 2) {
            $(_pageId + " #bankcard").parent().hide();  // 隐藏银行卡输入框
            $(_pageId + " #bankcardPwd").parent().hide();  // 隐藏银行密码输入框
        }
        else {
            $(_pageId + " #bindInfo").show();  // 不支持一步式绑定，显示提示信息
        }

        /*start by 2015-05-08-12:39   动态获取银行简介*/
        var param = {
            "bankcode": id
        };
        // 请求获取验证码接口
        service.getbrief(param, function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            var result = data.results;
            if (error_no == "0") {
                var brief_info = result[0].content;
                var bankname = result[0].bankname;
                switch (bankname) {

                    case "中国银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入电话银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "工商银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "农业银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "建设银行":

                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "兴业银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "华夏银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "民生银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行查询密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "中信银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "广州银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "招商银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "光大银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "浦发银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "上海银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "平安银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "广发存管":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "交通银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入电话银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                    case "邮政银行":
                        $(_pageId + " #bankcardPwd").attr("placeholder", ""); // 清理密码s
                        $(_pageId + " #bankcardPwd").attr("placeholder", "请输入银行密码");
                        $(_pageId + " #tips0").show();
                        $(_pageId + " .link_info").html("");
                        $(_pageId + " .link_info").append(brief_info);
                        break;
                }
            }
            else {
                layerUtils.iAlert(error_info, -1);
                return false;
            }
        });
        /*start by 2015-05-08-12:39   动态获取银行简介*/
        $(_pageId + " #bankListPage").slideUp("fast");  // 隐藏银行下拉列表
    }

    /* 签署协议 */
    function signProtocol() {
        var bindType = $(_pageId + " #selectBank").attr("zzbindtype");  // 绑定类型
        if (bindType == 2)  // 两步式
        {
            //验证是否勾选协议
            if (!validateDepositProtocolSelect()) {
                return false;
            }
        }
        else {
            //首先进行表单校验
            //验证是否选择银行
            if (!validateSelectBank()) {
                return false;
            }
            //验证银行卡号
            if (!validateBankCorrect()) {
                return false;
            }
            // 验证是否需要密码
            if (zzispwd == 1 && !validateBankPwd()) {
                return false;
            }
            //验证是否勾选协议
            if (!validateDepositProtocolSelect()) {
                return false;
            }
        }
        // 进行协议签署
        var protocolArray = new Array(),  // 协议数组
            userid = appUtils.getSStorageInfo("user_id"),
            ipaddr = appUtils.getSStorageInfo("ip"),
            macaddr = appUtils.getSStorageInfo("mac"),
            protocolid = protocol.econtract_no,
            protocolname = protocol.econtract_name,
            summary = protocol.econtract_md5;  // 协议内容MD5,签名摘要信息
        var protocolParam = {
            "protocol_id": protocolid,
            "protocol_dcsign": "",
            "summary": summary
        };
        protocolArray.push(protocolParam);   // 添加值到数组中
        // 签署协议
        var signProtocolParam = {
            "user_id": userid,
            "jsondata": JSON.stringify(protocolArray),
            "ipaddr": ipaddr,
            "macaddr": macaddr,
            "checksign": "0"//0表示不验签，1表示验签
        };
        service.queryOpenCheckSign(signProtocolParam, postThirdDepository_Data);
    }

    /* 提交三方存管银行数据  added at 2015/07/01*/
    function postThirdDepository_Data() {
        service.getRSAKey({}, function (data) {
            if (data.error_no == 0)	//请求获取rsa公钥成功
            {
                //密码采用rsa加密
                var results = data.results[0];
                var modulus = results.modulus;
                var publicExponent = results.publicExponent;
                var endecryptUtils = require("endecryptUtils");

                var bankpwd = endecryptUtils.rsaEncrypt(modulus, publicExponent, $(_pageId + " #bankcardPwd").val().trim());
                var userid = appUtils.getSStorageInfo("user_id");
                var bankcode = $(_pageId + " #selectBank").attr("bankcode");
                var bankaccount = $(_pageId + " #bankcard").val();
                var thirdDepositParam = {
                    "user_id": userid,
                    "acct_clientid": "",
                    "acct_fndacct": "",
                    "bank_code": bankcode,
                    "bank_account": bankaccount,
                    "bank_pwd": bankpwd,
                    "op_type": $(_pageId + " #selectBank").attr("zzbindtype")
                };
                // 调用service绑定存管银行
                service.bindBank(thirdDepositParam, function (data) {
                    var errorNo = data.error_no;
                    var errorInfo = data.error_info;
                    if (errorNo == 0)	 // 调用成功,跳转到风险测评页面
                    {
                        /*cleanPageElement();
                         appUtils.pageInit("account/thirdDepository","account/accountResult",{});*/
                        var notifyParam = {
                            "userid": appUtils.getSStorageInfo("user_id"),
                            "fieldname": "bind_bank"  // 通知三方存管已补全
                        };
                        service.rejectStep(notifyParam, function (data) {
                            if (data.error_no == 0) {
                                appUtils.setSStorageInfo("isBack", "backInfo");  //标志重新提交资料成功
                                appUtils.pageInit("account/thirdDepository", "account/accountResult", {});  //返回结果页
                            }
                            else {
                                layerUtils.iAlert(data.error_info, -1);
                            }
                        });
                    }
                    else {
                        layerUtils.iLoading(false);
                        layerUtils.iAlert(errorInfo, -1);
                    }
                }, false);
            }
            else {
                layerUtils.iLoading(false);
                layerUtils.iAlert(data.error_info);
            }
        }, false);
    }

    /* 提交三方存管银行数据 */
    function postThirdDepositoryData() {
        var userid = appUtils.getSStorageInfo("user_id");
        var bankcode = $(_pageId + " #selectBank").attr("bankcode");
        var bankaccount = $(_pageId + " #bankcard").val();
        var bankpwd = $(_pageId + " #bankcardPwd").val();
        var thirdDepositParam = {
            "user_id": userid,
            "acct_clientid": "",
            "acct_fndacct": "",
            "bank_code": bankcode,
            "bank_account": bankaccount,
            "bank_pwd": bankpwd,
            "op_type": $(_pageId + " #selectBank").attr("zzbindtype")
        };
        //调用service绑定存管银行
        service.bindBank(thirdDepositParam, function (data) {
            var errorNo = data.error_no;
            var errorInfo = data.error_info;
            if (errorNo == 0)	 //调用成功,则跳到结果页
            {
                var notifyParam = {
                    "userid": appUtils.getSStorageInfo("user_id"),
                    "fieldname": "bind_bank"  // 通知三方存管已补全
                };
                service.rejectStep(notifyParam, function (data) {
                    if (data.error_no == 0) {
                        appUtils.setSStorageInfo("isBack", "backInfo");  //标志重新提交资料成功
                        appUtils.pageInit("account/backUploadPhoto", "account/accountResult", {});  //返回结果页
                    }
                    else {
                        layerUtils.iAlert(data.error_info, -1);
                    }
                });
            }
            else {
                layerUtils.iLoading(false);
                layerUtils.iAlert(errorInfo, -1);
            }
        }, false);
    }

    /* 验证是否选择银行  */
    function validateSelectBank() {
        var obj = $(_pageId + " #selectBank");
        var value = obj.html();
        if (validatorUtil.isEmpty(value) || value == "请选择银行") {
            layerUtils.iMsg(-1, "请选择银行");
            return false;
        }
        return true;
    }

    /* 检验银行卡填写是否正确 */
    function validateBankCorrect() {
        var bankcard = $(_pageId + " #bankcard").val();
        if (bankcard.length > 19) {
            appUtils.bindEvent($(_pageId + " #bankcardPwd"), function () {//对银行卡密码绑定blur验证事件
                validateBankPwd();
            }, "blur")
            return true;
        }
        //验证是否是银行卡号
        if (validatorUtil.isBankCode(bankcard))//验证通过的情况
        {
            appUtils.bindEvent($(_pageId + " #bankcardPwd"), function () {//对银行卡密码绑定blur验证事件
                validateBankPwd();
            }, "blur");
            return true;
        }
        else {
            require("layerUtils").iMsg(-1, "您输入的银行卡号有误，请重新填写！");
            return false;
        }
    }

    /* 验证银行密码 */
    function validateBankPwd() {
        //验证不通过
        var cardPwd = $(_pageId + " #bankcardPwd").val();
        if (!validatorUtil.isNumeric(cardPwd) || cardPwd.length != 6) {
            layerUtils.iMsg(-1, "银行卡密码有误，请重新输入！");
            return false;
        }
        return true;
    }

    /* 检测勾选阅读协议 */
    function validateDepositProtocolSelect() {
        if (!$(_pageId + " .icon_check").hasClass("checked")) {
            layerUtils.iMsg(-1, "请阅读并勾选三方存管协议!");
            return false;
        }
        return true;
    }

    /* 获取存管银行签约电子协议列表 */
    function getDepositoryAgreement(bankcode) {
        // 获取银行协议的参数
        var param = {
            "econtract_no": bankcode
        };
        //调用service查询存管银行协议
        service.queryProtocolList(param, function (data) {
            $(_pageId + " #protocolName").html("");
            if (data.error_no == 0) {
                if (data.results && data.results.length >= 1) {
                    protocol = data.results[0];
                    $(_pageId + " #protocolName").html("《" + protocol.econtract_name + "》");
                    $(_pageId + " #protocolName").attr("protocolId", protocol.econtract_no);
                    $(_pageId + " #protocolName").attr("protocolMd5", protocol.econtract_md5);
                    // 预绑定查看银行协议内容的事件
                    appUtils.preBindEvent($(_pageId + " #protocolName").parent(), "#protocolName", function () {
                        appUtils.pageInit("account/thirdDepository", "account/showProtocol", {"protocol_id": $(_pageId + " #protocolName").attr("protocolId")});
                    });
                }
            }
            else {
                layerUtils.iAlert(data.error_info, -1);
            }
        });
    }

    /* 清理界面元素 */
    function cleanPageElement() {
        $(_pageId + " .rule_check a").removeClass("checked");  // 取消勾选协议
        $(_pageId + " #selectBank").text("请选择银行");  // 清理银行卡的名字
        $(_pageId + " #bankcard").val("");  // 清理银行卡号
        $(_pageId + " #bankcardPwd").val("");  // 清理密码
        $(_pageId + " #protocolName").text("《券商银行投资者三方协议》");  // 清理协议名
        $(_pageId + " #signInfo").html("");  // 清除银行签约信息
    }

//	/* 获取密码值*/
//	function getInput(data)
//	{
//		$(_pageId+" #bankcardPwd").val(data);
//	}
//
//	/* 关闭密码键盘 */
//	function onFinish()
//	{
//		$("body").css("padding-bottom","0").scrollTop(0);
//	}


    var backThirdDepository = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = backThirdDepository;
});
