/**
 * 设置证书密码
 */
define(function (require, exports, module) {
    // 私有业务模块的全局变量 begin
    var appUtils = require("appUtils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        platform = require("gconfig").platform,
        layerUtils = require("layerUtils"),
        shellPlugin = require("shellPlugin"),
        validatorUtil = require("validatorUtil"),
        service = require("serviceImp").getInstance(),
        utils = require("utils"),
        psw_id = "",
    // 选择密码框的id
        _pageId = "#account_setPwdCertificate";

    var external = require("external");
    // 私有业务模块的全局变量 end

    function init() {

        $(_pageId + " #main").height($(window).height() - $(_pageId + " .header").height());
        layerUtils.iLoading(false);
//        window.getInput = getInput; // 输入密码，获取密码值
//        window.onFinish = onFinish; // 完成输入密码
    }

    function bindPageEvent() {
        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"), function () {
            var branchID = appUtils.getSStorageInfo("bid");
            var brokersno = appUtils.getSStorageInfo("recommendno");
            if (branchID == undefined) {
                branchID = "";
            }
            if (brokersno == undefined) {
                brokersno = "";
            }
            //如有选择了营业部或经纪人则需要传
            var param1 = {
                "userid": appUtils.getSStorageInfo("user_id"),
                "branchno": "",
                "brokersno": ""
            }
            /*  added at 2015/09/02
             *  入参： user_id （客户id）
             出参：调用成功有两种情况，
             1.如果属于中焯渠道 会返回 status=1
             2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
            service.serachIsCompanyCustomer(param1, function (data) {
                var error_no = data.error_no,
                    error_info = data.error_info;
                if (error_no == "0") {
                    var status = data.results[0].status;
                    if (status == "0") {
                        $(".ly_shadow").show();
                        var branchname = data.results[0].branchname;
                        var brokersname = data.results[0].brokersname;
                        var servicephone = data.results[0].servicephone;
                        var brokersphone = data.results[0].brokersphone;
                        var address = data.results[0].address;
                        var info = "";
                        //有经纪人的
                        if (!!brokersname) {
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听经纪人电话事件
                            appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        } else {//无经纪人的
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        }
                    } else {
                        if (require("gconfig").platform != "1") {
                            //ios 获取软件是否安装
                            var param = {
                                "funcNo": "50200",
                                "moduleName": "open",
                                "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                            };
                            var result = external.callMessage(param);
                            if (result.error_no == 0) {
                                var isInstall = result.results[0].isInstall;
                                //是否安装(0：否，1：是）
                                if (isInstall == "1") {
                                    var param = {
                                        "funcNo": "50109",
                                        "moduleName": "open",
                                        "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                        //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                    };
                                    external.callMessage(param);
                                } else {
                                    layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                        //进入appstore
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                        };
                                        external.callMessage(param);
                                    }, null, "下载", "取消");
                                }
                            } else {
                                layerUtils.iAlert("检测QQ失败");
                            }
                        } else {
                            var param = {
                                "funcNo": "50109",
                                "moduleName": "open",
                                //					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                            };
                            external.callMessage(param);
                        }
                    }
                } else {
                    layerUtils.iAlert(error_info);
                }
            });
        });

        /* 点击页面隐藏键盘 */
        appUtils.bindEvent($(_pageId), function (e) {
            //关闭密码键盘
            /*require("shellPlugin").callShellMethod("softKeyboardPlugin",function(){
             $(_pageId+" #main").height($(window).height()-$(_pageId+" .header").height());
             },null,{"isShow":false});*/
            if (gconfig.platform == '1') {
//				var param = {
//					"moduleName":"common",
//					"funcNo": "50211"
//				};
//				var result = external.callMessage(param);
//				if( result.error_no == "0"){
//	                $(_pageId+" #main").height($(window).height()-$(_pageId+" .header").height());
//				}
            }
            e.stopPropagation();	// 阻止冒泡
        });

        /* 点击密码框统一调用密码键盘 */
//        appUtils.bindEvent($(_pageId + " .input_form input"),
//        function(e) {
//                psw_id = "#" + $(this).attr("id"); // 当前input元素id
//                var pwsdParam = {
//                    "isShow": true,
//                    "oldPwd": $(this).val(),
//                    "maxLength": 6
//                };
//                var topHeight = $(this).offset().top + $(this).parent().height(); // 当前元素到顶部的高度
//                var bodyHeight = $(document.body).height(); // 当前body的高度
//                shellPlugin.callShellMethod("softKeyboardPlugin",
//                function(data) {
//                   $(_pageId+" #main").height($(window).height()-$(_pageId+" .header").height());
//                    // 解决弹出键盘遮挡输入框的情况
//                    var keyheight = data.height / window.devicePixelRatio; // 键盘高度
//                    var newbody = bodyHeight - keyheight; // 键盘弹出
//                    // body的高度
//                    var scrollheight = topHeight - newbody; // 输入框被遮住的高度
//                    if (scrollheight > 0) // 只有当密码键盘挡住输入框的时候才进行处理
//                    {
//                        scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; // 页面需要滚动的高度
//                        $("body").css("padding-bottom", scrollheight2 + "px").scrollTop(scrollheight);
//                    }
//                },
//                null, pwsdParam);
//            e.stopPropagation(); // 阻止冒泡
//        });

        /* 点击密码框统一调用密码键盘 */
        appUtils.bindEvent($(_pageId + " .input_form input"), function (e) {
//			alert("密码键盘我来了！！！！！");
            if (platform == '1') {
                utils.dealIPhoneMaxLength(this, 6); // 处理iphone兼容
                /*var psw_id = "#"+$(this).attr("id"); // 当前input元素id
                 var eleName = _pageId+" "+psw_id; // 当前密码卡的Dom值
                 var pwsdParam = {"isShow": true," oldPwd": $(this).val(), "maxLength": 6, "eleName": eleName};
                 var topHeight = $(this).offset().top+$(this).parent().height();  //当前元素到顶部的高度
                 var bodyHeight = $(document.body).height();  //当前body的高度
                 require("shellPlugin").callShellMethod("softKeyboardPlugin",function(data){
                 //解决弹出键盘遮挡输入框的情况
                 var keyheight = data.height/window.devicePixelRatio; //键盘高度
                 var newbody = bodyHeight - keyheight; // 键盘弹出 body的高度
                 var scrollheight = topHeight - newbody; // 输入框被遮住的高度
                 if(scrollheight>0) //只有当密码键盘挡住输入框的时候才进行处理
                 {
                 scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; //页面需要滚动的高度
                 $("body").css("padding-bottom",scrollheight2+"px").scrollTop(scrollheight);
                 }
                 },null,pwsdParam);*/


                //add by fengxiang 2015-07-17 升级
                var param = {
                    "funcNo": "50210",
                    "moduleName": "common",
                    "pageId": "account_setPwdCertificate",
                    "eleId": $(this).attr("id"),
                    "doneLable": "完成",
                    "keyboardType": "3",
                    "source": "open"
                };
                //改为调系统自带键盘  把插件注释
//				external.callMessage(param);
                // 避免输入框被遮挡
//				var topHeight = $(this).offset().top + $(this).parent().height();  //当前元素到顶部的高度
//				var bodyHeight = $(document.body).height();  //当前body的高度
//				var keyheight = 325;
//				var newbody = bodyHeight - keyheight;  // 键盘弹出 body的高度
//				var scrollheight = topHeight - newbody; // 输入框被遮住的高度
//				if(scrollheight>0)  //只有当密码键盘挡住输入框的时候才进行处理
//				{
//					scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; //页面需要滚动的高度
//					$("body").css("padding-bottom",scrollheight2+"px").scrollTop(scrollheight);
//				}
                //end by fengxiang 2015-07-17 升级

            }
            e.stopPropagation();	// 阻止冒泡
        });

        /* 密码框绑定失去焦点事件 */
        appUtils.bindEvent($(_pageId + " #pass1"),
            function () {
                validatePassword($(this)); // 校验输入的密码
            },
            "blur");

        // 显示关于数字证书的说明
        appUtils.bindEvent($(_pageId + " .cert_code p a"),
            function (e) {
                $(_pageId + " .fix_info").slideDown("fast");
                e.stopPropagation();
            });

        /* 密码框绑定检验二次密码是否匹配事件 */
        appUtils.bindEvent($(_pageId + " #pass2"),
            function () {
                validateSecondPassword(); // 校验第二次输入的密码
            },
            "blur");

        /* 绑定下一步 */
        appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn"), function () {
            // 关闭密码键盘
            /*shellPlugin.callShellMethod("softKeyboardPlugin", null, null, {
             "isShow": false
             });*/
            if (gconfig.platform == '1') {
//	            var param = {
//	            	"moduleName":"common",
//					"funcNo": "50211"
//				};
//				external.callMessage(param);
            }
            postData();
        });
    }

    /* 校验第二次输入的密码 */
    function validateSecondPassword() {
        var pass1 = $(_pageId + " #pass1").val().trim();
        var pass2 = $(_pageId + " #pass2").val().trim();
        if (pass1.length != 6) {
            layerUtils.iMsg(-1, "请输入6位数字证书密码，请重新输入!");
            $(_pageId + " input").val(""); // 清空输入框
        } else if (pass1 != pass2 && pass2 != "") {
            layerUtils.iMsg(-1, "证书密码与第一次不符，请重新输入!");
            $(_pageId + " #pass2").val(""); // 清空第二次密码
        }
    }

    /***************************************************************************
     * 提交用户数据到下一步
     */
    function postData() {
        var pwd1 = $(_pageId + " .cert_code input:eq(0)").val(),
            pwd2 = $(_pageId + " .cert_code input:eq(1)").val();
        if (validatorUtil.isEmpty(pwd1) || pwd1.length < 6) {
            layerUtils.iAlert("证书密码不能为空，且长度大于等于六位");
            return false;
        } else if (pwd1 != pwd2) {
            layerUtils.iAlert("确认密码与证书密码不一致");
            return false;
        }
        // 延迟50ms跳转
        // 跳转到安装证书界面
        setTimeout(function () {
                appUtils.setSStorageInfo("pwd", pwd1);
                appUtils.pageInit("account/setPwdCertificate", "account/digitalCertificate", {
                    "certificatePwd": $(_pageId + " .cert_code input:eq(0)").val()
                });
            },
            50);
    }

    /**
     * 验证密码 6位数字
     *
     * @param $currInput
     *            当前输入框的 jquery 对象
     */
    function validatePassword($currInput) {
        var password = $currInput.val().trim();
        if (!validatorUtil.isNumeric(password) || password.length != 6) {
            layerUtils.iMsg(-1, "请输入6位数字密码");
            return;
        }
        /**
         * 增加弱密校验 1、出生日期的一部分 2、证件号码的一部分 3、某一字符出现的概率不能占总长度的一半以上 4、顺序递增或者递减
         * 5、弱密表的控制值 6、移动电话的一部分 7、固定电话的一部分
         */
        var idCardNo = appUtils.getSStorageInfo("idCardNo") ? appUtils.getSStorageInfo("idCardNo") : "",
            mobileNo = appUtils.getSStorageInfo("mobileNo") ? appUtils.getSStorageInfo("mobileNo") : "";
        // 判断是不是出生日期的一部分
        if (password == idCardNo.substring(6, 12) || password == idCardNo.substring(8, 14)) {
            layerUtils.iAlert("密码不能是出生日期的一部分！", -1);
            // 将密码清除
            $currInput.val("");
            return false;
        }
        // 判断是不是证件号码的一部分
        if (idCardNo.indexOf(password) != -1) {
            layerUtils.iAlert("密码不能是证件号码的一部分！", -1);
            // 将密码清除
            $currInput.val("");
            return false;
        }
        // 判断某一字符出现的次数
        for (var i = 0; i < password.length; i++) {
            var oneChar = password.charAt(i),
                count = 0;
            var firstPosition = 0;
            for (var j = 0; j < password.length; j++) {
                if (oneChar == password.charAt(j)) {
                    count++;
                }
            }
            if (count >= 3) {
                layerUtils.iAlert("密码中&nbsp;" + oneChar + "&nbsp;出现的次数超过了三次！", -1);
                // 将密码清除
                $currInput.val("");
                return false;
            }

        }
        // 判断顺序递增或者递减
        var orderArray = ["012345", '123456', '234567', '345678', '456789', "567890", "098765", '987654', '876543', '765432', '654321', '543210'];
        if (orderArray.indexOf(password) != -1) {
            layerUtils.iAlert("密码不能是顺序递增或者递减！", -1);
            // 将密码清除
            $currInput.val("");
            return false;
        }
        // 判断弱密码库
        var weakpwdArr = ['111111', '222222', '333333', '444444', '555555', '666666', '777777', '888888', '999999', '101010', '202020', '303030', '404040', '505050', '606060', '707070', '808080', '909090', '101010', '121212', '131313', '141414', '151515', '161616', '171717', '181818', '191919', '202020', '212121', '232323', '242424', '252525', '262626', '272727', '282828', '292929', '303030', '313131', '323232', '343434', '353535', '363636', '373737', '383838', '393939', '404040', '414141', '424242', '434343', '454545', '464646', '474747', '484848', '494949', '505050', '515151', '525252', '535353', '545454', '565656', '575757', '585858', '595959', '606060', '616161', '626262', '636363', '646464', '656565', '676767', '686868', '696969', '707070', '717171', '727272', '737373', '747474', '757575', '767676', '787878', '797979', '808080', '818181', '828282', '838383', '848484', '858585', '868686', '878787', '898989', '909090', '919191', '929292', '939393', '949494', '959595', '969696', '979797', '989898', '123412', '234523', '345634', '456745', '567856', '678967', '123012', '123123', '234234', '345345', '456456', '567567', '678678', '789789', '112233', '111222', '123412', '123443', '234567', '123456', '876543', '111122', '222233', '333344', '444455', '555566', '666677', '777788', '888899', '999900', '111111', '111122', '111133', '111144', '111155', '111166', '111177', '111188', '111199', '111100'];
        if (weakpwdArr.indexOf(password) != -1) {
            layerUtils.iAlert("请勿输入简单组合的资金密码！", -1);
            // 将密码清除
            $currInput.val("");
            return false;
        }
        // 判断是否是移动电话的一部分
        if (mobileNo.indexOf(password) != -1) {
            layerUtils.iAlert("密码不能是移动电话的一部分！", -1);
            // 将密码清除
            $currInput.val("");
            return;
        }
    }

    function destroy() {
        // 清除密码
        $(_pageId + " .cert_code input").val("");
    }

//    /* 获取密码值 */
//    function getInput(data) {
//        $(_pageId + " " + psw_id).val(data);
//    }
//
//    /* 关闭密码键盘 */
//    function onFinish() {
//        $("body").css("padding-bottom", "0").scrollTop(0);
//    }
    // 对外暴露的模块方法 end
    var setPwdCertificate = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = setPwdCertificate;
});
