﻿/**
 * 描述:
 * 版权:     Copyright (c) 2014
 * 公司:     思迪科技
 * 版本:     1.0
 * 创建日期: 2014-08-06
 * 创建时间: 15:13:00
 */

define(function (require, exports, module) {
    var appUtils = require("appUtils"),
        validata = require("validatorUtil"),
        layerUtils = require("layerUtils"),
        shellPlugin = require("shellPlugin"),
        service = require("serviceImp").getInstance(),
        global = require("gconfig").global,
        platform = require("gconfig").platform,
        _pageId = "#business_ydstart";
    var external = require("external");

    /**
     * 初始化方法
     */
    function init() {
        //是否是中焯的
        if (global.isZhongZhuo) {
            //add by fengxiang 2015-08-03
            var param = {
                "funcNo": "50041",
                "key": "moduleName"
            };
            var result = external.callMessage(param);
            if (result.error_no == "0") { //获取缓存成功
                var moduleName = result.results[0].value;
                if (moduleName == "open") {
                    //开户
                    appUtils.setSStorageInfo("openChannel", "new");
                    appUtils.pageInit("business/ydstart", "account/accountFor", {});
                } else if (moduleName == "ggt") {
                    //港股通
                    appUtils.sendDirect("../ggt/index.html");
                } else if (moduleName == "main") {
                    //首页
                    appUtils.pageInit("business/ydstart", "business/index", {});
                } else if (moduleName == "addopen") {
                    //增开
                    appUtils.sendDirect("../addopen/index.html");
                } else if (moduleName == "modifyInfo") {
                    //修改个人信息
                    appUtils.sendDirect("../modifyInfo/index.html");
                } else if (moduleName == "cyb") {
                    //创业板
                    appUtils.sendDirect("../cyb/index.html");
                } else {
                    //没传值或传错值  默认首页
                    appUtils.pageInit("business/ydstart", "business/index", {});
                }

            } else {
                layerUtils.iMsg(-1, "获取缓存数据失败，将跳转至首页");
                setTimeout(showss, 1500); //开户首页
            }

            //end by fengxiang 2015-08-03
        } else {
            appUtils.pageInit("business/ydstart", "business/index", {});
        }

    }

    function showss() {
        appUtils.pageInit("business/ydstart", "business/index", {});
    }


    /**
     * 绑定页面事件方法
     */
    function bindPageEvent() {

    }


    /**
     * 销毁方法
     */
    function destroy() {

    }

    /**
     * 以json格式放入三个方法
     */
    var ydstart = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = ydstart;
});