/**
 * 驳回影像上传
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        service = require("serviceImp").getInstance(), // 业务层接口，请求数据
        layerUtils = require("layerUtils"),
        utils = require("utils"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        serverPath = global.serverPath,
        _pageId = "#account_backUploadPhoto", font = "", back = "", nohat = "",
    // 来自补全资料的页面入参
        PhotoParam = {
            "needFront": "",
            "needBack": "",
            "needNohat": ""
        };
    /* 私有业务模块的全局变量 end */

    var login_info;
    var external = require("external");


    function init() {
        login_info = JSON.parse(appUtils.getSStorageInfo("login_info"));

        layerUtils.iLoading(false);
        window.imgState = imgState; // 上传完照片自动调用该方法
        initPage(); // 初始化页面
    }

    function bindPageEvent() {
        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"),
            function () {
                var branchID = appUtils.getSStorageInfo("branchno");
                var brokersno = appUtils.getSStorageInfo("recommendno");
                if (branchID == undefined) {
                    branchID = "";
                }
                if (brokersno == undefined) {
                    brokersno = "";
                }
                //如有选择了营业部或经纪人则需要传
                var param1 = {
                    "userid": appUtils.getSStorageInfo("user_id"),
                    "branchno": branchID,
                    "brokersno": brokersno
                }
                console.log("================================ param1=" + JSON.stringify(param1));
                /*  added at 2015/09/02
                 *  入参： user_id （客户id）
                 出参：调用成功有两种情况，
                 1.如果属于中焯渠道 会返回 status=1
                 2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
                service.serachIsCompanyCustomer(param1, function (data) {
                    console.log("================================ data=" + JSON.stringify(data));

                    var error_no = data.error_no,
                        error_info = data.error_info;
                    if (error_no == "0") {
                        var status = data.results[0].status;
                        if (status == "0") {
                            $(".ly_shadow").show();
                            var branchname = data.results[0].branchname;
                            var brokersname = data.results[0].brokersname;
                            var servicephone = data.results[0].servicephone;
                            var brokersphone = data.results[0].brokersphone;
                            var address = data.results[0].address;
                            var info = "";
                            //有经纪人的
                            if (!!brokersname) {
                                info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                                branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                                info += branchno_info;
                                $(".btn_bot p").html(info);
                                //监听营业部电话事件
                                appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听经纪人电话事件
                                appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听统一电话事件
                                appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                appUtils.bindEvent(".btn_box", function (e) {
                                    $(".ly_shadow").hide();
                                    e.stopPropagation(); // 阻止冒泡
                                });
                            } else {//无经纪人的
                                info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                                branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                                info += branchno_info;
                                $(".btn_bot p").html(info);
                                //监听营业部电话事件
                                appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听统一电话事件
                                appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                appUtils.bindEvent(".btn_box", function (e) {
                                    $(".ly_shadow").hide();
                                    e.stopPropagation(); // 阻止冒泡
                                });
                            }
                        } else {
                            if (require("gconfig").platform != "1") {
                                //ios 获取软件是否安装
                                var param = {
                                    "funcNo": "50200",
                                    "moduleName": "open",
                                    "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                };
                                var result = external.callMessage(param);
                                if (result.error_no == 0) {
                                    var isInstall = result.results[0].isInstall;
                                    //是否安装(0：否，1：是）
                                    if (isInstall == "1") {
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                            //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                        };
                                        external.callMessage(param);
                                    } else {
                                        layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                            //进入appstore
                                            var param = {
                                                "funcNo": "50109",
                                                "moduleName": "open",
                                                "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                            };
                                            external.callMessage(param);
                                        }, null, "下载", "取消");
                                    }
                                } else {
                                    layerUtils.iAlert("检测QQ失败");
                                }
                            } else {
                                var param = {
                                    "funcNo": "50109",
                                    "moduleName": "open",
                                    //					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                    "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                                };
                                external.callMessage(param);
                            }
                        }
                    } else {
                        layerUtils.iAlert(error_info);
                    }
                });
            });

        /* 点击页面隐藏按钮 */
        appUtils.bindEvent($(_pageId), function () {
            // 将按钮的自定义属性 last-media-id 设为 当前的 media-id
            $(_pageId + " .upload_btn li").attr(
                "last-media-id",
                $(_pageId + " .upload_btn li:eq(0)")
                    .attr("media-id"));
            // 将按钮的自定义属性 media-id 设为 null
            $(_pageId + " .upload_btn li").attr("media-id", "null");
            // 隐藏照片上传按钮
            $(_pageId + " .upload_btn").slideUp("fast");
            $(_pageId + " .upload_box").removeClass("active");
        });

        /* 绑定上传正面身份证照 */
        appUtils.bindEvent($(_pageId + " .upload_main .positive"), function (e) {
            $(_pageId + " .upload_main .negative")
                .removeClass("active");
            $(_pageId + " .upload_main .headpic").removeClass("active");
            var isActive = $(this).hasClass("active");
            switchCss($(_pageId + " .upload_main .positive"), isActive,
                4);
            $(_pageId + " .upload_btn h5").html("上传身份证正面");
            e.stopPropagation();
        });

        /* 绑定上传反面身份证照 */
        appUtils.bindEvent($(_pageId + " .upload_main .negative"), function (e) {
            $(_pageId + " .upload_main .positive")
                .removeClass("active");
            $(_pageId + " .upload_main .headpic").removeClass("active");
            var isActive = $(this).hasClass("active");
            switchCss($(_pageId + " .upload_main .negative"), isActive,
                5);
            $(_pageId + " .upload_btn h5").html("上传身份证反面");
            e.stopPropagation();
        });

        /* 人像正面 */
        appUtils.bindEvent($(_pageId + " .upload_main .headpic"), function (e) {
            $(_pageId + " .upload_main .positive")
                .removeClass("active");
            $(_pageId + " .upload_main .negative")
                .removeClass("active");
            var isActive = $(this).hasClass("active");
            switchCss($(_pageId + " .upload_main .headpic"), isActive,
                3);
            $(_pageId + " .upload_btn h5").html("上传大头像");
            e.stopPropagation();
        });

        /* 点击相册 */
        appUtils.bindEvent($(_pageId + " .upload_btn li:eq(0)"), function (e) {
            // 相册上传的参数
            var phoneConfig = {
                "funcNo": "60002",
                "moduleName": "open",
                "funcNum": $(this).attr("media-id") == "3" ? "501526" : "501525",
                "uuid": "index",
                "r": Math.random(),
                "userId": login_info.user_id,
                "photoType": $(this).attr("media-id") == "3" ? "人像正面" : "身份证",// 影像名称
                "action": "phone", // 照片来源类别，phone 相册，pai 相机
                "imgType": $(this).attr("media-id"),
                "key": "index", // key 和 uuid 只需要写一个
                "url": global.serverPath,
                "needUpload": "",
                "clientInfo": "clientInfo", //add by fengxiang 可不传 但是不传又报错 所以传了个字符串
                "jsessionId": login_info.jsessionid
            };
            console.log(JSON.stringify(phoneConfig));
            external.callMessage(phoneConfig);
            // 隐藏照片上传按钮
            $(_pageId + " .upload_btn").slideUp("fast");
            $(_pageId + " .upload_box").removeClass("active");
            // 将按钮的自定义属性 last-media-id 设为 当前的 media-id
            $(_pageId + " .upload_btn li").attr(
                "last-media-id",
                $(_pageId + " .upload_btn li:eq(0)")
                    .attr("media-id"));
            // 将按钮的自定义属性 media-id 设为 null
            $(_pageId + " .upload_btn li").attr("media-id", "null");
            e.stopPropagation();
        });

        /* 点击拍照 */
        appUtils.bindEvent($(_pageId + " .upload_btn li:eq(1)"), function (e) {
            // 相机上传的参数
            var paiConfig = {
                "funcNo": "60002",
                "moduleName": "open",
                "funcNum": $(this).attr("media-id") == "3" ? "501526" : "501525",
                "uuid": "index",
                "r": Math.random(),
                "userId": login_info.user_id,
                "photoType": $(this).attr("media-id") == "3" ? "人像正面" : "身份证", // 影像名称
                "action": "pai",   // 照片来源类别，phone 相册，pai 相机
                "imgType": $(this).attr("media-id"),
                "key": "index", // key 和 uuid 只需要写一个
                "url": global.serverPath,
                "needUpload": "",
                "clientInfo": "clientInfo", //add by fengxiang 可不传 但是不传又报错 所以传了个字符串
                "jsessionId": login_info.jsessionid
            };
            external.callMessage(paiConfig);
            // 隐藏照片上传按钮
            $(_pageId + " .upload_btn").slideUp("fast");
            $(_pageId + " .upload_box").removeClass("active");
            // 将按钮的自定义属性 last-media-id 设为 当前的 media-id
            $(_pageId + " .upload_btn li").attr(
                "last-media-id",
                $(_pageId + " .upload_btn li:eq(0)")
                    .attr("media-id"));
            // 将按钮的自定义属性 media-id 设为 null
            $(_pageId + " .upload_btn li").attr("media-id", "null");
            e.stopPropagation();
        });

        /* 绑定下一步 */
        appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn"), function () {
            $(_pageId + " .upload_btn").hide(); // 隐藏照片按钮
            nextStep(); // 下一步确认
        });
    }

    function destroy() {
        service.destroy();
    }

    /* 初始化页面 */
    function initPage() {
        // 给补全信息赋值
        front = PhotoParam.needFront = appUtils.getPageParam("needFront");
        back = PhotoParam.needBack = appUtils.getPageParam("needBack");
        nohat = PhotoParam.needNohat = appUtils.getPageParam("needNohat");
        //alert("front:"+front+",back:"+back+",nohat"+nohat);
        // 只补全正面照
        if (front == 1 && back != 1 && nohat != 1) {
            $(_pageId + " .upload_main .positive").show(); // 显示上传身份证正面
            $(_pageId + " .upload_main h5:eq(0)").html("补充身份证正面影像,请在光线充足的地方拍摄,保证相片清晰、完整");
        }
        // 只补全反面照
        if (front != 1 && back == 1 && nohat != 1) {
            $(_pageId + " .upload_main .negative").show(); // 显示上传身份证反面
            $(_pageId + " .upload_main h5:eq(0)").html("补充身份证反面影像,请在光线充足的地方拍摄,保证相片清晰、完整");
        }
        // 只补全大头像
        if (front != 1 && back != 1 && nohat == 1) {
            $(_pageId + " .upload_main .headpic").show(); // 显示上传大头像
            $(_pageId + " .upload_main h5:eq(0)").html("补充大头像,请在光线充足的地方拍摄,保证相片清晰、完整");
        }
        // 补全正面和反面
        if (front == 1 && back == 1 && nohat != 1) {
            $(_pageId + " .upload_main .positive").show(); // 显示上传身份证正面
            $(_pageId + " .upload_main .negative").show(); // 显示上传身份证反面
            $(_pageId + " .upload_main h5:eq(0)").html("补充身份证正、反面影像,请在光线充足的地方拍摄,保证相片清晰、完整");
        }
        // 补全正面和大头像
        if (front == 1 && back != 1 && nohat == 1) {
            $(_pageId + " .upload_main .positive").show(); // 显示上传身份证正面
            $(_pageId + " .upload_main .headpic").show(); // 显示上传大头像
            $(_pageId + " .upload_main h5:eq(0)").html("补充身份证正面影像和大头像,请在光线充足的地方拍摄,保证相片清晰、完整");
        }
        // 补全反面和大头像
        if (front != 1 && back == 1 && nohat == 1) {
            $(_pageId + " .upload_main .negative").show(); // 显示上传身份证反面
            $(_pageId + " .upload_main .headpic").show(); // 显示上传大头像
            $(_pageId + " .upload_main h5:eq(0)").html("补充身份证反面影像和大头像,请在光线充足的地方拍摄,保证相片清晰、完整");
        }
        // 三张全部补全
        if (front == 1 && back == 1 && nohat == 1) {
            $(_pageId + " .upload_main .positive").show(); // 显示上传身份证正面
            $(_pageId + " .upload_main .negative").show(); // 显示上传身份证反面
            $(_pageId + " .upload_main .headpic").show(); // 显示上传大头像
            $(_pageId + " .upload_main h5:eq(0)").html("补充以下相关影像,请在光线充足的地方拍摄,保证相片清晰、完整");
        }
    }

    /* 处理点击上传身份证正面、反面效果 */
    function switchCss(ele, isActive, media) {
        if (isActive) {
            $(_pageId + " .upload_btn").slideUp("fast");
            $(_pageId + " .upload_btn li").attr("media-id", "null");
        } else {
            $(_pageId + " .upload_btn").slideDown("fast");
            $(_pageId + " .upload_btn li").attr("media-id", media);
        }
        $(ele).toggleClass("active");
    }

    /* 供图片上传成功后调用 */
    function imgState(data) {
        var base64Str = (data.base64).replace(/[\n\r]*/g, "");

        var maxheight = $(_pageId + " .upload_box").height() + "px";
        $(_pageId + " .upload_box").css("height", maxheight); // 设置回显照片区域高度不变
        switch (Number($(_pageId + " .upload_btn li:eq(0)").attr("last-media-id"))) {
            // 大头像
            case 3 :
                // 先将 li 置空
                $(_pageId + " .headpic").text("");
                // 显示照片
                $(_pageId + " .headpic").append("<dd><img src=\"" + base64Str
                    + "\"/></dd>");
                break;
            // 正面照
            case 4 :
                if (data.idNo.length == 0) {
                    layerUtils.iAlert("身份证号码识别失败，需重新拍摄，请注意拍摄的角度和光线！", -1);
                    // 先将 li 置空
                    $(_pageId + " .positive").text("");
                    // 设置 uploaded 属性，标识图片是否已经上传
                    $(_pageId + " .positive").attr("uploaded", "false");
                    // 显示上传照片
                    $(_pageId + " .positive")
                        .append("<dd><p>点击上传身份证</p><h5>正 面</h5></dd>");
                    return;
                } else if (data.userSex.length == 0) {
                    layerUtils.iAlert("性别识别失败，需重新拍摄，请注意拍摄的角度和光线！", -1);
                    // 先将 li 置空
                    $(_pageId + " .positive").text("");
                    // 设置 uploaded 属性，标识图片是否已经上传
                    $(_pageId + " .positive").attr("uploaded", "false");
                    // 显示上传照片
                    $(_pageId + " .positive")
                        .append("<dd><p>点击上传身份证</p><h5>正 面</h5></dd>");
                    return;
                }
                // 先将 li 置空
                $(_pageId + " .positive").text("");
                // 设置 uploaded 属性，标识图片是否是否已经上传
                $(_pageId + " .positive").attr("uploaded", "true");
                // 显示照片
                $(_pageId + " .positive").append("<dd><img src=\"" + base64Str
                    + "\"/></dd>");
                break;
            // 反面照
            case 5 :
                if (data.idbeginDate.length == 0) {
                    layerUtils.iAlert("身份证的有效期限识别失败，需重新拍摄，请注意拍摄的角度和光线！", -1);
                    // 先将 li 置空
                    $(_pageId + " .negative").text("");
                    // 设置 uploaded 属性，标识图片是否是否已经上传
                    $(_pageId + " .negative").attr("uploaded", "false");
                    // 显示上传照片
                    $(_pageId + " .negative")
                        .append("<dd><p>点击上传身份证</p><h5>反 面</h5></dd>");
                    return;
                } else if (data.idendDate.length == 0) {
                    layerUtils.iAlert("身份证的有效期限识别失败，需重新拍摄，请注意拍摄的角度和光线！", -1);
                    // 先将 li 置空
                    $(_pageId + " .negative").text("");
                    // 设置 uploaded 属性，标识图片是否已经上传
                    $(_pageId + " .negative").attr("uploaded", "false");
                    // 显示上传照片
                    $(_pageId + " .negative")
                        .append("<dd><p>点击上传身份证</p><h5>反 面</h5></dd>");
                    return;
                }
                // 先将 li 置空
                $(_pageId + " .negative").text("");
                // 设置 uploaded 属性，标识图片是否已经上传
                $(_pageId + " .negative").attr("uploaded", "true");
                // 显示照片
                $(_pageId + " .negative").append("<dd><img src=\"" + base64Str
                    + "\"/></dd>");
                break;
        }
        // 设置图片展示大小
        $(_pageId + " .upload_box img").css("max-height", maxheight);
    }

    /* 确认下一步 */
    function nextStep() {
        // 只补全正面照
        if (front == 1 && back != 1 && nohat != 1) {
            if ($(_pageId + " .positive img").length == 0) {
                layerUtils.iMsg(-1, "请先上传正面照！");
                return false;
            }
        }
        // 只补全反面照
        if (front != 1 && back == 1 && nohat != 1) {
            if ($(_pageId + " .negative img").length == 0) {
                layerUtils.iMsg(-1, "请先上传反面照！");
                return false;
            }
        }
        // 只补全大头像
        if (front != 1 && back != 1 && nohat == 1) {
            if ($(_pageId + " .headpic img").length == 0) {
                layerUtils.iMsg(-1, "请先上传人像正面！");
                return false;
            }
        }
        // 补全正面和反面
        if (front == 1 && back == 1 && nohat != 1) {
            if ($(_pageId + " .positive img").length == 0) {
                layerUtils.iMsg(-1, "请先上传正面照！");
                return false;
            }
            if ($(_pageId + " .negative img").length == 0) {
                layerUtils.iMsg(-1, "请先上传反面照！");
                return false;
            }
        }
        // 补全正面和大头像
        if (front == 1 && back != 1 && nohat == 1) {
            if ($(_pageId + " .positive img").length == 0) {
                layerUtils.iMsg(-1, "请先上传正面照！");
                return false;
            }
            if ($(_pageId + " .headpic img").length == 0) {
                layerUtils.iMsg(-1, "请先上传人像正面！");
                return false;
            }
        }
        // 补全反面和大头像
        if (front != 1 && back == 1 && nohat == 1) {
            if ($(_pageId + " .negative img").length == 0) {
                layerUtils.iMsg(-1, "请先上传反面照！");
                return false;
            }
            if ($(_pageId + " .headpic img").length == 0) {
                layerUtils.iMsg(-1, "请先上传人像正面！");
                return false;
            }
        }
        // 三张全部补全
        if (front == 1 && back == 1 && nohat == 1) {
            if ($(_pageId + " .positive img").length == 0) {
                layerUtils.iMsg(-1, "请先上传正面照！");
                return false;
            }
            if ($(_pageId + " .negative img").length == 0) {
                layerUtils.iMsg(-1, "请先上传反面照！");
                return false;
            }
            if ($(_pageId + " .headpic img").length == 0) {
                layerUtils.iMsg(-1, "请先上传人像正面！");
                return false;
            }
        }
        // 调用提交补全资料接口
        var notifyParam = {
            "userid": login_info.user_id,
            "fieldname": "photo" // 通知图片已补全
        };
        service.rejectStep(notifyParam, function (data) {
            if (data.error_no == 0) {
                appUtils.setSStorageInfo("isBack", "backInfo"); // 标志重新提交资料成功
                var videoParam = appUtils.getSStorageInfo("videoParam");
                videoParam = eval("(" + videoParam + ")");
                if (videoParam.need_video == "0") {
                    appUtils.pageInit("account/backUploadPhoto", "account/accountResult", {});

                }
                else {
                    appUtils.setSStorageInfo("isBackVedioNotice", "8"); // 标志重新提交资料成功
                    appUtils.pageInit("account/backUploadPhoto", "account/vedioNotice", {});
                }


            }
        });
    }

    var backUploadPhoto = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "imgState": imgState,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = backUploadPhoto;
});