/**
 * 修改电话号码
 */
define(function (require, exports, module) {
    var appUtils = require("appUtils"), gconfig = require("gconfig"), global = require("gconfig").global, service = require("serviceImp")
            .getInstance(), // 业务层接口，请求数据
        validatorUtil = require("validatorUtil"), utils = require("utils"), mobileno = "", flag = "", // 是否发送短信
        layerUtils = require("layerUtils"), shellPlugin = require("shellPlugin"), startCountDown = null, address = "", steps = [
            "account", "survey", "knowledge_level", "integrity_level",
            "risk_level", "level", "survey_level", "open_confirm",
            "open_finish"], _pageId = "#account_msgConfirm";

    var login_info;
    var account_info;
    var account_change;
    var myprovinceno = "", mycityno = "", hometown = "";
    var external = require("external");

    function init() {
        login_info = JSON.parse(appUtils.getSStorageInfo("login_info"));
        account_change = {
            "user_id": login_info.user_id
        };
        cleanPage();// 清空页面信息
        flag = "fasle", // 是否发送短信
            mobileno = appUtils.getSStorageInfo("mobileno");
        $(_pageId + " .mobileno").val(mobileno ? mobileno : "");
        // 获取版本
        var param = {
            "moduleName": "open",
            "funcNo": "50010"
        };
        var result = external.callMessage(param);
        if (result.error_no == "0") {
            var data = result.results[0];
            var versionName = JSON.stringify(data.version);
            var mobversionName = versionName.replace(/^\"|\"$/g, '');
            var molileAttribution = "android|" + mobversionName; // 获取应用版本:例如:android|2.0.1
            account_change.mobversion = molileAttribution;
        }
        // end by fengxiang 2015-08-25 升级

        // initMsg();//填充个人资料
    }

    // 填充个人资料
    // function initMsg(){
    // initPage(account_info);
    // service.queryAccountInfo(function(data){
    // var error_no = data.error_no;
    // var error_info = data.error_info;
    // var result = data.results;
    // if(error_no==0){
    // account_info = data;
    // appUtils.setSStorageInfo("account_info",JSON.stringify(account_info));
    // initPage(data);
    // queryDataDict();

    // hometown = (account_info.userInfo)[0].hometown;
    // if(hometown==""){
    // $(_pageId + " .select").show();
    // $(_pageId + " .onlyShow").hide();
    // getProvinceAndCity();
    // }else{
    // $(_pageId + " .select").hide();
    // $(_pageId + " .onlyShow").show();
    // $(_pageId + " .hometown").val(hometown);
    // }

    // }else{
    // layerUtils.iAlert(error_info,-1);
    // }
    // },{"user_id":login_info.user_id});

    // }

    // //初始化页面
    // function initPage(account_info){
    // $(_pageId + " .com_info_list li:eq(0)
    // div").text(account_info?(account_info.userInfo)[0].custname:"");
    // $(_pageId + " .com_info_list li:eq(1)
    // .idCardNo").val(account_info?(account_info.userInfo)[0].idno:"");
    // $(_pageId + "
    // #idBeginDate").val(account_info?(account_info.userInfo)[0].idbegindate:"");
    // $(_pageId + "
    // #idEndDate").val(account_info?(account_info.userInfo)[0].idenddate:"");
    // $(_pageId + "
    // .address").val(account_info?(account_info.userInfo)[0].addr:"");
    // $(_pageId + "
    // .mobileno").val(account_info?(account_info.userInfo)[0].mobileno:"");

    // }

    function bindPageEvent() {

        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"), function () {
            // 连接客服
            customerService();
        });
        // 获取验证码
        appUtils.bindEvent($(_pageId + " .blue_code"), function () {
            var mobileno = $(_pageId + " .mobileno").val();
            if (validatorUtil.isMobile(mobileno)) {
                sendSmsCode(mobileno); // 获取验证码
            } else {
                // 手机号没通过前端校验，弹出提示，并终止发送验证码的过程
                var times = mobileno.length - 11;
                if (mobileno.length > 11) {
                    layerUtils.iMsg(-1, "您多输入&nbsp;" + times
                        + "&nbsp;位电话号码，请重新输入！");
                } else if (mobileno.length < 11) {
                    layerUtils.iMsg(-1, "您少输入&nbsp;" + Math.abs(times)
                        + "&nbsp;位电话号码，请重新输入！");
                } else {
                    layerUtils.iMsg(-1, "请输入正确的电话号码！");
                }
                return;
            }
        });

        // 提交电话修改
        appUtils.bindEvent($(_pageId + " .ct_btn"), function () {
            // appUtils.pageInit("account/msgConfirm","account/signProtocol");
            // return;
            if (verifyInfo()) {
                service.updateUserInfoByTrade(account_change, function (data) {
                    var error_no = data.error_no;
                    var error_info = data.error_info;

                    if (error_no == 0) {
                        appUtils.pageInit("account/msgConfirm",
                            "account/signProtocol");
                    } else {
                        layerUtils.iMsg(-1, error_info); // 提示错误信息
                    }
                });
            }
        });

        /* 绑定输入账号验证只让输入数字 */
        appUtils.bindEvent($(_pageId + " .mobileno"), function () {
            var accountNumStr = $(_pageId + " .mobileno").val().trim();
            if (accountNumStr != "") {
                if (!validatorUtil.isNumeric(accountNumStr)) {
                    layerUtils.iMsg(-1, "请正确输入号码！");
                    var str = $(_pageId + " .mobileno").val();
                    $(_pageId + " .mobileno").val(str.substring(0,
                            str.length - 1));
                    return false;
                }
            }
        }, "input");

        /* 绑定输入验证码只让输入数字 */
        appUtils.bindEvent($(_pageId + " .code"), function () {
            var accountNumStr = $(_pageId + " .code").val().trim();
            if (accountNumStr != "") {
                if (!validatorUtil.isNumeric(accountNumStr)) {
                    layerUtils.iMsg(-1, "请正确输入验证码！");
                    var str = $(_pageId + " .code").val();
                    $(_pageId + " .code").val(str.substring(0, str.length - 1));
                    return false;
                }
            }
        }, "input");

        // 处理返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            // 清除所有缓存*/
            appUtils.clearSStorage();
            appUtils.setSStorageInfo("started", "true", true);
            // 清除项目中的html
            $("#bodyContent .page").each(function () {
                $(this).remove();
            });
            appUtils.pageInit("account/msgConfirm", "account/login");
        });

        // 清空验证码输入框
        appUtils.bindEvent($(_pageId + " .code"), function () {
            $(this).val("");
        });

        // 清空验证码输入框
        appUtils.bindEvent($(_pageId + " .bot_tips a"), function () {
            layerUtils.iConfirm("您确定要去修改个人信息？", function () {
                // 是否是中焯的
                if (global.isZhongZhuo) {
                    // add by fengxiang 2015-08-11 判断是否是从主页跳转过来的，是的话就返回主页，不是的话就返回中焯
                    var preModule = appUtils.getSStorageInfo("preModule", true);
                    if (preModule == "main") {
                        appUtils.clearSStorage(true);
                        appUtils.setSStorageInfo("started", "true", true);
                        appUtils.sendDirect("../open/index.html#!/business/index.html");
                    } else {
                        var param = {
                            "funcNo": "50101",
                            "moduleName": "open"
                        };
                        external.callMessage(param);
                        appUtils.clearSStorage(true);
                        $(_pageId).remove();
                    }
                    // end by fengxiang 2015-08-11 判断是否是从主页跳转过来的，是的话就返回主页，不是的话就返回中焯
                } else {
                    // 单独广州 跳转到首页
                    appUtils.clearSStorage(true);
                    appUtils.setSStorageInfo("started", "true", true);
                    appUtils.sendDirect("../open/index.html#!/business/index.html");
                }

            });
        });

    }

    function destroy() {
        service.destroy();
    }

    /* 信息提交校验 */
    function verifyInfo() {
        var mobileno = $(_pageId + " .mobileno").val();
        account_change.mobileno = mobileno;
        var code = $(_pageId + " .code").val();
        account_change.code = code;

        if (!validatorUtil.isMobile(mobileno)) {
            // 手机号没通过前端校验，弹出提示，并终止发送验证码的过程
            var times = mobileno.length - 11;
            if (mobileno.length > 11) {
                layerUtils
                    .iMsg(-1, "您多输入&nbsp;" + times + "&nbsp;位电话号码，请重新输入！");
                return false;
            } else if (mobileno.length < 11) {
                layerUtils.iMsg(-1, "您少输入&nbsp;" + Math.abs(times)
                    + "&nbsp;位电话号码，请重新输入！");
                return false;
            } else {
                layerUtils.iMsg(-1, "请输入正确的电话号码！");
                return false;
            }
            return;
        }
        if (code == "") {
            layerUtils.iMsg(-1, "验证码不能为空");
            return false;
        }
        return true;
    }

    // 发送验证码
    function sendSmsCode(mobileno) {
        var param = {
            "user_id": login_info.user_id,
            "mobile_no": mobileno
        };
        service.sendSmsCode(param, function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            var result = data.results;
            if (error_no == "0") {
                flag = true;
                // 计时器
                var sumTime = 120;
                // 处理获取验证码时发生的动作
                var handleCount = function () {
                    // 获取验证码之后按钮隐藏
                    $(_pageId + " .blue_code").hide();
                    // 显示倒计时
                    $(_pageId + " .get_code").show();
                    $(_pageId + " .get_code").text(sumTime-- + "秒后重发");
                };
                handleCount();
                startCountDown = window.setInterval(function () {
                    handleCount();
                }, 1000);
                // 120 秒之后清除计时器
                var clearCountDown = setTimeout(function () {
                    flag = false;
                    // 显示按钮
                    $(_pageId + " .blue_code").show();
                    // 隐藏倒计时
                    $(_pageId + " .get_code").hide();
                    $(_pageId + " .get_code").text(120);
                    window.clearInterval(startCountDown);
                }, 121000);
                // 发送完验证码后，通过判断输入手机号是否一致，否则重新发送验证码
                var c_phoneNum = mobileno;
                appUtils.bindEvent($(_pageId + " .mobileno"),
                    function () {
                        c_phoneNum = $(_pageId + " .mobileno")
                            .val();
                        if (validatorUtil.isMobile(mobileno)
                            && validatorUtil
                                .isMobile(c_phoneNum)) {
                            // 用户两次输入的手机号不同，重新获取验证码
                            if (c_phoneNum != mobileno) {
                                clearInterval(startCountDown); // 清除定时器
                                clearTimeout(clearCountDown);
                                $(_pageId + " .blue_code").show(); // 显示按钮
                                $(_pageId + " .get_code").hide(); // 隐藏倒计时
                                flag = false;
                            }
                        }
                    }, "input");
                // 调用读取短信验证码插件
                // require("shellPlugin").callShellMethod("sMSReceiverPlugin",null,null,null);
            } else {
                layerUtils.iAlert(error_info, -1);
                return false;
            }
        });
    }

    // 清空页面信息
    function cleanPage() {
        $(_pageId + " .mobileno").val("");
        $(_pageId + " .code").val("");
        $(_pageId + " .blue_code").show(); // 显示按钮
        $(_pageId + " .get_code").hide(); // 隐藏倒计时
    }

    // 清空页面信息
    function cleanPage() {
        $(_pageId + " .code").val("");
        $(_pageId + " .blue_code").show(); // 显示按钮
        $(_pageId + " .get_code").hide(); // 隐藏倒计时
    }

    // 连接客服
    function customerService() {
        var branchID = appUtils.getSStorageInfo("branchno");
        var brokersno = appUtils.getSStorageInfo("recommendno");
        if (branchID == undefined) {
            branchID = "";
        }
        if (brokersno == undefined) {
            brokersno = "";
        }
        // 如有选择了营业部或经纪人则需要传
        var param1 = {
            "userid": appUtils.getSStorageInfo("user_id"),
            "branchno": branchID,
            "brokersno": brokersno
        }
        console.log("================================ param1="
            + JSON.stringify(param1));
        /*
         * added at 2015/09/02 入参： user_id （客户id） 出参：调用成功有两种情况， 1.如果属于中焯渠道 会返回
         * status=1 2. 如果不属于中焯渠道或者没有渠道 会返回
         * status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。
         */
        service.serachIsCompanyCustomer(param1, function (data) {
            console.log("================================ data="
                + JSON.stringify(data));

            var error_no = data.error_no, error_info = data.error_info;
            if (error_no == "0") {
                var status = data.results[0].status;
                if (status == "0") {
                    $(".ly_shadow").show();
                    var branchname = data.results[0].branchname;
                    var brokersname = data.results[0].brokersname;
                    var servicephone = data.results[0].servicephone;
                    var brokersphone = data.results[0].brokersphone;
                    var address = data.results[0].address;
                    var info = "";
                    // 有经纪人的
                    if (!!brokersname) {
                        info = "<p style='text-align:left;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                        branchno_info = "<br><p style='text-align:left;'>营业部名称："
                            + branchname
                            + "</p>"
                            + "<p style='text-align:left;'>营业部热线：<a style='color:orange' id='branchnoPhone'>"
                            + servicephone
                            + "</a></p>"
                            + "<p style='text-align:left;'>经纪人姓名："
                            + brokersname
                            + "</p>"
                            + "<p style='text-align:left;'>经纪人电话：<a style='color:orange' id='brokersphone'>"
                            + brokersphone
                            + "</a></p>"
                            + "<p style='text-align:left;'>营业部地址："
                            + address
                            + "</p>"
                            + "<p style='text-align:left;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                        info += branchno_info;
                        $(".btn_bot p").html(info);
                        // 监听营业部电话事件
                        appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                            var tel = $(this).text();
                            utils.call(tel); // 打电话
                            e.stopPropagation(); // 阻止冒泡
                        });
                        // 监听经纪人电话事件
                        appUtils.bindEvent(".btn_bot #brokersphone",
                            function (e) {
                                var tel = $(this).text();
                                utils.call(tel); // 打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                        // 监听统一电话事件
                        appUtils.bindEvent(".btn_bot #publicPhone",
                            function (e) {
                                var tel = $(this).text();
                                utils.call(tel); // 打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                        appUtils.bindEvent(".btn_box", function (e) {
                            $(".ly_shadow").hide();
                            e.stopPropagation(); // 阻止冒泡
                        });
                    } else {// 无经纪人的
                        info = "<p style='text-align:left;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                        branchno_info = "<br><p style='text-align:left;'>营业部名称："
                            + branchname
                            + "</p>"
                            + "<p style='text-align:left;'>营业部热线：<a style='color:orange' id='branchnoPhone'>"
                            + servicephone
                            + "</a></p>"
                            + "<p style='text-align:left;'>营业部地址："
                            + address
                            + "</p>"
                            + "<p style='text-align:left;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                        info += branchno_info;
                        $(".btn_bot p").html(info);
                        // 监听营业部电话事件
                        appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                            var tel = $(this).text();
                            utils.call(tel); // 打电话
                            e.stopPropagation(); // 阻止冒泡
                        });
                        // 监听统一电话事件
                        appUtils.bindEvent(".btn_bot #publicPhone",
                            function (e) {
                                var tel = $(this).text();
                                utils.call(tel); // 打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                        appUtils.bindEvent(".btn_box", function (e) {
                            $(".ly_shadow").hide();
                            e.stopPropagation(); // 阻止冒泡
                        });
                    }
                } else {
                    if (require("gconfig").platform != "1") {
                        // ios 获取软件是否安装
                        var param = {
                            "funcNo": "50200",
                            "moduleName": "open",
                            "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                        };
                        var result = external.callMessage(param);
                        if (result.error_no == 0) {
                            var isInstall = result.results[0].isInstall;
                            // 是否安装(0：否，1：是）
                            if (isInstall == "1") {
                                var param = {
                                    "funcNo": "50109",
                                    "moduleName": "open",
                                    "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web" // ios
                                    // qq地址
                                    // "url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                                    // //android qq地址
                                };
                                external.callMessage(param);
                            } else {
                                layerUtils.iConfirm(
                                    "检测到您的手机未安装QQ，请先下载并安装QQ客户端",
                                    function () {
                                        // 进入appstore
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "https://itunes.apple.com/cn/app/id444934666?mt=8" // qq的appstore地址
                                        };
                                        external.callMessage(param);
                                    }, null, "下载", "取消");
                            }
                        } else {
                            layerUtils.iAlert("检测QQ失败");
                        }
                    } else {
                        var param = {
                            "funcNo": "50109",
                            "moduleName": "open",
                            // "url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                            "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                        };
                        external.callMessage(param);
                    }
                }
            } else {
                layerUtils.iAlert(error_info);
            }
        });
    }

    var msgConfirm = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = msgConfirm;
});