/**
 * 知识测评
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        service = require("serviceImp").getInstance(),  //业务层接口，请求数据
        global = require("gconfig").global,
        utils = require("utils"),
        gconfig = require("gconfig"),
        serverPath = global.serverPath,
        layerUtils = require("layerUtils"),
        arrs = [],
        survey_type ,
        base64Str = "",
        steps = ["account", "survey", "knowledge_level",
            "integrity_level", "risk_level",
            "level", "survey_level", "open_confirm",
            "open_finish"
        ],
        _pageId = "#account_integrityCertify";
    var ibind = "";
    var answerID = "";
    var photoFlag = "";
    var external = require("external");
    /* 私有业务模块的全局变量 end */

    function init() {
        $(_pageId + " .zm_picbox").remove();
        //获取诚信照片
        getPhotos("", "3", "", "");
        //第一个题目的ID
        ibind = "";
        base64Str = "";
        _pageId = "#account_integrityCertify";
        photoFlag = "";
        //第一个答案的ID
        answerID = "";
//		window.imgState = imgState;
//		window.imgResult = imgResult;
    }

    //删除或保存照片
    function saveDelPhotos(randomStr, operate_type, image_content) {
        var param = {
            "user_id": appUtils.getSStorageInfo("user_id"),
            "question_id": appUtils.getSStorageInfo("question_id"),
            "image_flag": randomStr,//    图片标识
            "image_content": image_content,  //图片内容
            "answer_id": appUtils.getSStorageInfo("answer_id"),
            "operate_type": operate_type
        };
        service.uploadPhotos(param, function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            if (error_no == "0") {
                if (operate_type == "2") {
                    layerUtils.iMsg(0, "删除成功！");
                } else {
                    layerUtils.iMsg(0, "上传成功！");
                }
            } else {
                layerUtils.iAlert(error_info, -1);
            }
        });
    }

    //获取照片
    function getPhotos(randomStr, operate_type, image_content) {
        var param = {
            "user_id": appUtils.getSStorageInfo("user_id"),
            "question_id": appUtils.getSStorageInfo("question_id"),
            "image_flag": randomStr,//    图片标识
            "image_content": image_content,  //图片内容
            "answer_id": appUtils.getSStorageInfo("answer_id"),
            "operate_type": operate_type
        };
        service.uploadPhotos(param, function (data) {
            var results = data.results;
            var error_no = data.error_no;
            var error_info = data.error_info;
            if (error_no == "0") {
                for (var i = 0; i < results.length; i++) {
                    var img_content = results[i].image_content;
                    var image_flag = results[i].image_flag;
                    var head = "data:image/png;base64,";
                    if (img_content && /\/9j\+/.test(img_content)) {
                        head = "data:image/jpeg;base64,";
                    } else {
                        head = "data:image/png;base64,";
                    }
                    $("<div class='zm_picbox'><a  type ='" + image_flag + "' class='delete' href='javascript:void(0);'></a><img src=\"" + head + img_content + "\"/></div>").insertBefore($(".add_zmbtn"));
                }
            } else {
                layerUtils.iAlert(error_info, -1);
            }
        });
    }

    function bindPageEvent() {
        /* 点击页面隐藏按钮 */
        /*appUtils.bindEvent($("#account_integrity"),function(){
         // 将按钮的自定义属性  last-media-id 设为 当前的 media-id
         $(_pageId+" .upload_btn li").attr("last-media-id",$(_pageId+" .upload_btn li:eq(0)").attr("media-id"));
         // 将按钮的自定义属性 media-id 设为 null
         $(_pageId+" .upload_btn li").attr("media-id","null");
         // 隐藏照片上传按钮
         $(_pageId+" .upload_btn").slideUp("fast");
         });*/
        /* 提交答题  */
        appUtils.bindEvent(_pageId + " .ce_btn", function () {
            appUtils.pageBack();
        });

        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"),
            function () {
                var branchID = appUtils.getSStorageInfo("branchno");
                var brokersno = appUtils.getSStorageInfo("recommendno");
                if (branchID == undefined) {
                    branchID = "";
                }
                if (brokersno == undefined) {
                    brokersno = "";
                }
                //如有选择了营业部或经纪人则需要传
                var param1 = {
                    "userid": appUtils.getSStorageInfo("user_id"),
                    "branchno": branchID,
                    "brokersno": brokersno
                }
                console.log("================================ param1=" + JSON.stringify(param1));
                /*  added at 2015/09/02
                 *  入参： user_id （客户id）
                 出参：调用成功有两种情况，
                 1.如果属于中焯渠道 会返回 status=1
                 2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
                service.serachIsCompanyCustomer(param1, function (data) {
                    console.log("================================ data=" + JSON.stringify(data));

                    var error_no = data.error_no,
                        error_info = data.error_info;
                    if (error_no == "0") {
                        var status = data.results[0].status;
                        if (status == "0") {
                            $(".ly_shadow").show();
                            var branchname = data.results[0].branchname;
                            var brokersname = data.results[0].brokersname;
                            var servicephone = data.results[0].servicephone;
                            var brokersphone = data.results[0].brokersphone;
                            var address = data.results[0].address;
                            var info = "";
                            //有经纪人的
                            if (!!brokersname) {
                                info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                                branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                                info += branchno_info;
                                $(".btn_bot p").html(info);
                                //监听营业部电话事件
                                appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听经纪人电话事件
                                appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听统一电话事件
                                appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                appUtils.bindEvent(".btn_box", function (e) {
                                    $(".ly_shadow").hide();
                                    e.stopPropagation(); // 阻止冒泡
                                });
                            } else {//无经纪人的
                                info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                                branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                    + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                    + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                                info += branchno_info;
                                $(".btn_bot p").html(info);
                                //监听营业部电话事件
                                appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                //监听统一电话事件
                                appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                    var tel = $(this).text();
                                    utils.call(tel); //打电话
                                    e.stopPropagation(); // 阻止冒泡
                                });
                                appUtils.bindEvent(".btn_box", function (e) {
                                    $(".ly_shadow").hide();
                                    e.stopPropagation(); // 阻止冒泡
                                });
                            }
                        } else {
                            if (require("gconfig").platform != "1") {
                                //ios 获取软件是否安装
                                var param = {
                                    "funcNo": "50200",
                                    "moduleName": "open",
                                    "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                };
                                var result = external.callMessage(param);
                                if (result.error_no == 0) {
                                    var isInstall = result.results[0].isInstall;
                                    //是否安装(0：否，1：是）
                                    if (isInstall == "1") {
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                            //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                        };
                                        external.callMessage(param);
                                    } else {
                                        layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                            //进入appstore
                                            var param = {
                                                "funcNo": "50109",
                                                "moduleName": "open",
                                                "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                            };
                                            external.callMessage(param);
                                        }, null, "下载", "取消");
                                    }
                                } else {
                                    layerUtils.iAlert("检测QQ失败");
                                }
                            } else {
                                var param = {
                                    "funcNo": "50109",
                                    "moduleName": "open",
                                    //					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                    "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                                };
                                external.callMessage(param);
                            }
                        }
                    } else {
                        layerUtils.iAlert(error_info);
                    }
                });
            });

        //绑定返回
        appUtils.bindEvent($(_pageId + " .icon_back"), function () {
            appUtils.pageBack();
        });
        //绑定返回
        appUtils.bindEvent($(".ly_shadow .up_picbtn a:eq(2)"), function (e) {
            $(".ly_shadow").hide();
            appUtils.pageBack();
            e.stopPropagation();
        });
        /* 点击相册 */
        appUtils.bindEvent($(".ly_shadow .up_picbtn a:eq(0)"), function (e) {
            //相册上传的参数
            var phoneConfig = {
                "funcNo": "60002",
                "moduleName": "open",
                "funcNum": "501525",
                "uuid": "index",
                "r": Math.random(),
                "userId": appUtils.getSStorageInfo("user_id"),
                "photoType": "身份证",	// 影像名称
                "action": "phone",	// 照片来源类别，phone 相册，pai 相机
                "imgType": "1",
                "key": "index",	// key 和 uuid 只需要写一个
                "url": global.serverPath,
                "needUpload": "no",
                "clientInfo": appUtils.getSStorageInfo("clientinfo"),	 // 从 session 中将 clientinfo 取出
                "jsessionId": appUtils.getSStorageInfo("jsessionid") // 从 session 中将 jsessionid 取出
            };
            // 相册上传的参数
            //require("shellPlugin").callShellMethod("carmeraPlugin",null,null,phoneConfig);

            //add by fengxiang 2015-07-17 升级
            external.callMessage(phoneConfig);
            //end by fengxiang 2015-07-17 升级

            // 隐藏照片上传按钮
            //$(_pageId+" .upload_btn").slideUp("fast");
            //$(_pageId+" .upload_box").removeClass("active");
            // 将按钮的自定义属性  last-media-id 设为 当前的 media-id
            $(_pageId + " .upload_btn li").attr("last-media-id", $(_pageId + " .upload_btn li:eq(0)").attr("media-id"));
            // 将按钮的自定义属性 media-id 设为 null
            $(_pageId + " .upload_btn li").attr("media-id", "null");
            e.stopPropagation();  // 阻止冒泡
        });
        /* 点击拍照 */
        appUtils.bindEvent($(".ly_shadow .up_picbtn a:eq(1)"), function (e) {
            var paiConfig = {
                "funcNo": "60002",
                "moduleName": "open",
                "funcNum": "501525",
                "uuid": "index",
                "r": Math.random(),
                "userId": appUtils.getSStorageInfo("user_id"),
                "photoType": "身份证",	// 影像名称
                "action": "pai",	// 照片来源类别，phone 相册，pai 相机
                "imgType": "1",
                "key": "index",	// key 和 uuid 只需要写一个
                "url": global.serverPath,
                "needUpload": "no",
                "clientInfo": appUtils.getSStorageInfo("clientinfo"),	 // 从 session 中将 clientinfo 取出
                "jsessionId": appUtils.getSStorageInfo("jsessionid") // 从 session 中将 jsessionid 取出
            };
            //require("shellPlugin").callShellMethod("carmeraPlugin",null,null,paiConfig);
            //add by fengxiang 2015-07-17 升级
            external.callMessage(paiConfig);
            //end by fengxiang 2015-07-17 升级

            // 隐藏照片上传按钮
            $(_pageId + " .upload_btn").slideUp("fast");
            $(_pageId + " .upload_box").removeClass("active");
            // 将按钮的自定义属性  last-media-id 设为 当前的 media-id
            $(_pageId + " .upload_btn li").attr("last-media-id", $(_pageId + " .upload_btn li:eq(0)").attr("media-id"));
            // 将按钮的自定义属性 media-id 设为 null
            $(_pageId + " .upload_btn li").attr("media-id", "null");
            e.stopPropagation();  // 阻止冒泡
        });
        /* 点击添加 */
        appUtils.bindEvent($(_pageId + " .add_zmbtn"), function (e) {
            $(".ly_shadow").show();
            e.stopPropagation();  // 阻止冒泡
        });

        /* 点击添加
         appUtils.preBindEvent($(_pageId+" .upload_main"),$(_pageId+" .delete"),function(){
         $(this).parent().remove();
         });*/
        //动态绑定事件
        $(_pageId + " .delete").live("click", function (e) {
            var img_flag = $(this).attr("type");
            saveDelPhotos(img_flag, "2", "");
            $(this).parent().remove();
            e.stopPropagation();  // 阻止冒泡
        });

    }

    function destroy() {
        $(_pageId + " .zm_picbox").remove();
        service.destroy();
    }

    var integrityCertify = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "imgState": imgState
    };

    //iOS获取base64的图片数据
    function imgState(data) {
        var base64Str = (data.base64).replace(/[\n\r]*/g, "");
        var saveBase64Str = base64Str.split(",")[1];
        var randomStr = generateMixed(5);
        $(".ly_shadow").hide();
        $("<div class='zm_picbox' ><a type ='" + randomStr + "' class='delete' href='javascript:void(0);'></a><img src=\"" + base64Str + "\"/></div>").insertBefore($(".add_zmbtn"));
        //保存照片
        saveDelPhotos(randomStr, "1", saveBase64Str);
    }

    //生产随机标识
    function generateMixed(n) {
        var chars = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
        var res = "";
        for (var i = 0; i < n; i++) {
            var id = Math.ceil(Math.random() * 35);
            res += chars[id];
        }
        return res;
    }

    //旧壳子  Android获取base64的图片数据
//    function imgResult(result){
//    	var randomStr = generateMixed(5);
//    	$(".ly_shadow").hide();
//    	base64Str = result;
//    	var saveBase64Str = base64Str.split(",")[1];
//    	$("<div class='zm_picbox' ><a type ='"+randomStr+"' class='delete' href='javascript:void(0);'></a><img src=\""+base64Str+"\"/></div>").insertBefore($(".add_zmbtn"));
//    	//保存照片
//    	saveDelPhotos(randomStr,"1",saveBase64Str);
//    }

    module.exports = integrityCertify;
});