﻿/**
 * 开|转户结果
 */
define(function (require, exports, module) {
    var _pageId = "#account_accountFor",
        service = require("serviceImp").getInstance(), // 业务层接口，请求数据
        layerUtils = require("layerUtils"),
        appUtils = require("appUtils"),
        global = require("gconfig").global,
        platform = require("gconfig").platform,
        _pageId = "#account_accountFor";
    var external = require("external");

    function init() {
        /*
         //add by fengxiang 2015-07-16 升级
         var param = {
         "moduleName":"open",
         "funcNo":"50030"
         };
         var result = external.callMessage(param);
         var error_no = result.error_no;
         var result = result.results[0];
         if(error_no == "0" && result.network != "4") {
         var showTips = '<div class="wifi_tip" id="iLayer_myProd"><h5>温馨提示</h5><div class="tip_main"><p>开户过程中需要稳定和高速的网络环境。您当前使用的是移动数据网络，我们推荐您在更加稳定和高速的Wi-Fi环境中办理，以保障业务顺利完成，以免消耗您宝贵的移动数据流量。</p></div><div class="tip_btn"><a href="javascript:void(0);" id="iLayer_continue">我已了解，继续使用</a>	 <a href="javascript:void(0);" id="iLayer_setConnectType">切换到WIFI</a></div></div>';
         layerUtils.layerCustom(showTips);
         appUtils.preBindEvent("#iLayer_myProd", "#iLayer_continue", function() {
         layerUtils.iCustomClose();
         });
         appUtils.preBindEvent("#iLayer_myProd", "#iLayer_setConnectType", function() {
         require("shellPlugin").callShellMethod("setConnectType", null, null);
         layerUtils.iCustomClose();
         });
         // $(_pageId+" #wifi_type").show();
         }
         //end by fengxiang 2015-07-16 升级
         */

        if (global.company == "jsyh") {  //建行专属
            $(_pageId + " .ness_bank .clearfix li").hide();
            $(_pageId + " .ness_bank .clearfix li:eq(2)").show();

        }
        else {
            $(_pageId + " .ness_bank .clearfix li").show();
        }

        //add by fengxiang 2015-08-11 在港股通界面添加更新
        // 启动时，检查当前客户端的版本号与服务器上最新的是否一致，根据需要更新客户端，只在启动时检查，started 为 true
        // 表示已启动，已启动就不检查
        if (appUtils.getSStorageInfo("started", true) != "true") {
            // 设置 session 中的 started 为 true ，表示已启动
            var param = {
                "moduleName": "open",
                "funcNo": "50030"
            };
            //判断是否有网络
            var result = external.callMessage(param);
            var error_no = result.error_no;
            var result = result.results[0];
            if (error_no == "0") { //查询网络成功
                if (result.network != "0") {	//判断是否有网络  0：断网，1：2G，2：3G，3：4G，4：WIFI，9：未定义
                    appUtils.setSStorageInfo("started", "true", true);
                    layerUtils.iLoading(true, "正在检查版本...");
                    setBestAddress(); // 设置最佳地址
                } else {
                    layerUtils.iAlert("请连接网络！");
                }
            } else {
                layerUtils.iAlert("查询网络失败,请稍后重试！");
            }
        }
        //end by fengxiang 2015-08-11 在港股通界面添加更新

    }

    function bindPageEvent() {
        /* 绑定返回事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_back"), function () {
            //是否是中焯的
            if (global.isZhongZhuo) {
                //add by fengxiang 2015-08-11 判断是否是从主页跳转过来的，是的话就返回主页，不是的话就返回中焯
                var preModule = appUtils.getSStorageInfo("preModule", true);
                if (preModule == "main") {
                    appUtils.pageInit("account/accountFor", "business/index", {});
                } else {
                    var param = {
                        "funcNo": "50101",
                        "moduleName": "open"
                    };
                    external.callMessage(param);
                    appUtils.clearSStorage(true);
                    $(_pageId).remove();
                }
                //end by fengxiang 2015-08-11 判断是否是从主页跳转过来的，是的话就返回主页，不是的话就返回中焯
            } else {
                appUtils.clearSStorage(true);
                appUtils.setSStorageInfo("started", "true", true);
                appUtils.pageInit("account/accountFor", "business/index", {});
            }
        });

        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"), function () {
            if (require("gconfig").platform != "1") {
                //ios 获取软件是否安装
                var param = {
                    "funcNo": "50200",
                    "moduleName": "open",
                    "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                };
                var result = external.callMessage(param);
                if (result.error_no == 0) {
                    var isInstall = result.results[0].isInstall;
                    //是否安装(0：否，1：是）
                    if (isInstall == "1") {
                        var param = {
                            "funcNo": "50109",
                            "moduleName": "open",
                            "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
//							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                        };
                        external.callMessage(param);
                    } else {
                        layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                            //进入appstore
                            var param = {
                                "funcNo": "50109",
                                "moduleName": "open",
                                "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                            };
                            external.callMessage(param);
                        }, null, "下载", "取消");
                    }
                } else {
                    layerUtils.iAlert("检测QQ失败");
                }
            } else {
                var param = {
                    "funcNo": "50109",
                    "moduleName": "open",
//					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                    "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                };
                external.callMessage(param);
            }
        });

        /* 绑定下一步事件* */
        appUtils.bindEvent($(_pageId + " #nextStep"), function () {
            appUtils.pageInit("account/accountFor", "account/msgVerify", {});
        });
        // /*绑定下一步事件* */
        // appUtils.bindEvent($(_pageId+" #continue"),function(){
        // $(_pageId+" #wifi_type").hide();
        // });
        // /*绑定下一步事件* */
        // appUtils.bindEvent($(_pageId+" #setConnectType"),function(){
        // $(_pageId+" #wifi_type").hide();
        // require("shellPlugin").callShellMethod("setConnectType",null,null);
        // });

    }


    /******************* start 更新H5**********************/
    /* 自动测速，选择最佳地址 */
    function setBestAddress() {
        // 检测更新最新版本
        detectUpdate();
    }

    /* 检测更新最新版本 */
    function detectUpdate() {
        var queryParam = {
            "by_type": "1",
            "terminal_type": platform == "1" ? "android" : "ios"
        };
        service.getVersion(queryParam, function (data) {
            if (data.error_no == 0) {
                layerUtils.iLoading(false);
                // 服务器有数据返回时
                if (data.results.length != 0 && data.results[0].update_url != undefined) {
                    if (platform == "1") {
                        execUpdateAndroid(data.results); // 执行安卓更新
                    } else {
                        execUpdateIOS(data.results); // 执行IOS更新
                    }

                }
            } else // 查询地址失败
            {
                layerUtils.iLoading(false);
                layerUtils.iAlert("版本检查失败，请稍后重试！");
            }
        }, true, false);
    }

    // 执行安卓更新操作
    function execUpdateAndroid(results) {
        var param = {
            "funcNo": "50010",
            "moduleName": "common",
            "source": "open"
        };
        //获取当前版本
        var result1 = external.callMessage(param);
        if (result1.error_no == "0") {
            //如果当前版本不是最新的 则下载更新
            var version = results[0].version; // 最新版本
            var version_now = result1.results[0].versionSn; // 当前版本
            if (version > version_now) {
                var updateParam = {
                    "url": results[0].update_url,  // 更新地址
                    "type": "1",
                    "version": results[0].version,  // 最新版本号
                    // 只有一条记录取 0
                    "versionSn": results[0].version,
                    "firstEnforcement": results[0].enforcement,  // 第一条记录是否是强制更新
                    "funcNo": "50201",
                    "moduleName": "common",
                    "source": "open"
                };
                external.callMessage(updateParam);
            }
        }
    }

    // 执行IOS更新操作
    function execUpdateIOS(results) {
        var updateParam = {
            "url": results[0].update_url,  // 更新地址
            "type": "1",
            "version": results[0].version,  // 最新版本号
            // 只有一条记录取 0
            "versionSn": results[0].version,
            "firstEnforcement": results[0].enforcement,  // 第一条记录是否是强制更新
            "funcNo": "50201",
            "moduleName": "open"
        };
        external.callMessage(updateParam);
    }

    /******************* end 更新H5 **********************/

    function destroy() {

    }

    var accountFor = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    module.exports = accountFor;
});