/**
 * 驳回设置密码
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        service = require("serviceImp").getInstance(),
    // 业务层接口，请求数据
        global = require("gconfig").global,
        gconfig = require("gconfig"),
        validatorUtil = require("validatorUtil"),
        platform = require("gconfig").platform,
        layerUtils = require("layerUtils"),
        utils = require("utils"),
        protocol = null,
    // 保存协议
    // 来自补全资料的页面入参
        pwdParam = {
            "needBusinessPwd": "",
            "needFundPwd": ""
        },
        businessPwd = "",
        fundPwd = "",
        cert_type = "",
    // 证书类型
        psw_id = "",
    // 选择密码框的id
        _pageId = "#account_backSetPwd";

    var external = require("external");
    /* 私有业务模块的全局变量 end */

    function init() {
        initPage(); // 初始化页面
//        if (gconfig.platform == 2) {
//            $(_pageId + " .user_form .input_text").removeAttr("readonly");
//        }
//        window.getInput = getInput; // 输入密码，获取密码值
//        window.onFinish = onFinish; // 完成输入密码
        if (appUtils.getSStorageInfo("openChannel") == "change") {
            cert_type = "tw";
        } else {
            cert_type = "zd";
        }
        // 开启等待层。。。
        // layerUtils.iLoading(true);
        // //本页面需要用到证书，如果进入本页面时，证书不存在就下载并安装证书
        // var existsParam = {
        // "userId" : appUtils.getSStorageInfo("user_id"),
        // "mediaid" : "certificate",
        // "type" : cert_type
        // };
        // require("shellPlugin").callShellMethod("fileIsExistsPlugin",function(data){
        // // 如果未检测到本地有证书，就安装证书
        // if(data.mediaId == "")
        // {
        // utils.installCertificate(getAgreement); //下载安装证书并且查询协议
        // }
        // else
        // {
        // getAgreement(); //查询协议
        // }
        // },function(){
        // // 关闭等待层。。。
        // layerUtils.iLoading(false);
        // },existsParam);
    }

    function bindPageEvent() {
        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"), function () {
            var branchID = appUtils.getSStorageInfo("bid");
            var brokersno = appUtils.getSStorageInfo("recommendno");
            if (branchID == undefined) {
                branchID = "";
            }
            if (brokersno == undefined) {
                brokersno = "";
            }
            //如有选择了营业部或经纪人则需要传
            var param1 = {
                "userid": appUtils.getSStorageInfo("user_id"),
                "branchno": "",
                "brokersno": ""
            }
            /*  added at 2015/09/02
             *  入参： user_id （客户id）
             出参：调用成功有两种情况，
             1.如果属于中焯渠道 会返回 status=1
             2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
            service.serachIsCompanyCustomer(param1, function (data) {
                var error_no = data.error_no,
                    error_info = data.error_info;
                if (error_no == "0") {
                    var status = data.results[0].status;
                    if (status == "0") {
                        $(".ly_shadow").show();
                        var branchname = data.results[0].branchname;
                        var brokersname = data.results[0].brokersname;
                        var servicephone = data.results[0].servicephone;
                        var brokersphone = data.results[0].brokersphone;
                        var address = data.results[0].address;
                        var info = "";
                        //有经纪人的
                        if (!!brokersname) {
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听经纪人电话事件
                            appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        } else {//无经纪人的
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        }
                    } else {
                        if (require("gconfig").platform != "1") {
                            //ios 获取软件是否安装
                            var param = {
                                "funcNo": "50200",
                                "moduleName": "open",
                                "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                            };
                            var result = external.callMessage(param);
                            if (result.error_no == 0) {
                                var isInstall = result.results[0].isInstall;
                                //是否安装(0：否，1：是）
                                if (isInstall == "1") {
                                    var param = {
                                        "funcNo": "50109",
                                        "moduleName": "open",
                                        "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                        //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                    };
                                    external.callMessage(param);
                                } else {
                                    layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                        //进入appstore
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                        };
                                        external.callMessage(param);
                                    }, null, "下载", "取消");
                                }
                            } else {
                                layerUtils.iAlert("检测QQ失败");
                            }
                        } else {
                            var param = {
                                "funcNo": "50109",
                                "moduleName": "open",
                                //					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                            };
                            external.callMessage(param);
                        }
                    }
                } else {
                    layerUtils.iAlert(error_info);
                }
            });
        });

        /* 点击页面隐藏键盘 */
        appUtils.bindEvent($(_pageId), function (e) {
            if (gconfig.platform == '1') {
                // 关闭密码键盘
                /*require("shellPlugin").callShellMethod("softKeyboardPlugin", null, null, {
                 "isShow": false
                 });*/

                //add by fengxiang 2015-07-17 升级
                //关闭密码键盘
//				var param = {
//					"moduleName":"common",
//					"funcNo": "50211"
//				};
//				external.callMessage(param);
                //end by fengxiang 2015-07-17 升级
            }
//            onFinish();
            e.stopPropagation(); // 阻止冒泡
        });

        /* 是否设置资金密码与交易密码一致（隐藏显示） */
        appUtils.bindEvent($(_pageId + " .mt15 .icon_check:eq(0)"),
            function () {
                $(_pageId + " .user_form h5:not(0)").toggle();
                $(_pageId + " .user_form .circular:eq(1)").toggle();
                $(_pageId + " .user_form .mt10").toggle();
                $(_pageId + " #checkprotocol").toggle();
                $(_pageId + " .l_link").toggle();
                $(this).toggleClass("checked");
                if (!$(this).hasClass("checked")) {
                    $(_pageId + " #pass3").val("");
                    $(_pageId + " #pass4").val("");
                }
            });

        /* 协议签署按钮 */
        appUtils.bindEvent($(_pageId + " #checkprotocol .icon_check:eq(0)"),
            function () {
                $(this).toggleClass("checked");
            });

        /* 点击密码框统一调用密码键盘 */
//        appUtils.bindEvent($(_pageId + " .user_form input"),
//        function(e) {
//            if (gconfig.platform == '1') {
//                psw_id = "#" + $(this).attr("id"); // 当前input元素id
//                var pwsdParam = {
//                    "isShow": true,
//                    "oldPwd": $(this).val(),
//                    "maxLength": 6
//                };
//                var topHeight = $(this).offset().top + $(this).parent().height(); // 当前元素到顶部的高度
//                var bodyHeight = $(document.body).height(); // 当前body的高度
//                require("shellPlugin").callShellMethod("softKeyboardPlugin",
//                function(data) {
//                    // 解决弹出键盘遮挡输入框的情况
//                    var keyheight = data.height / window.devicePixelRatio; // 键盘高度
//                    var newbody = bodyHeight - keyheight; // 键盘弹出
//                    // body的高度
//                    var scrollheight = topHeight - newbody; // 输入框被遮住的高度
//                    if (scrollheight > 0) // 只有当密码键盘挡住输入框的时候才进行处理
//                    {
//                        scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; // 页面需要滚动的高度
//                        $("body").css("padding-bottom", scrollheight2 + "px").scrollTop(scrollheight);
//                    }
//                },
//                null, pwsdParam);
//            }
//            e.stopPropagation(); // 阻止冒泡
//        });

        /* 点击密码框统一调用密码键盘 */
        appUtils.bindEvent($(_pageId + " .user_form input"), function (e) {
            if (platform == '1') {
                utils.dealIPhoneMaxLength(this, 6); // 处理iphone兼容
                /*var psw_id = "#"+$(this).attr("id"); // 当前input元素id
                 var eleName = _pageId+" "+psw_id; // 当前密码卡的Dom值
                 var pwsdParam = {"isShow": true," oldPwd": $(this).val(), "maxLength": 6, "eleName": eleName};
                 var topHeight = $(this).offset().top+$(this).parent().height();  //当前元素到顶部的高度
                 var bodyHeight = $(document.body).height();  //当前body的高度
                 require("shellPlugin").callShellMethod("softKeyboardPlugin",function(data){
                 //解决弹出键盘遮挡输入框的情况
                 var keyheight = data.height/window.devicePixelRatio; //键盘高度
                 var newbody = bodyHeight - keyheight; // 键盘弹出 body的高度
                 var scrollheight = topHeight - newbody; // 输入框被遮住的高度
                 if(scrollheight>0) //只有当密码键盘挡住输入框的时候才进行处理
                 {
                 scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; //页面需要滚动的高度
                 $("body").css("padding-bottom",scrollheight2+"px").scrollTop(scrollheight);
                 }
                 },null,pwsdParam);*/

                //add by fengxiang 2015-07-17 升级
                var param = {
                    "funcNo": "50210",
                    "moduleName": "common",
                    "pageId": "account_backSetPwd",
                    "eleId": $(this).attr("id"),
                    "doneLable": "完成",
                    "keyboardType": "3",
                    "source": "open"
                };
                //改为调系统自带键盘  把插件注释
//				external.callMessage(param);

                // 避免输入框被遮挡
//				var topHeight = $(this).offset().top + $(this).parent().height();  //当前元素到顶部的高度
//				var bodyHeight = $(document.body).height();  //当前body的高度
//				var keyheight = 325;
//				var newbody = bodyHeight - keyheight;  // 键盘弹出 body的高度
//				var scrollheight = topHeight - newbody; // 输入框被遮住的高度
//				if(scrollheight>0)  //只有当密码键盘挡住输入框的时候才进行处理
//				{
//					scrollheight2 = bodyHeight - $(_pageId).height() + scrollheight; //页面需要滚动的高度
//					$("body").css("padding-bottom",scrollheight2+"px").scrollTop(scrollheight);
//				}
                //end by fengxiang 2015-07-17 升级
            }
            e.stopPropagation();	// 阻止冒泡
        });


        /* 绑定输入密码只能输入六位数字*/
        appUtils.bindEvent($(_pageId + " .password"), function () {
            var codeStr = $(this).val().trim();
            if (codeStr != "") {
                if (!validatorUtil.isNumeric(codeStr)) {
                    layerUtils.iMsg(-1, "请输入数字密码！");
                    $(this).val("");
                    return false;
                }
            }
        }, "input");

        /* 密码框绑定失去焦点事件 */
        appUtils.bindEvent($(_pageId + " #pass1"),
            function () {
                validatePassword($(this));
            },
            "blur");

        appUtils.bindEvent($(_pageId + " #pass3"),
            function () {
                validatePassword($(this));
            },
            "blur");

        /* 密码框绑定检验二次密码是否匹配事件 */
        appUtils.bindEvent($(_pageId + " #pass2"),
            function () {
                validateSecondPassword($(this), "1");
            },
            "blur");

        appUtils.bindEvent($(_pageId + " #pass4"),
            function () {
                validateSecondPassword($(this), "2");
            },
            "blur");

        /* 查看协议内容的事件 */
        appUtils.bindEvent($(_pageId + " #protocolName"),
            function () {
                appUtils.pageInit("account/setPwd", "account/showProtocol", {
                    "protocol_id": $(this).attr("protocolId")
                });
            });

        /* 继续开户 */
        appUtils.bindEvent($(_pageId + " .ct_btn"),
            function () {
                if (validatePost()) {
                    signProtocol(); // 签署数字协议
                }
            });
    }

    function destroy() {
        service.destroy();
    }

    /* 根据驳回情况，初始化页面 */
    function initPage() {
        businessPwd = pwdParam.needBusinessPwd = appUtils.getPageParam("needBusinessPwd");
        fundPwd = pwdParam.needFundPwd = appUtils.getPageParam("needFundPwd");
        // 1.驳回交易密码
        if (businessPwd == 1 && fundPwd == 0) {
            $(_pageId + " .error_notice p").html("输入的交易密码不符，请重新输入");
            $(_pageId + " .user_form .mt15").hide(); // 隐藏密码协议勾选
            $(_pageId + " .user_form .mt10").hide();
            $(_pageId + " .main .top_title").html("请重新设置交易密码");
            $(_pageId + " .user_form .l_link").hide();
            $(_pageId + " .user_form #checkprotocol").hide();
            $(_pageId + " .user_form .circular:eq(1)").hide(); // 隐藏资金密码
        }
        // 2.驳回资金密码
        if (businessPwd == 0 && fundPwd == 1) {
            $(_pageId + " .error_notice p").html("输入的资金密码不符，请重新输入");
            $(_pageId + " .user_form .mt15").hide(); // 隐藏密码协议勾选
            $(_pageId + " .main .top_title").html("请重新设置资金密码");
            $(_pageId + " .user_form .mt10").hide();
            $(_pageId + " .user_form .title:eq(0)").hide();
            $(_pageId + " .user_form .title:eq(1)").show();
            $(_pageId + " .user_form #checkprotocol").hide();
            $(_pageId + " .user_form .l_link").hide();
            $(_pageId + " .user_form .circular:eq(0)").hide(); // 隐藏交易密码
            $(_pageId + " .user_form .circular:eq(1)").show(); // 显示资金密码
        }
        // 3.交易密码和资金密码均驳回
        if (businessPwd == 1 && fundPwd == 1) {
            $(_pageId + " .input_text input").val(""); // 清理所有的密码框
            // $(_pageId+" .input_form:eq(1)").hide();
            $(_pageId + " .user_form h5:eq(1)").show();
            $(_pageId + " .user_form .mt10").hide();
            $(_pageId + " .mt15 .icon_check:eq(0)").addClass("unchecked"); // 默认选中
        }
    }

    /* 密码提交时校验 */
    function validatePost() {
        var pass1 = $(_pageId + " #pass1").val().trim();
        var pass2 = $(_pageId + " #pass2").val().trim();
        var pass3 = $(_pageId + " #pass3").val().trim();
        var pass4 = $(_pageId + " #pass4").val().trim();
        // 判断当交易密码和资金密码设置一致
        if ($(_pageId + " .mt15 .icon_check:eq(0)").hasClass("checked")) {
            if (validatorUtil.isEmpty(pass1) || validatorUtil.isEmpty(pass2)) {
                layerUtils.iMsg(-1, "请完成密码设置!");
                return false;
            }
            if (pass1.length != "6") {
                layerUtils.iMsg(-1, "请输入6位数字交易密码，请重新输入!");
                return false;
            }
            if (pass1 != pass2) {
                layerUtils.iMsg(-1, "交易密码与第一次不符，请重新输入!");
                $(_pageId + " #pass2").val("");
                return false;
            }
            $(_pageId + " #pass3").val(pass1);
            $(_pageId + " #pass4").val(pass1);
        } else {
            // 只设置交易密码
            if (businessPwd == 1 && fundPwd != 1) {
                if (validatorUtil.isEmpty(pass1) || validatorUtil.isEmpty(pass2)) {
                    layerUtils.iMsg(-1, "请完成密码设置!");
                    return false;
                }
                if (pass1.length != "6") {
                    layerUtils.iMsg(-1, "请输入6位数字交易密码，请重新输入!");
                    return false;
                }
                if (pass1 != pass2) {
                    layerUtils.iMsg(-1, "交易密码与第一次不符，请重新输入!");
                    $(_pageId + " #pass2").val("");
                    return false;
                }
            }
            // 只设置资金密码
            if (businessPwd == 0 && fundPwd == 1) {
                if (validatorUtil.isEmpty(pass3) || validatorUtil.isEmpty(pass4)) {
                    layerUtils.iMsg(-1, "请完成密码设置!");
                    return false;
                }
                if (pass3.length != "6") {
                    layerUtils.iMsg(-1, "请输入6位数字资金密码，请重新输入!");
                    return false;
                }
                if (pass3 != pass4) {
                    layerUtils.iMsg(-1, "资金密码与第一次不符，请重新输入!");
                    $(_pageId + " #pass4").val("");
                    return false;
                }
            }
            if (businessPwd == 1 && fundPwd == 1) {
                // 设置不同的交易密码和资金密码
                if (validatorUtil.isEmpty(pass1) && validatorUtil.isEmpty(pass2) && validatorUtil.isEmpty(pass3) && validatorUtil.isEmpty(pass4)) {
                    layerUtils.iMsg(-1, "请完成密码设置!");
                    return false;
                }
                if (pass1.length != "6") {
                    layerUtils.iMsg(-1, "请输入6位数字交易密码，请重新输入!");
                    return false;
                }
                if (pass1 != pass2) {
                    layerUtils.iMsg(-1, "交易密码与第一次不符，请重新输入!");
                    $(_pageId + " #pass2").val("");
                    return false;
                }
                if (pass3.length != "6") {
                    layerUtils.iMsg(-1, "请输入6位数字资金密码，请重新输入!");
                    return false;
                }
                if (pass3 != pass4) {
                    layerUtils.iMsg(-1, "资金密码与第一次不符，请重新输入!");
                    $(_pageId + " #pass4").val("");
                    return false;
                }
            }
        }
        return true;
    }

    /* 验证密码 6位数字 */
    function validatePassword(obj) {
        var password = obj.val().trim();
        if (!validatorUtil.isNumeric(password) || password.length != 6) {
            layerUtils.iMsg(-1, "请输入6位数字密码");
            return;
        }
        /**
         * 增加弱密校验 1、出生日期的一部分 2、证件号码的一部分 3、某一字符出现的概率不能占总长度的一半以上
         * 4、顺序递增或者递减 5、弱密表的控制值 6、移动电话的一部分 7、固定电话的一部分
         */
        var idCardNo = appUtils.getSStorageInfo("idCardNo") ? appUtils.getSStorageInfo("idCardNo") : "",
            mobileNo = appUtils.getSStorageInfo("mobileNo") ? appUtils.getSStorageInfo("mobileNo") : "";
        // 判断是不是出生日期的一部分
        if (password == idCardNo.substring(6, 12) || password == idCardNo.substring(8, 14)) {
            layerUtils.iAlert("密码不能是出生日期的一部分！", -1);
            // 将密码清除
            obj.val("");
            return false;
        }
        // 判断是不是证件号码的一部分
        if (idCardNo.indexOf(password) != -1) {
            layerUtils.iAlert("密码不能是证件号码的一部分！", -1);
            // 将密码清除
            obj.val("");
            return false;
        }
        // 判断某一字符出现的次数
        for (var i = 0; i < password.length; i++) {
            var oneChar = password.charAt(i),
                count = 0;
            var firstPosition = 0;
            for (var j = 0; j < password.length; j++) {
                if (oneChar == password.charAt(j)) {
                    count++;
                }
            }
            if (count >= 3) {
                layerUtils.iAlert("密码中&nbsp;" + oneChar + "&nbsp;出现的次数超过了三次！", -1);
                // 将密码清除
                obj.val("");
                return false;
            }

        }
        // 判断顺序递增或者递减
        var orderArray = ["012345", '123456', '234567', '345678', '456789', "567890", "098765", '987654', '876543', '765432', '654321', '543210'];
        if (orderArray.indexOf(password) != -1) {
            layerUtils.iAlert("密码不能是顺序递增或者递减！", -1);
            // 将密码清除
            obj.val("");
            return false;
        }
        // 判断弱密码库
        var weakpwdArr = ['111111', '222222', '333333', '444444', '555555', '666666', '777777', '888888', '999999', '101010', '202020', '303030', '404040', '505050', '606060', '707070', '808080', '909090', '101010', '121212', '131313', '141414', '151515', '161616', '171717', '181818', '191919', '202020', '212121', '232323', '242424', '252525', '262626', '272727', '282828', '292929', '303030', '313131', '323232', '343434', '353535', '363636', '373737', '383838', '393939', '404040', '414141', '424242', '434343', '454545', '464646', '474747', '484848', '494949', '505050', '515151', '525252', '535353', '545454', '565656', '575757', '585858', '595959', '606060', '616161', '626262', '636363', '646464', '656565', '676767', '686868', '696969', '707070', '717171', '727272', '737373', '747474', '757575', '767676', '787878', '797979', '808080', '818181', '828282', '838383', '848484', '858585', '868686', '878787', '898989', '909090', '919191', '929292', '939393', '949494', '959595', '969696', '979797', '989898', '123412', '234523', '345634', '456745', '567856', '678967', '123012', '123123', '234234', '345345', '456456', '567567', '678678', '789789', '112233', '111222', '123412', '123443', '234567', '123456', '876543', '111122', '222233', '333344', '444455', '555566', '666677', '777788', '888899', '999900', '111111', '111122', '111133', '111144', '111155', '111166', '111177', '111188', '111199', '111100'];
        if (weakpwdArr.indexOf(password) != -1) {
            layerUtils.iAlert("请勿输入简单组合的资金密码！", -1);
            // 将密码清除
            obj.val("");
            return false;
        }
        // 判断是否是移动电话的一部分
        if (mobileNo.indexOf(password) != -1) {
            layerUtils.iAlert("密码不能是移动电话的一部分！", -1);
            // 将密码清除
            obj.val("");
            return;
        }
    }

    /* 验证二次输入密码是否相同 */
    function validateSecondPassword(obj, i) {
        if (i == "1") // 交易密码
        {
            var pass1 = $(_pageId + " #pass1").val().trim();
            var pass2 = $(_pageId + " #pass2").val().trim();
            if (pass1.length != 6) {
                layerUtils.iMsg(-1, "请输入6位数字交易密码，请重新输入!");
            } else if (pass1 != pass2 && pass2 != "") {
                layerUtils.iMsg(-1, "交易密码与第一次不符，请重新输入!");
                $(_pageId + " #pass2").val("");
            }
        } else // 资金密码
        {
            var pass3 = $(_pageId + " #pass3").val().trim();
            var pass4 = $(_pageId + " #pass4").val().trim();
            if (pass3.length != 6) {
                layerUtils.iMsg(-1, "请输入6位数字资金密码，请重新输入!");
            } else if (pass3 != pass4 && pass4 != "") {
                layerUtils.iMsg(-1, "资金密码与第一次不符，请重新输入!");
                $(_pageId + " #pass4").val("");
            }
        }
    }

    /* 获取协议 */
    function getAgreement() {
        // 调用service查询协议
        service.queryProtocolList({
                "category_englishname": "pwdprotcl"
            },
            function (data) {
                if (data.error_no == 0 && data.results.length != 0) {
                    protocol = data.results[0];
                    $(_pageId + " #protocolName").html("《" + protocol.econtract_name + "》");
                    $(_pageId + " #protocolName").attr("protocolId", protocol.econtract_no);
                } else {
                    layerUtils.iAlert(data.error_info);
                }
            });
    }

    /* 签署协议 */
    function signProtocol() {
        postPassword();
    }

    // var protocolArray = new Array(), //协议数组
    // userid = appUtils.getSStorageInfo("user_id"),
    // ipaddr = appUtils.getSStorageInfo("ip"),
    // macaddr = appUtils.getSStorageInfo("mac"),
    // protocolid = protocol.econtract_no,
    // protocolname = protocol.econtract_name,
    // summary = protocol.econtract_md5, // 协议内容MD5,签名摘要信息
    // signParam = {
    // "medid":protocolid,
    // "content":summary,
    // "userId":userid,
    // "type": cert_type
    // };
    // // 开启等待层。。。
    // layerUtils.iLoading(true);
    // // 获取协议的数字签名值
    // require("shellPlugin").callShellMethod("signPlugin",function(data){
    // // 数字签名值
    // var protocoldcsign = data.ciphertext;
    // var protocol = {
    // "protocol_id" : protocolid,
    // "protocol_dcsign" : protocoldcsign,
    // "summary" : summary
    // };
    // protocolArray.push(protocol);
    // // 签署协议
    // var signProtocolParam = {
    // "user_id" : userid,
    // "jsondata" : JSON.stringify(protocolArray),
    // "ipaddr" : ipaddr,
    // "macaddr" : macaddr
    // };
    // // 新开中登验签
    // if(appUtils.getSStorageInfo("openChannel") == "new")
    // {
    // service.queryOpenCheckSign(signProtocolParam,postPassword,false);
    // }
    // // 转户天威验签
    // else if(appUtils.getSStorageInfo("openChannel") == "change")
    // {
    // service.queryOpenCheckTsign(signProtocolParam,postPassword,false);
    // }
    // },function() { layerUtils.iLoading(false); },signParam);
    // }
    /**
     * 提交交易密码，资金密码 两次单独请求 第一次提交设置交易密码 若失败 直接返回；若成功则锁定交易密码设置 第二次提交设置资金密码
     * 若失败 程序停止，交易密码设置锁定； pwd_type 1:资金密码 2:交易密码
     */
    function postPassword() {
        var tpassword = $(_pageId + " #pass1").val().trim(); // 交易密码
        var fpassword = $(_pageId + " #pass3").val().trim(); // 资金密码
        var userid = appUtils.getSStorageInfo("user_id");
        var tradePasswordParam = {
            "user_id": userid,
            "acct_clientid": "",
            "password": tpassword,
            "pwd_type": "2"
        };
        var fundPasswordParam = {
            "user_id": userid,
            "acct_clientid": "",
            "password": fpassword,
            "pwd_type": "1"
        };
        // 判断驳回，则走驳回流程【1.交易密码驳回 2.资金密码驳回 3.交易、资金密码均驳回】
        // 1.驳回交易密码
        if (businessPwd == 1 && fundPwd == 0) {
            service.setAccountPwd(tradePasswordParam,
                function (data) {
                    if (data.error_no == 0) // 交易密码设置成功，锁定交易密码设置框
                    {
                        $(_pageId + " #pass1").attr("readonly", "readonly"); // 锁定密码框
                        $(_pageId + " #pass2").attr("readonly", "readonly");
                        var notifyParam = {
                            "userid": userid,
                            "fieldname": "trade_pwd" // 通知交易密码已补全
                        };
                        service.rejectStep(notifyParam,
                            function (data) {
                                if (data.error_no == 0) {
                                    appUtils.setSStorageInfo("isBack", "backInfo"); // 标志重新提交资料成功
                                    appUtils.pageInit("account/backUploadPhoto", "account/accountResult", {}); // 返回结果页
                                } else {
                                    layerUtils.iAlert(data.error_info, -1);
                                }
                            });
                    } else {
                        layerUtils.iLoading(false);
                        layerUtils.iAlert(data.error_info, -1);
                    }
                },
                false);
        }
        // 2.驳回资金密码
        if (businessPwd == 0 && fundPwd == 1) {
            service.setAccountPwd(fundPasswordParam,
                function (data) {
                    if (data.error_no == 0) // 交易密码设置成功，锁定交易密码设置框
                    {
                        $(_pageId + " #pass3").attr("readonly", "readonly"); // 锁定密码框
                        $(_pageId + " #pass4").attr("readonly", "readonly");
                        var notifyParam = {
                            "userid": userid,
                            "fieldname": "zj_pwd" // 通知资金密码已补全
                        };
                        service.rejectStep(notifyParam,
                            function (data) {
                                if (data.error_no == 0) {
                                    appUtils.setSStorageInfo("isBack", "backInfo"); // 标志重新提交资料成功
                                    appUtils.pageInit("account/backUploadPhoto", "account/accountResult", {}); // 返回结果页
                                } else {
                                    layerUtils.iAlert(data.error_info, -1);
                                }
                            });
                    } else {
                        layerUtils.iLoading(false);
                        layerUtils.iAlert(data.error_info, -1);
                    }
                },
                false);
        }
        // 3.驳回交易、资金密码
        if (businessPwd == 1 && fundPwd == 1) {
            // 第一步：提交交易密码
            service.setAccountPwd(tradePasswordParam,
                function (data) {
                    if (data.error_no == 0) // 交易密码设置成功，锁定交易密码设置框
                    {
                        $(_pageId + " #pass1").attr("readonly", "readonly"); // 锁定密码框
                        $(_pageId + " #pass2").attr("readonly", "readonly");
                        // 第二步：提交资金密码
                        service.setAccountPwd(fundPasswordParam,
                            function (data) {
                                if (data.error_no == 0) // 资金密码设置成功，锁定交易密码设置框
                                {
                                    $(_pageId + " #pass3").attr("readonly", "readonly");
                                    $(_pageId + " #pass4").attr("readonly", "readonly");
                                    var notifyParam = {
                                        "userid": userid,
                                        "fieldname": "trade_pwd" // 通知交易密码已补全
                                    };
                                    // 第三步：改变驳回交易密码状态
                                    service.rejectStep(notifyParam,
                                        function (data) {
                                            if (data.error_no == 0) {
                                                var notifyParam = {
                                                    "userid": userid,
                                                    "fieldname": "zj_pwd" // 通知资金密码已补全
                                                };
                                                // 第四步：改变驳回资金密码状态
                                                service.rejectStep(notifyParam,
                                                    function (data) {
                                                        if (data.error_no == 0) {
                                                            appUtils.setSStorageInfo("isBack", "backInfo"); // 标志重新提交资料成功
                                                            appUtils.pageInit("account/backUploadPhoto", "account/accountResult", {}); // 返回结果页
                                                        } else {
                                                            layerUtils.iAlert(data.error_info, -1);
                                                        }
                                                    });
                                            } else {
                                                layerUtils.iLoading(false);
                                                layerUtils.iAlert(data.error_info, -1);
                                            }
                                        },
                                        false);
                                } else {
                                    layerUtils.iLoading(false);
                                    layerUtils.iAlert(data.error_info, -1);
                                }
                            },
                            false);
                    } else {
                        layerUtils.iLoading(false);
                        layerUtils.iAlert(data.error_info, -1);
                        return false;
                    }
                },
                false);
        }
    }

//    /* 获取密码值 */
//    function getInput(data) {
//        $(_pageId + " " + psw_id).val(data);
//    }
//
//    /* 关闭密码键盘 */
//    function onFinish() {
//        $("body").css("padding-bottom", "0").scrollTop(0);
//    }

    var backSetPwd = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = backSetPwd;
});
