/**
 * 填写个人信息
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
    // 业务层接口，请求数据
        service = require("serviceImp").getInstance(),
        global = require("gconfig").global,
        gconfig = require("gconfig"),
        utils = require("utils"),
        layerUtils = require("layerUtils"),
        validatorUtil = require("validatorUtil"),
        utils = require("utils"),
    // 身份证是否被手工修改
        idCardModify = false,
        allAgent = null,
    // 省份
        provinceList = "",
    // 城市
        cityList = "",
        hometown = "",
        manId = "",
        womenId = "",
        myprovinceno = "",
        mycityno = "",
        agentAccount = "",
        timeOut = 0,
    //经纪人
        recommendStr = "",
        _pageId = "#account_personInfo";

    var external = require("external");

    /* 私有业务模块的全局变量 end */

    function init() {
        //解决返回后，再次进入个人信息界面，service已被销毁
        service = require("serviceImp").getInstance();

        //add by fengxiang 2015-07-23 区分ios和安卓 使用日期的方式
        if (gconfig.platform != '1') {
            $(_pageId + " .divBeginDate").html("<span><a style=\"color:#D90003\">*</a>起始期限</span><input type=\"date\" class=\"t1 idBeginDate\" id=\"idBeginDate\"  value=\"\"/>");
            $(_pageId + " .divEndDate").html("<span><a style=\"color:#D90003\">*</a>结束期限</span><input type=\"date\" class=\"t1 idEndDate\" id=\"idEndDate\"  value=\"\" />");
        }
        //end by fengxiang 2015-07-23 区分ios和安卓 使用日期的方式

        //初始化佣金(填充佣金列表，若只有一个则默认选择)
        initCommission();

        agentAccount = null;
        // 清除页面元素
        //cleanPageElement();
        if (appUtils.getSStorageInfo("extend_company") != undefined) {
            $(_pageId + " #reference_info").hide(); // 经纪人选项
        }
        else {
            $(_pageId + " #reference_info").show();  // 经纪人选项
        }
        if (appUtils.getSStorageInfo("provinceno") != undefined) {
            myprovinceno = appUtils.getSStorageInfo("provinceno");
        }
        if (appUtils.getSStorageInfo("cityno") != undefined) {
            mycityno = appUtils.getSStorageInfo("cityno");
        }
        //显示员工预约信息
        if (appUtils.getSStorageInfo("employee_no") != undefined && appUtils.getSStorageInfo("employee_no") != "") {
            var employee_no = appUtils.getSStorageInfo("employee_no");
            var employee_name = appUtils.getSStorageInfo("employee_name");
            var employee_phone = appUtils.getSStorageInfo("employee_phone") ? appUtils.getSStorageInfo("employee_phone") : "";
            var employee_info = employee_no + " " + employee_name + " " + employee_phone;
            $(_pageId + " .employee").val(employee_info).parent().show();

        }
        agentAccount = appUtils.getSStorageInfo("recommendno");
        getProvinceAndCity();
        if (appUtils.getSStorageInfo("_prePageCode") == "account/vedioNotice") {
            // 根据传入的值，填充页面的数据
            $(_pageId + " .name").val(appUtils.getSStorageInfo("custname")); // 客户姓名
            $(_pageId + " .idCardNo").val(setIdNo(appUtils.getSStorageInfo("idCardNo"))); // 身份证号
            $(_pageId + " .signDepartment").val(appUtils.getSStorageInfo("policeorg")); // 签发机关
            $(_pageId + " .idCardAddress").val(appUtils.getSStorageInfo("native")); // 证件地址
            $(_pageId + " .address").val(appUtils.getSStorageInfo("addr")); // 联系地址和证件地址设置相同的
            $(_pageId + " .idBeginDate").val(appUtils.getSStorageInfo("idBeginDate")); // 起始期限
            $(_pageId + " .idEndDate").val(appUtils.getSStorageInfo("idEndDate")); // 结束期限
            $(_pageId + " .zipCode").val(appUtils.getSStorageInfo("postid")); // 邮编
            //$(_pageId + " .reference").val(appUtils.getSStorageInfo("recommendno")); // 邮编
            // 获取职业和学历列表
            queryDataDict();
        } else {
            // 判断是否从上传身份证页面跳过来
            // 从 session 中获取前一个页面的 pageCode
            if (appUtils.getSStorageInfo("_prePageCode") == "account/uploadPhoto" || appUtils.getSStorageInfo("_prePageCode") == "account/uploadPhotoChange") {
                var pageInParam = appUtils.getPageParam();
                //  alert(JSON.stringify(pageInParam));
                // 根据传入的值，填充页面的数据
                $(_pageId + " .name").val(pageInParam.custname); // 客户姓名
                $(_pageId + " .idCardNo").val(setIdNo(pageInParam.idNo)); // 身份证号
                $(_pageId + " .signDepartment").val(pageInParam.policeorg); // 签发机关
                $(_pageId + " .idCardAddress").val(pageInParam.native); // 证件地址
//                $(_pageId + " .address").val(pageInParam.native); // 联系地址和证件地址设置相同的
                $(_pageId + " .idBeginDate").val(pageInParam.idBeginDate); // 起始期限
                $(_pageId + " .idEndDate").val(pageInParam.idEndDate); // 结束期限
                $(_pageId + " .zipCode").val(pageInParam.zipCode); // 邮编
                // 获取职业和学历列表
                queryDataDict();
                // 将自动填充的字段变成蓝色，并绑定点击之后变成黑色的方法
                for (var i = 0; i < 6; i++) {
                    $(_pageId + " #myColor" + i).css("color", "#1B488C");
                    appUtils.bindEvent($(_pageId + " #myColor" + i),
                        function () {
                            $(this).css("color", "#1E1E1E");
                        });

                }
                // 单独处理日期选择框，变成红色
                $(_pageId + " input[date-plugin='true']").css("color", "#1B488C");
                /* // 请求服务器数据，是否绑定有经纪人
                 var param = {
                 "funcNo": 9613032,
                 "user_id": appUtils.getSStorageInfo("user_id")
                 };
                 service.getAgentByUserId(param,
                 function(data) {
                 if (data.error_no == 0 && data.results.length != 0) {
                 $(_pageId + " #agent").val(data.results[0].broker_name + " " + data.results[0].broker_account);
                 agentAccount = data.results[0].broker_account;
                 }
                 });*/
            } else {
                // 根据传入的值，填充页面的数据
                $(_pageId + " .name").val(appUtils.getSStorageInfo("custname")); // 客户姓名
                $(_pageId + " .idCardNo").val(setIdNo(appUtils.getSStorageInfo("idCardNo"))); // 身份证号
                $(_pageId + " .signDepartment").val(appUtils.getSStorageInfo("policeorg")); // 签发机关
                $(_pageId + " .idCardAddress").val(appUtils.getSStorageInfo("native")); // 证件地址
//                $(_pageId + " .address").val(appUtils.getSStorageInfo("native")); // 联系地址和证件地址设置相同的
                $(_pageId + " .idBeginDate").val(appUtils.getSStorageInfo("idBeginDate")); // 起始期限
                $(_pageId + " .idEndDate").val(appUtils.getSStorageInfo("idEndDate")); // 结束期限
                $(_pageId + " .zipCode").val(appUtils.getSStorageInfo("postid")); // 邮编
                // $(_pageId + " .reference").val(appUtils.getSStorageInfo("recommendno")); // 邮编
                // 获取职业和学历列表
                queryDataDict();
            }

        }

        // 初始化的时候先获取职业大项
        queryOccupationBig();
        // 初始化的时候先获取行业大项
        queryIndustryBig();
    }

    function setIdNo(idCardNo) {
        idCardNo = idCardNo.replace(/\s+/g, "")
        if (idCardNo.length == 15) {
            var id = idCardNo.toString();
            var idNo = id.substring(0, 6) + "   " + id.substring(6, 12) + "   " + id.substring(12, 15);
            return idNo;
        } else if (idCardNo.length == 18) {
            var id = idCardNo.toString();
            var idNo = id.substring(0, 6) + "   " + id.substring(6, 14) + "   " + id.substring(14, 18);
            return idNo;
        } else {
            layerUtils.iAlert("请输入正确的15或18位身份证");
            return idCardNo;
        }

    }

    function bindPageEvent() {
        /**
         * 禁止输入英文和数字
         */
        appUtils.bindEvent($(_pageId + " #myColor0"), function (e) {
//			var k = window.event ? e.keyCode : e.which;
            var v = $(this).val();
            v = v.replace(/[0-9a-zA-Z]/g, '');
            $(this).val(v);
            e.preventDefault(); // for firefox
        }, "blur");

        //身份证号
        appUtils.bindEvent($(_pageId + " #myColor1"), function (e) {
            var idCardNo = $(this).val();
            $(this).val(setIdNo(idCardNo));
        }, "blur");

        //身份证号
        appUtils.bindEvent($(_pageId + " #myColor1"), function (e) {
            var idCardNo = $(this).val();
            $(this).val(idCardNo.replace(/\s+/g, ""));
        }, "focus");


        /* 绑定返回 */
        appUtils.bindEvent($(_pageId + " .header .icon_back"), function () {
            if (appUtils.getSStorageInfo("_prePageCode") == "account/msgVerify" || appUtils.getSStorageInfo("_prePageCode") == "account/vedioNotice") {
                // 记录是否是从短信验证界面直接跳转到这个界面
                appUtils.setSStorageInfo("pagebackInit", 2);
                pageBack();
            } else {
                pageBack();
            }

        });

        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"), function () {
            var branchID = appUtils.getSStorageInfo("bid");
            var brokersno = appUtils.getSStorageInfo("recommendno");
            if (branchID == undefined) {
                branchID = "";
            }
            if (brokersno == undefined) {
                brokersno = "";
            }
            //如有选择了营业部或经纪人则需要传
            var param1 = {
                "userid": appUtils.getSStorageInfo("user_id"),
                "branchno": "",
                "brokersno": ""
            }
            /*  added at 2015/09/02
             *  入参： user_id （客户id）
             出参：调用成功有两种情况，
             1.如果属于中焯渠道 会返回 status=1
             2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
            service.serachIsCompanyCustomer(param1, function (data) {
                var error_no = data.error_no,
                    error_info = data.error_info;
                if (error_no == "0") {
                    var status = data.results[0].status;
                    if (status == "0") {
                        $(".ly_shadow").show();
                        var branchname = data.results[0].branchname;
                        var brokersname = data.results[0].brokersname;
                        var servicephone = data.results[0].servicephone;
                        var brokersphone = data.results[0].brokersphone;
                        var address = data.results[0].address;
                        var info = "";
                        //有经纪人的
                        if (!!brokersname) {
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听经纪人电话事件
                            appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        } else {//无经纪人的
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        }
                    } else {
                        if (require("gconfig").platform != "1") {
                            //ios 获取软件是否安装
                            var param = {
                                "funcNo": "50200",
                                "moduleName": "open",
                                "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                            };
                            var result = external.callMessage(param);
                            if (result.error_no == 0) {
                                var isInstall = result.results[0].isInstall;
                                //是否安装(0：否，1：是）
                                if (isInstall == "1") {
                                    var param = {
                                        "funcNo": "50109",
                                        "moduleName": "open",
                                        "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                        //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                    };
                                    external.callMessage(param);
                                } else {
                                    layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                        //进入appstore
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                        };
                                        external.callMessage(param);
                                    }, null, "下载", "取消");
                                }
                            } else {
                                layerUtils.iAlert("检测QQ失败");
                            }
                        } else {
                            var param = {
                                "funcNo": "50109",
                                "moduleName": "open",
//                                "url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                            };
                            external.callMessage(param);
                        }
                    }
                } else {
                    layerUtils.iAlert(error_info);
                }
            });
        });


        /* 点击页面其他元素隐藏下拉列表 */
        appUtils.bindEvent($(_pageId), function (e) {
            $(_pageId + " .sel_list").slideUp("fast", function () {
                $("body #bodyContent").css("overflow", "auto");
            });
            e.stopPropagation(); // 阻止冒泡
        });

        /* 选择职业,弹出职业列表 */
        appUtils.bindEvent($(_pageId + " .selectBigOccupation"), function (e) {
            $(_pageId + " .bigJob ul li").removeClass("active");
            $(_pageId + " .bigJob").slideDown("fast", function () {
                $("body #bodyContent").css("overflow", "hidden");
            });
            e.stopPropagation(); // 阻止冒泡
        });

        appUtils.bindEvent($(_pageId + " .selectSmallOccupation"), function (e) {
            if ($(_pageId + " .selectBigOccupation").attr("value")) {
                $(_pageId + " .smallJob ul li").removeClass("active");
                $(_pageId + " .smallJob").slideDown("fast", function () {
                    $("body #bodyContent").css("overflow", "hidden");
                });
                e.stopPropagation(); // 阻止冒泡
            } else {
                layerUtils.iMsg(-1, "职业大项为必选项，请选择！");
                return;
            }

        });

        /* 选择职业大项 */
        appUtils.preBindEvent($(_pageId + " .bigJob ul"), "li", function (e) {
            $(this).addClass("active").siblings().removeClass("active");
            var parent_id = $(this).children().attr("value");
            $(_pageId + " .selectBigOccupation").attr("value", parent_id);
            // 原选择的职业大项
            var sel_occupation = $(_pageId + " .selectBigOccupation").text();
            // 当前选择的职业大项
            var occupation = $(this).children().text();
            $(_pageId + " .selectBigOccupation").text(occupation);
            if (occupation !== sel_occupation) {
                $(_pageId + " .selectSmallOccupation").text("职业小项");
            }
            $(_pageId + " .bigJob").slideUp("fast", function () {
                $("body #bodyContent").css("overflow", "auto");
                // 获取对应的小项
                queryOccupationListSmall(parent_id);
            });
            e.stopPropagation();    // 阻止冒泡
        });

        /* 选择职业小项 */
        appUtils.preBindEvent($(_pageId + " .smallJob ul"), "li", function (e) {
            $(this).addClass("active").siblings().removeClass("active");
            // 这里给旧职业value属性赋值
            $(_pageId + " .selectOccupation").val($(this).children().attr("occupation_old"));
            $(_pageId + " .selectSmallOccupation").attr("value", $(this).children().attr("value"));
            $(_pageId + " .selectSmallOccupation").text($(this).children().text());
            $(_pageId + " .smallJob").slideUp("fast", function () {
                $("body #bodyContent").css("overflow", "auto");
            });
            e.stopPropagation();    // 阻止冒泡
        });

        /* 选择学历 */
        appUtils.bindEvent($(_pageId + " .selectDegree"), function (e) {
            $(_pageId + " .education ul li").removeClass("active");
            // 显示选择学历的下拉列表
            $(_pageId + " .education").slideDown("fast", function () {
                $("body #bodyContent").css("overflow", "hidden");
            });
            e.stopPropagation(); // 阻止冒泡
        });

        /* 选择行业，弹出行业列表 */
        appUtils.bindEvent($(_pageId + " .selectBigIndustry"), function (e) {
            $(_pageId + " .selectBigIndustry_info ul li").removeClass("active");
            // 显示选择学历的下拉列表
            $(_pageId + " .selectBigIndustry_info").slideDown("fast", function () {
                $("body #bodyContent").css("overflow", "hidden");
            });
            e.stopPropagation(); // 阻止冒泡
        });

        appUtils.bindEvent($(_pageId + " .selectSmallIndustry"), function (e) {
            if ($(_pageId + " .selectBigIndustry").attr("value")) {
                $(_pageId + " .selectSmallIndustry_info ul li").removeClass("active");
                // 显示选择学历的下拉列表
                $(_pageId + " .selectSmallIndustry_info").slideDown("fast", function () {
                    $("body #bodyContent").css("overflow", "hidden");
                });
                e.stopPropagation(); // 阻止冒泡
            } else {
                layerUtils.iMsg(-1, "行业大项为必选项，请选择！");
                return;
            }

        });

        /* 选择行业大项 */
        appUtils.preBindEvent($(_pageId + " .selectBigIndustry_info ul"), "li", function (e) {
            $(this).addClass("active").siblings().removeClass("active");
            var parent_id = $(this).children().attr("value");
            $(_pageId + " .selectBigIndustry").attr("value", parent_id);
            // 原选择行业大项
            var sel_industry = $(_pageId + " .selectBigIndustry").text();
            // 当前选择行业大项
            var industry = $(this).children().text();
            $(_pageId + " .selectBigIndustry").text(industry);
            if (industry !== sel_industry) {
                $(_pageId + " .selectSmallIndustry").text("行业小项");
            }
            $(_pageId + " .selectBigIndustry_info").slideUp("fast", function () {
                $("body #bodyContent").css("overflow", "auto");
                // 对应的小项
                queryIndustrySmall(parent_id);
            });
            e.stopPropagation();    // 阻止冒泡
        });

        /* 选择行业小项 */
        appUtils.preBindEvent($(_pageId + " .selectSmallIndustry_info ul"), "li", function (e) {
            $(this).addClass("active").siblings().removeClass("active");
            // 这里给旧职业value属性赋值
            $(_pageId + " .selectIndustry").val($(this).children().attr("industryid_old"));
            $(_pageId + " .selectSmallIndustry").attr("value", $(this).children().attr("value"));
            $(_pageId + " .selectSmallIndustry").text($(this).children().text());
            $(_pageId + " .selectSmallIndustry_info").slideUp("fast", function () {
                $("body #bodyContent").css("overflow", "auto");
            });
            e.stopPropagation();    // 阻止冒泡
        });


        /* 绑定选择佣金套餐 added at 2015/09/50*/
        appUtils.bindEvent($(_pageId + " .sel_commission"), function (e) {
            $(_pageId + " .commission ul li").removeClass("active");
            $(_pageId + " .commission").slideToggle("fast");	// 显示选择营业厅的下拉列表
            e.stopPropagation();	// 阻止冒泡
        });

        /* 绑定同意签署协议 */
        appUtils.bindEvent($(_pageId + " .icon_check"), function () {
            $(this).toggleClass("checked");
        });

        /* 绑定选择日期的事件 */
        appUtils.bindEvent($(_pageId + " input[date-plugin='true']"), function (e) {
            /* 通过壳子调用系统的日历插件 */
            selectDate(this);
            $(this).css("color", "#1E1E1E");
        });

        /* 绑定选择省的事件 */
        appUtils.bindEvent($(_pageId + "  .selectProvince"), function (e) {
            $(_pageId + " .province ul li").removeClass("active");
            // 显示选择学历的下拉列表
            $(_pageId + " .province").slideDown("fast", function () {
                $("body #bodyContent").css("overflow", "hidden");
            });
            e.stopPropagation(); // 阻止冒泡
        });

        /* 绑定选择市的事件 */
        appUtils.bindEvent($(_pageId + "  .selectCity"), function (e) {
            $(_pageId + " .city ul li").removeClass("active");
            $(_pageId + " .city").slideDown("fast", function () {
                $("body #bodyContent").css("overflow", "hidden");

            }); // 显示选择学历的下拉列表
            e.stopPropagation(); // 阻止冒泡
        });

        /* 绑定下一步 */
        appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn"),
            function () {
                // 校验数据
                if (verifyInfo()) {
                    // 提交用户信息
                    submitInfo();
                }
            });


        appUtils.bindEvent($(_pageId + " #myColor1"),
            function () {
                var test = Trim($(_pageId + "  #myColor1").val(), "g");
                $(_pageId + "  #myColor1").val(setIdNo(test));
            },
            "change");
    }

    /*
     * 去除掉字符串中间的空格 @param str 需要去除空格的字符串 @param is_global
     * 是否去除中间的空格，如果是则为g edit by 潘舟
     */
    function Trim(str, is_global) {
        var result;
        result = str.replace(/(^\s+)|(\s+$)/g, "");
        if (is_global.toLowerCase() == "g") result = result.replace(/\s/g, "");
        return result;
    }

    /*
     * 获取字符串的字节长度 edit by 潘舟
     */
    function GetStringByteLength(val) {

        var Zhlength = 0; // 全角
        var Enlength = 0; // 半角
        for (var i = 0; i < val.length; i++) {
            if (val.substring(i, i + 1).match(/[^\x00-\xff]/ig) != null) Zhlength += 1;
            else Enlength += 1;
        }
        // 返回当前字符串字节长度
        return (Zhlength * 2) + Enlength;
    }

    function findAgent() {
        $(_pageId + " .sel_list:eq(2) ul li").remove();
        for (var i = 0; i < allAgent.results.length; i++) {
            var str = "<li><span class='agent0" + i + "' value='" + allAgent.results[i].broker_account + "'>" + allAgent.results[i].broker_account + "  " + allAgent.results[i].broker_name + "   " + allAgent.results[i].branch_nickname + "</span></li>";
            $(_pageId + " .sel_list:eq(2) ul").append(str);
            BindSelectAgent(i); // 预绑定选择职业的事件
        }
    }

    // 判断输入的数字是不是中文或者数字
    function isNumorCHN(str) {
        if (utils.isCnAndEn(str)) {
            return true;
        } else if (validatorUtil.isNumeric(str)) {
            return true;
        } else {
            return false;
        }
    }

    // function findAgent()
    // {
    // var count=0;
    // var agentList=[];
    // var agentAccount=[];
    // $(_pageId+" .sel_list:eq(2) ul li").remove();
    // //如果字符串中有中文，则查找经纪人名字
    // //否则查找account
    // if(utils.isCnAndEn(agent))
    // {
    // for(var i=0;i<allAgent.results.length;i++)
    // {
    //
    // if(find(agent,allAgent.results[i].broker_name)>-1)
    // {
    // agentList[count]=allAgent.results[i].broker_name+"
    // "+allAgent.results[i].broker_account;
    // agentAccount[count]=allAgent.results[i].broker_account;
    // count++;
    // }
    // }
    // for(var i=0;i<agentList.length;i++)
    // {
    // var str = "<li><span class='agent0"+i+"'
    // value='"+agentAccount[i]+"'>"+agentList[i]+"</span></li>"
    // $(_pageId+" .sel_list:eq(2) ul").append(str);
    // BindSelectAgent(i); // 预绑定选择职业的事件
    // }
    // if(count==0)
    // return false;
    // else
    // return true;
    // }
    // else if(validatorUtil.isNumeric(agent))
    // {
    // for(var j=0;j<allAgent.results.length;j++)
    // {
    // if(find(agent,allAgent.results[j].broker_account)>-1)
    // {
    // agentList[count]=allAgent.results[j].broker_name+"
    // "+allAgent.results[j].broker_account;
    // agentAccount[count]=allAgent.results[j].broker_account;
    // count++;
    // }
    // }
    // for(var i=0;i<agentList.length;i++)
    // {
    // var str = "<li><span class='agent0"+i+"'
    // value='"+agentAccount[i]+"'>"+agentList[i]+"</span></li>"
    // $(_pageId+" .sel_list:eq(2) ul").append(str);
    // BindSelectAgent(i); // 预绑定选择职业的事件
    // }
    // if(count==0)
    // return false;
    // else
    // return true;
    // }
    // return false;
    // }
    // function find(sFind, sObj)
    // {
    // var nSize = sFind.length;
    // var nLen = sObj.length;
    // var sCompare;
    //
    // if(nSize <= nLen ){
    // for(var i = 0; i <= nLen - nSize + 1; i++){
    // sCompare = sObj.substring(i, i + nSize);
    // if(sCompare == sFind){
    // return i;
    // }
    // }
    // }
    // return -1;
    // }
    function BindSelectAgent(i) {
        appUtils.bindEvent($(_pageId + " .agent ul .agent0" + i),
            function (e) {
                // 将经纪人号码存到agentAccount中
                agentAccount = $(_pageId + " .agent0" + i).attr("value");
                appUtils.setSStorageInfo("isAgent", 1);
                $(this).parent().addClass("active").siblings().removeClass("active");
                var check_val = $(_pageId + " .agent0" + i).text();
                // 去掉选中内容最后两个“确定”
                e.stopPropagation(); // 阻止冒泡
                // 绑定点击确定
                // appUtils.bindEvent($(_pageId+" .job .sel_info
                // a"),function(e){
                $(_pageId + " #agent").val(check_val);
                $(_pageId + " .agent").slideUp("fast",
                    function () {
                        $("body #bodyContent").css("overflow", "auto");
                    }); // 隐藏选择学历列表
                e.stopPropagation(); // 阻止冒泡
                // });
            });
    }

    function destroy() {
        //  service.destroy();
    }

    /**
     * 通过壳子调用系统日期控件
     * @param obj  dom 对象，一般传 this 即可
     */
    function selectDate(obj) {
        var currentDateStr = $(obj).val(),
            yearParam = "",
            monthParam = "",
            dayParam = "";
        // 如果是有效的日期串，解析年、月、日
        var dateReg = /^[1-3]\d{3}-(0|1)\d-[0-3]\d$/;
        if (dateReg.test(currentDateStr)) {
            currentDateStr = currentDateStr.replaceAll("-", "/");
            var tempDate = new Date(currentDateStr);
            yearParam = tempDate.getFullYear() + "";
            // 0~11 的值
            monthParam = (tempDate.getMonth() + 1 + "").length == 1 ? "0" + (tempDate.getMonth() + 1) : (tempDate.getMonth() + 1) + "";
            // 1~31 的值
            dayParam = (tempDate.getDate() + "").length == 1 ? "0" + tempDate.getDate() : tempDate.getDate() + "";
        }
        var calendarParam = {
            "moduleName": "open",
            "selector": $(obj).attr("id"),
            "year": yearParam,
            "month": monthParam,
            "day": dayParam,
            "funcNo": "50250"
        };
        if (yearParam == "NaN") // 解析失败
        {
            calendarParam.year = "";
            calendarParam.month = "";
            calendarParam.day = "";
        }
        //require("shellPlugin").callShellMethod("calendarPlugin", null, null, calendarParam);
        external.callMessage(calendarParam);
    }

    /* 提交开户信息 */
    function submitInfo() {
        hometown = $(_pageId + " .selectProvince").text() + $(_pageId + " .selectCity").text();
        // 开户信息资料提交
        var param = setSubmitDataParam();
        if (appUtils.getSStorageInfo("pagebackInit") == 1) {
            param.branchno = appUtils.getSStorageInfo("branchno");
        }
        if (param.recommendno) // 经纪人不为空
        {
            appUtils.setSStorageInfo("isAgent", 1);
        } else {
            appUtils.setSStorageInfo("isAgent", 0);
        }
        //是扫描过来的经纪人，并且last_recommendno不为空
        if (appUtils.getSStorageInfo("isrecscanning") != undefined && appUtils.getSStorageInfo("last_recommendno") != undefined) {
            param.recommendno = appUtils.getSStorageInfo("last_recommendno");
        }
        // alert("提交完善资料入参:"+JSON.stringify(param));
        service.submitUserInfo(param,
            function (data) {
                //  alert("入参:"+JSON.stringify(param)+",出参:"+JSON.stringify(data));
                var error_no = data.error_no;
                var error_info = data.error_info;
                if (error_no == 0) {
                    // 将 身份证号 和 移动电话 保存到 session 中，用来做设置密码时的弱密校验
                    if (appUtils.setSStorageInfo("idCardNo") == null) {
                        appUtils.setSStorageInfo("idCardNo", $(_pageId + " .idCardNo").val());
                    }
                    // 将姓名保存到 session 中，用于问卷回访页面展示姓名
                    appUtils.setSStorageInfo("custname", $(_pageId + " .name").val());
                    // 查询中登股东账户是否存在
                    // 2014-08-02-11-02 queryUserInfoExistCompy();
                    appUtils.pageInit("account/personInfo", "account/vedioNotice", {});
                }
                // 如果身份证被修改，而且公安校验没有通过，data.error_no 为 -2
                else if (data.error_no == -2) {
                    require("utils").layerTwoButton(data.error_info, "重新上传身份证", "重新确认身份证",
                        function () {
                            if (appUtils.getSStorageInfo("openChannel") == "new") {
                                appUtils.pageInit("account/personInfo", "account/uploadPhoto", {});
                            } else if (appUtils.getSStorageInfo("openChannel") == "change") {
                                appUtils.pageInit("account/personInfo", "account/uploadPhotoChange", {});
                            }
                        },
                        null);
                }
                // 已开通客户号和资金账号
                else if (data.error_no == -20000) {
                    var client_id = data.results[0].client_id; // 客户号
                    var account = data.results[0].account; // 资金号
                    var msg = "您已开通客户号为：" + client_id + ",资金账号为：" + account;
                    layerUtils.iAlert(msg); // 填写资料失败，弹出提示
                    appUtils.pageInit("account/personInfo", "business/index", {});
                } else {
                    layerUtils.iLoading(false);
                    layerUtils.iAlert(data.error_info); // 填写资料失败，弹出提示
                }
            },
            false);
    }

    /* 查询中登的股东账户的参数 */
    function queryUserInfoExistCompy() {
        var lookAccountParam = {
            "user_id": appUtils.getSStorageInfo("user_id")
        };
        // 根据 sessionStorage 中存放的 openChannel 来选择返回的页面
        if (appUtils.getSStorageInfo("openChannel") == "new") {
            // 查询原有股东账户
            service.queryUserInfoExistCompy(lookAccountParam,
                function (data) {
                    var error_no = data.error_no;
                    var error_info = data.error_info;
                    // 如果查询到中登账户，则将帐号信息暂存起来。
                    if (error_no == 0 && data.results.length != 0) {
                        for (var i = 0; i < data.results.length; i++) {

                            if (data.results[i].stkbd == 0) {
                                appUtils.setSStorageInfo("trdAccount0", data.results[i].trdacct);
                            } else if (data.results[i].stkbd == 1) {
                                appUtils.setSStorageInfo("trdAccount1", data.results[i].trdacct);
                            } else if (data.results[i].stkbd == 4) {
                                appUtils.setSStorageInfo("trdAccount2", data.results[i].trdacct);
                            } else if (data.results[i].stkbd == 5) {
                                appUtils.setSStorageInfo("trdAccount3", data.results[i].trdacct);
                            }
                        }

                    }
                    appUtils.pageInit("account/personInfo", "account/vedioNotice", {});
                });
        }
        // if((error_no == 0 && data.results.length == 0 ) || error_no
        // != 0)
        // {
        // // 新开户跳转到视频认证页面
        // appUtils.pageInit("account/personInfo","account/vedioNotice",{});
        // }
        // // 如果查询成功，并且查到中登账户信息，跳转到转户的上传照片页面
        // else if(error_no == 0 && data.results.length != 0)
        // {
        // require("utils").layerTwoButton("系统检测到您已开立证券账户，请进行转户流程!","马上转户","退出系统",function(){
        // // 需要重新设置 openChannel
        // appUtils.setSStorageInfo("openChannel","change");
        // // 跳转之前，修改 session 中 photosInfo 的 fillInformationInParam
        // var photosInfo =
        // JSON.parse(appUtils.getSStorageInfo("photosInfo"));
        // // 设置 photosInfo 的 isChangeProcess 属性，true 是更改流程
        // photosInfo.isChangeProcess = true;
        // photosInfo.fillInformationInParam.idNo = $(_pageId+"
        // .idCardNo").val();
        // photosInfo.fillInformationInParam.custname = $(_pageId+"
        // .name").val();
        // photosInfo.fillInformationInParam.native = $(_pageId+"
        // .idCardAddress").val(); // 证件地址
        // photosInfo.fillInformationInParam.policeorg = $(_pageId+"
        // .signDepartment").val(); // 签发机关
        // photosInfo.fillInformationInParam.borthday = $(_pageId+"
        // .idCardNo").attr("borthday"); // 出生日期
        // photosInfo.fillInformationInParam.idBeginDate = $(_pageId+"
        // .idBeginDate").val();
        // photosInfo.fillInformationInParam.idEndDate = $(_pageId+"
        // .idEndDate").val();
        // photosInfo.fillInformationInParam.zipCode = $(_pageId+"
        // .zipCode").val(); // 邮政编码
        // // 职业
        // photosInfo.fillInformationInParam.occupation = {
        // "text" : $(_pageId+" .selectOccupation").text(),
        // "value" : $(_pageId+" .selectOccupation").attr("value")
        // };
        // // 学历
        // photosInfo.fillInformationInParam.degree = {
        // "text" : $(_pageId+" .selectDegree").text(),
        // "value" : $(_pageId+" .selectDegree").attr("value")
        // };
        // // 重新设置 session 中 photosInfo
        // appUtils.setSStorageInfo("photosInfo",JSON.stringify(photosInfo));
        // // 转到转户的上传照片页面
        // appUtils.pageInit("account/personInfo","account/uploadPhotoChange",{});
        // },function(){
        // // 退出程序
        // require("shellPlugin").callShellMethod("closeAppPlugin",null,null);
        // });
        // }
        // else if(appUtils.getSStorageInfo("openChannel") == "change")
        // {
        // // 如果是转户，模拟视频见证通过，否则下载证书的时候后台 会出现 cert_uid 错误
        // var syncQQUserInfoParam = {
        // user_id : appUtils.getSStorageInfo("user_id")
        // };
        // //模拟视频通过
        // service.syncQQUserInfo(syncQQUserInfoParam,function(data){
        // var error_no = data.error_no;
        // var error_info = data.error_info;
        // if(error_no == 0)
        // {
        // //查询中登股东账户
        // service.queryUserInfoExistCompy(lookAccountParam,function(data){
        // // 如果没有查到股东账户或者查询失败
        // if((error_no == 0 && data.results.length == 0 ) || error_no
        // != 0)
        // {
        // require("utils").layerTwoButton("由于登记公司原因，未能查到您的账户信息!","新开户","继续转户",function(){
        // // 设置一个标识到 session 中，用于标识当前用户的 开户通道 ，new 新开户 change 转户
        // appUtils.setSStorageInfo("openChannel","new");
        // //转走新开户流程
        // newOpen();
        // },function(){
        // //跳转到数字证书页面
        // appUtils.pageInit("account/personInfo","account/digitalCertificate",{});
        // });
        // }
        // // 如果查到股东账户，跳转到数字证书页面
        // else if(error_no == 0 && data.results.length != 0)
        // {
        // appUtils.pageInit("account/personInfo","account/digitalCertificate",{});
        // }
        // });
        // }
        // else
        // {
        // layerUtils.iAlert(data.error_info,-1);
        // }
        // },false);
        // }
    }

    /* 走新开户 */
    function newOpen() {
        var newopenParam = {
            user_id: appUtils.getSStorageInfo("user_id"),
            uploadimg_flag: "1", // 身份证上传成功
            opacctkind_flag: "0" // 新开户
        };
        service.queryChangeState(newopenParam, function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            if (error_no == 0) {
                appUtils.pageInit("account/personInfo", "account/vedioNotice", {});
            } else {
                layerUtils.iAlert(data.error_info, -1);
            }
        });
    }

    /* 根据身份证号进行判断性别: 倒数第二位数字，偶数为女，基数为男 */
    function checkSexId(idno) {
        var value = idno.charAt(idno.length - 2); // 身份证倒数第二位数字
        var isnum = value % 2;
        var sexid = "";
        if (isnum == 0) {
            sexid = womenId;    // 偶为女
        } else {
            sexid = manId;      // 奇为男
        }
        return sexid;
    }

    /* 获取用户信息 */
    function setSubmitDataParam() {
        var idno = $(_pageId + " .idCardNo").val().replace(/\s*/g, ""); // 身份证号
        // 判断性别，根据身份证传入男或女，也可以通过身份证号进行判断
        var sexId = checkSexId(idno); // 根据身份证判断性别
        var param = {
            "user_id": appUtils.getSStorageInfo("user_id"),
            // 信息来源渠道 0：PC，3：手机
            "infocolect_channel": iBrowser.pc ? 0 : 3,
            // 证件类别，数据字典中定义的是 00
            "idtype": "00",
            // 身份证号
            "idno": Trim($(_pageId + " .idCardNo").val(), "g"),
            // 民族
            "ethnicname": appUtils.getPageParam("ethnicname"),
            "custname": $(_pageId + " .name").val(),
            // 身份证修改了，出生日期也要修改
            "borthday": $(_pageId + " .idCardNo").attr("borthday"),
            // 证件开始日期
            "idbegindate": $(_pageId + " .idBeginDate").val(),
            // 证件结束日期
            "idenddate": $(_pageId + " .idEndDate").val(),
            // 证件地址
            "native": $(_pageId + " .idCardAddress").val(),
            // 签发机关
            "policeorg": $(_pageId + " .signDepartment").val(),
            // 用户性别，男 0 女 1
            "usersex": sexId,
            // 国籍地区，必须写 156
            "nationality": "156",
            // 联系地址
            "addr": $(_pageId + " .address").val(),
            // 邮政编码
            "postid": $(_pageId + " .zipCode").val(),
            // 学历代码
            "edu": $(_pageId + " .selectDegree").val(),
            // 旧职业代码
            "profession_code": $(_pageId + " .selectOccupation").val(),
            // 新职业大项代码
            "occupation_big_val": $(_pageId + " .selectBigOccupation").attr("value"),
            // 新职业小项代码
            "occupation_small_val": $(_pageId + " .selectSmallOccupation").attr("value"),
            // 营业部代码
            "branchno": appUtils.getSStorageInfo("branchno"),
            // 营业部佣金代码
            "commission": appUtils.getSStorageInfo("commission"),
            // ip 地址，在获取短信验证码的时候，就已经把 ip 和mac 保存到session 里面了
            "ipaddr": appUtils.getSStorageInfo("ip"),
            // mac 地址
            "macaddr": appUtils.getSStorageInfo("mac"),
            // 身份证是否被手动修改，被修改传 1，否则传 0
            "idcardmodify": idCardModify ? 1 : 0,
            "hometown": hometown,
            "provinceno": myprovinceno,
            "cityno": mycityno,
            "recommendno": agentAccount,
            // 旧行业代码
            "industry_code": $(_pageId + " .selectIndustry").val(),
            // 新行业大项代码
            "industry_big_val": $(_pageId + " .selectBigIndustry").attr("value"),
            // 新行业小项代码
            "industry_small_val": $(_pageId + " .selectSmallIndustry").attr("value")
        };
        return param;
    }

    /* 预绑定选择职业的事件 */
    function BindSelectOccupation(i) {
        appUtils.bindEvent($(_pageId + " .sel_list:eq(0) ul .occupation0" + i),
            function (e) {
                $(_pageId + " .selectOccupation").attr("value", $(_pageId + " .occupation0" + i).attr("value"));
                $(this).parent().addClass("active").siblings().removeClass("active");
                var check_val = $(_pageId + " .occupation0" + i).text();
                // 去掉选中内容最后两个“确定”
                e.stopPropagation(); // 阻止冒泡
                // 绑定点击确定
                // appUtils.bindEvent($(_pageId+" .job .sel_info
                // a"),function(e){
                $(_pageId + " .selectOccupation").text(check_val);
                $(_pageId + " .sel_list:eq(0)").slideUp("fast",
                    function () {
                        $("body #bodyContent").css("overflow", "auto");
                    }); // 隐藏选择学历列表
                e.stopPropagation(); // 阻止冒泡
                // });
            });
    }

    /* 预绑定选择学历的事件 */
    function BindSelectDegree(i) {
        appUtils.bindEvent($(_pageId + " .education ul .degree0" + i),
            function (e) {
                // strong 不能用 val() 方法设置 value ，用的话无效
                $(_pageId + " .selectDegree").attr("value", $(_pageId + " .degree0" + i).attr("value"));
                $(this).parent().addClass("active").siblings().removeClass("active");
                var check_val = $(_pageId + " .degree0" + i).text();
                // 去掉选中内容最后两个“确定”
                $(_pageId + " .selectDegree").text(check_val);
                $(_pageId + " .education").slideUp("fast", function () {
                    $("body #bodyContent").css("overflow", "auto");
                }); // 隐藏选择学历列表
                e.stopPropagation(); // 阻止冒泡
                // });
            });
    }

    /* 预绑定选择行业的事件 */
    function BindSelectIndustry(i) {
        appUtils.bindEvent($(_pageId + " .sel_list:eq(4) ul .Industry0" + i), function (e) {
            // strong 不能用 val() 方法设置 value ，用的话无效
            $(_pageId + " .selectIndustry").attr("value", $(_pageId + " .Industry0" + i).attr("value"));
            $(this).parent().addClass("active").siblings().removeClass("active");
            var check_val = $(_pageId + " .Industry0" + i).text();
            // 去掉选中内容最后两个“确定”
            $(_pageId + " .selectIndustry").text(check_val);
            $(_pageId + " .sel_list:eq(4)").slideUp("fast", function () {
                $("body #bodyContent").css("overflow", "auto");
            }); // 隐藏选择学历列表
            e.stopPropagation(); // 阻止冒泡
            // });
        });
    }

    /**
     * @description 查询职业列表 -- 职业大项
     */
    function queryOccupationBig() {
        /* search_type为1，职业查询；parentid为空，顶级父级查询，即职业大项 */
        var param = {
            "search_type": "1",
            "parentid": ""
        };
        /* 加载职业大项的回调 */
        var callBack = function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            // 清空历史数据
            $(_pageId + " .bigJob ul li").remove();
            var occupational = data.OccupationList;
            if (error_no == "0" && occupational.length != 0) {
                var myContent = [];
                for (var i = 0; i < occupational.length; i++) {
                    // 职业大项列表
                    var occupHtml = "<li><span class='occupation0" + i + "' value='" + occupational[i].id + "'>" + occupational[i].name + "</span></li>";
                    myContent.push(occupHtml);
                }
                $(_pageId + " .bigJob ul").html(myContent.join(""));
            } else {
                layerUtils.iMsg(-1, error_info);
            }

        }
        service.queryOccupationAndIndustry(param, callBack, true, false);
    }

    /**
     * @description 查询职业列表 -- 职业小项
     * @param id  当前的职业大项
     */
    function queryOccupationListSmall(id) {
        /* search_type为1，职业查询；parentid不为空，为职业大项返回数据中的id值，即职业大项 */
        var param = {
            "search_type": "1",
            "parentid": id
        };
        /* 加载职业小项的回调 */
        var callBack = function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            // 清空历史数据
            $(_pageId + " .smallJob ul li").remove();
            var occupational = data.OccupationList;
            if (error_no == "0" && occupational.length != 0) {
                var myContent = [];
                for (var i = 0; i < occupational.length; i++) {
                    // 职业小项列表
                    var occupHtml = "<li><span class='occupation0" + i + "' occupation_old='" + occupational[i].occupation_old + "' value='" + occupational[i].id + "'>" + occupational[i].name + "</span></li>";
                    myContent.push(occupHtml);
                }
                $(_pageId + " .smallJob ul").html(myContent.join(""));
            } else {
                layerUtils.iMsg(-1, error_info);
            }
        }
        service.queryOccupationAndIndustry(param, callBack, true, false);
    }

    /**
     * @description 查询行业列表 -- 行业大项
     */
    function queryIndustryBig() {
        /* search_type为0，行业查询；parentid为空，顶级父级查询，即行业大项 */
        var param = {
            "search_type": "0",
            "parentid": ""
        };
        /* 加载行业大项的回调 */
        var callBack = function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            // 清空历史数据
            $(_pageId + " .selectBigIndustry_info ul li").remove();
            var industrys = data.IndustryList;
            if (error_no == "0" && industrys.length != 0) {
                var myContent = [];
                for (var i = 0; i < industrys.length; i++) {
                    // 职业大项列表
                    var industHtml = "<li><span class='industry0" + i + "' value='" + industrys[i].id + "'>" + industrys[i].name + "</span></li>";
                    myContent.push(industHtml);
                }
                $(_pageId + " .selectBigIndustry_info ul").html(myContent.join(""));
            } else {
                layerUtils.iMsg(-1, error_info);
            }
        }
        service.queryOccupationAndIndustry(param, callBack, true, false);
    }

    /**
     * @description 查询行业列表 -- 行业小项
     */
    function queryIndustrySmall(id) {
        /* search_type为0，行业查询；parentid为空，顶级父级查询，即行业大项 */
        var param = {
            "search_type": "0",
            "parentid": id
        };
        /* 加载行业小项的回调 */
        var callBack = function (data) {
            var error_no = data.error_no;
            var error_info = data.error_info;
            // 清空历史数据
            $(_pageId + " .selectSmallIndustry_info ul li").remove();
            var industrys = data.IndustryList;
            if (error_no == "0" && industrys.length != 0) {
                var myContent = [];
                for (var i = 0; i < industrys.length; i++) {
                    // 职业小项列表
                    var industHtml = "<li><span class='industry0" + i + "' industryid_old='" + industrys[i].industryid_old + "' value='" + industrys[i].id + "'>" + industrys[i].name + "</span></li>";
                    myContent.push(industHtml);
                }
                $(_pageId + " .selectSmallIndustry_info ul").html(myContent.join(""));
            } else {
                layerUtils.iMsg(-1, error_info);
            }
        }
        service.queryOccupationAndIndustry(param, callBack, true, false);
    }

    /* 获取职业与学历列表 */
    function queryDataDict() {
//        // 先获取职业
//        var occupationalParam = {
//            "enum_type": "occupational"
//        };
//        service.queryDataDict(occupationalParam, function (data) {
//            var error_no = data.error_no,
//                error_info = data.error_info;
//            // 首先移除数据
//            $(_pageId + " .sel_list:eq(0) ul li").remove();
//            if (error_no == "0" && data.results.length != 0) {
//                var occupational = data.results;
//                var profession_code = appUtils.getSStorageInfo("profession_code");
//                for (var i = 0; i < occupational.length; i++) {
//                    var str = "<li><span class='occupation0" + i + "' value='" + occupational[i].item_value + "'>" + occupational[i].item_name + "</span></li>";
//                    $(_pageId + " .sel_list:eq(0) ul").append(str);
//                    if (profession_code != "" && occupational[i].item_value == profession_code) {
//                        $(_pageId + " .selectOccupation").text(occupational[i].item_name);
//                        $(_pageId + " .selectOccupation").val(occupational[i].item_value);
//                    }
//                    BindSelectOccupation(i); // 预绑定选择职业的事件
//                }
        // 再获取学历
        var adapterParam = {
            "enum_type": "adapter"
        };
        service.queryDataDict(adapterParam, function (data) {
            var error_no = data.error_no,
                error_info = data.error_info;
            // 首先移除原有的数据
            $(_pageId + " .education ul li").remove();
            if (error_no == "0" && data.results.length != 0) {
                var adapter = data.results;
                var edu = appUtils.getSStorageInfo("edu");
                for (var i = 0; i < adapter.length; i++) {
                    var str = "<li><span class='degree0" + i + "' value='" + adapter[i].item_value + "'>" + adapter[i].item_name + "</span></li>";
                    $(_pageId + " .education ul").append(str);
                    if (edu != "" && adapter[i].item_value == edu) {
                        $(_pageId + " .selectDegree").text(adapter[i].item_name);
                        $(_pageId + " .selectDegree").val(adapter[i].item_value);
                    }
                    BindSelectDegree(i); // 预绑定选择学历的事件
                }
                /** start by 2015-03-26 再获取行业**/
//                        var IndustryParam = {
//                            "enum_type": "occupation"
//                        };
//                        service.queryDataDict(IndustryParam, function (data) {
//                            var error_no = data.error_no,
//                                error_info = data.error_info;
//                            // 首先移除原有的数据
//                            $(_pageId + " .sel_list:eq(4) ul li").remove();
//                            if (error_no == "0" && data.results.length != 0) {
//                                var adapter = data.results;
//                                var industry_code = appUtils.getSStorageInfo("industry_code");
//                                for (var i = 0; i < adapter.length; i++) {
//                                    var str = "<li><span class='Industry0" + i + "' value='" + adapter[i].item_value + "'>" + adapter[i].item_name + "</span></li>";
//                                    $(_pageId + " .sel_list:eq(4) ul").append(str);
//                                    if (industry_code != "" && adapter[i].item_value == industry_code) {
//                                        $(_pageId + " .selectIndustry").text(adapter[i].item_name);
//                                        $(_pageId + " .selectIndustry").val(adapter[i].item_value);
//                                    }
//                                    BindSelectIndustry(i); // 预绑定选择学历的事件
//                                }
                /** end by 2015-03-26 再获取行业**/
                querySex(); // 获取性别
//                            } else {
//                                layerUtils.iMsg(-1, error_info); // 提示错误信息
//                            }
//                        });
            } else {
                layerUtils.iMsg(-1, error_info); // 提示错误信息
            }
        });
//            } else {
//                layerUtils.iMsg(-1, error_info); // 提示错误信息
//            }
//        });
    }

    /* 获取性别 */
    function querySex() {
        var sexParam = {
            "enum_type": "sex"
        };
        service.queryDataDict(sexParam, function (data) {
            var error_no = data.error_no,
                error_info = data.error_info;
            if (error_no == "0" && data.results.length != 0) {
                var sex = data.results;
                var sexvalue = "";
                for (var i = 0; i < sex.length; i++) {
                    sexvalue = sex[i].item_name;
                    if (sexvalue == "男") {
                        manId = sex[i].item_value;
                    }
                    if (sexvalue == "女") {
                        womenId = sex[i].item_value;
                    }
                }
            } else {
                layerUtils.iMsg(-1, error_info); // 提示错误信息
            }
        }, true, true, querySexTimeout);
    }

    /**
     * 查询性别超时
     */
    function querySexTimeout() {
        layerUtils.iConfirm("请求超时，是否重载？",
            function () {
                querySex(); // 获取性别
            });
    }

    /* 信息提交校验 */
    function verifyInfo() {
        var now = new Date();
        var nowStr = now.format("yyyy-MM-dd");  //获取当前时间
        var name = $(_pageId + " .user_form .name").val().replace(/(^\s*)|(\s*$)/g, ''); // 姓名
        var idCardNo = Trim($(_pageId + " .user_form .idCardNo").val(), "g"); // 身份证
        var signDepartment = $(_pageId + " .user_form .signDepartment").val(); // 签发机关
        var idCardAddress = $(_pageId + " .user_form .idCardAddress").val(); // 证件地址
        var address = $(_pageId + " .user_form .address").val(); // 常住地址
        var idBeginDate = $(_pageId + " .user_form .idBeginDate").val(); // 起始期限
        var idEndDate = $(_pageId + " .user_form .idEndDate").val(); // 结束期限
        var zipCode = $(_pageId + " .user_form .zipCode").val(); // 邮编
        var selectBigOccupation = $(_pageId + " .input_form .selectBigOccupation").text(); // 新职业大项
        var selectSmallOccupation = $(_pageId + " .input_form .selectSmallOccupation").text(); // 新职业小项
        var selectDegree = $(_pageId + " .input_form .selectDegree").text(); // 学历
        var selectBigIndustry = $(_pageId + " .input_form .selectBigIndustry").text(); // 新行业大项
        var selectSmallIndustry = $(_pageId + " .input_form .selectSmallIndustry").text(); // 新行业小项
        var sel_commission = $(_pageId + " .input_form .sel_commission").text(); // 佣金

        if (selectBigIndustry === "行业大项" || selectSmallIndustry === "行业小项") {
            layerUtils.iMsg(-1, "行业不能为空");
            return false;
        }
        if (name == "") {
            layerUtils.iMsg(-1, "姓名不能为空");
            return false;
        }
        if (idCardNo == "") {
            layerUtils.iMsg(-1, "身份证不能为空");
            return false;
        }
        // 验证身份证的格式
        if (!validatorUtil.isCardID(idCardNo)) {
            layerUtils.iMsg(-1, "请输入正确的身份证号码!");
            return false;
        }
        if (signDepartment == "") {
            layerUtils.iMsg(-1, "签发机关不能为空");
            return false;
        }
        if (idCardAddress == "") {
            layerUtils.iMsg(-1, "证件地址不能为空");
            return false;
        }
        if (address == "") {
            layerUtils.iMsg(-1, "常住地址不能为空");
            return false;
        }
        if (idBeginDate == "") {
            layerUtils.iMsg(-1, "身份证起始期限不能为空");
            return false;
        }
        if (idEndDate == "") {
            layerUtils.iMsg(-1, "身份证结束期限不能为空");
            return false;
        }
        if (Date.parse(idBeginDate) >= Date.parse(nowStr)) {
            layerUtils.iMsg(-1, "有效期的起始时间不能大于当前日期!");
            return false;
        }
        if (Date.parse(idEndDate) <= Date.parse(nowStr)) {
            layerUtils.iMsg(-1, "有效期已过期，请您重新上传身份证!");
            return false;
        }
        if (zipCode == "") {
            layerUtils.iMsg(-1, "邮编不能为空");
            return false;
        }
        if (!require("validatorUtil").isPostalCode(zipCode)) {
            layerUtils.iMsg(-1, "邮编格式不正确,请重新输入");
            return false;
        }
        if (selectBigOccupation === "职业大项" || selectSmallOccupation === "职业小项") {
            layerUtils.iMsg(-1, "职业不能为空");
            return false;
        }
        if (selectDegree == "请选择学历") {
            layerUtils.iMsg(-1, "学历不能为空");
            return false;
        }
        if (sel_commission == "请选择佣金套餐") {
            layerUtils.iMsg(-1, "佣金不能为空");
            return false;
        }
        // 发送身份证存在性检查之前，前端验证身份证的格式
        if (!validatorUtil.isCardID(idCardNo)) {

            layerUtils.iMsg(-1, "请输入正确的身份证号码!");
            return false;
        }
        // 对不满 18 周岁进行控制
        // 只考虑 18 为身份证
        if (idCardNo.length == 18) {
            var dateStr = idCardNo.substring(6, 10) + "/" + idCardNo.substring(10, 12) + "/" + idCardNo.substring(12, 14),
                userAge = new Date().getTime() - Date.parse(dateStr);
            userAge = userAge / (365 * 24 * 60 * 60 * 1000);
            if (parseInt(userAge) < 18) {
                layerUtils.iAlert("您的年龄未满 18 周岁，不允许开户!", -1);
                return false;
            } else if (parseInt(userAge) > 70) {
                layerUtils.iAlert("您的年龄大于登录70周岁，不允许开户!", -1);
                return false;
            }
        }
        if ($(_pageId + " .selectProvince").text() == "请选择省份") {
            layerUtils.iMsg(-1, "请选择籍贯所在省份");
            return;
        }
        if ($(_pageId + " .selectCity").text() == "请选择市") {
            layerUtils.iMsg(-1, "请选择籍贯所在市");
            return;
        }
        // 验证有效期的格式
        var dateReg = /^[1-3]\d{3}-(0|1)\d-[0-3]\d$/;
        if (!(dateReg.test(idBeginDate))) {
            layerUtils.iMsg(-1, "有效期的起始时间不符合格式!");
            return false;
        }
        if (!(dateReg.test(idEndDate))) {
            layerUtils.iMsg(-1, "有效期的结束时间不符合格式!");
            return false;
        }
        // 校验身份证期限是否符合格式
        if (Date.parse(idBeginDate) >= Date.parse(idEndDate)) {
            layerUtils.iMsg(-1, "有效期的起始时间必须小于结束时间!");
            return false;
        }
        // 校验是否勾选佣金提示
        if (!$(_pageId + " .rule_check span").hasClass("checked")) {
            layerUtils.iMsg(-1, "请勾选佣金提示！");
            return;
        }

        // 页面入参的 身份证号 ，身份证号最多只允许修改五位
        var pageInIdCardNo = appUtils.getPageParam("idNo"),
        // 计算身份证修改的位数
            countDiffe = 0;
        $(_pageId + " .idCardNo").attr("borthday", idCardNo.substring(6, 10) + "-" + idCardNo.substring(10, 12) + "-" + idCardNo.substring(12, 14));
        return true;
    }

    /* 日历的回调函数 */
    function calendarCallback(data) {
        // 回调数据中的 data 是字符串，需解析a
        if (typeof(data) == 'string') {
            data = JSON.parse(data);
        }
        $(_pageId + " #" + data.selector).val(data.date);

    }

    /* 清理界面元素 */
    function cleanPageElement() {
        // 清理职业
        $(_pageId + " .selectOccupation").html("请选择职业");
        // 清理学历
        $(_pageId + " .selectDegree").html("请选择学历");
    }

    function getProvinceAndCity() {
        var param = {};
        service.getProvinceAndCity(param, function (data) {
            //  	alert(JSON.stringify(data));
            var error_no = data.error_no;
            var error_info = data.error_info;
            if (error_no == "0" && data.dsName) {
                provinceList = data.provinceList; // 省份集合
                cityList = data.cityList; // 城市集合
                var plen = provinceList.length,
                    clen = cityList.length;
                var pro_str = "", provContent = [];
                for (var i = 0; i < plen; i++) {
                    var provinceno = provinceList[i].provinceno; // 省份id
                    var provincename = provinceList[i].provincename; // 省份名称
//                    pro_str += "<li pid='" + provinceno + "'><span>" + provincename + "</span></li>";
                    provContent.push("<li pid='" + provinceno + "'><span>" + provincename + "</span></li>");
                    /*2015-05-13                     if (myprovinceno != "" && provinceno == myprovinceno) {
                     alert(provincename+",:"+myprovinceno);
                     $(_pageId + " .selectProvince").text(provincename); // 选中值赋给选择框
                     $(_pageId + " .selectProvince").val(myprovinceno);
                     }*/
                }
                var mycity_str = "", cityContent = [];
                if (mycityno != "") {
                    for (var i = 0; i < clen; i++) {
                        provincenno = cityList[i].provincenno;
                        cityno = cityList[i].cityno;
                        cityname = cityList[i].cityname;
                        if (myprovinceno == provincenno && mycityno == cityno) {
                            /* 2015-05-13                       	alert(cityname+",:"+cityno);
                             $(_pageId + " .selectCity").text(cityname); // 选中值赋给选择框
                             $(_pageId + " .selectCity").val(cityno);*/

                        }
                        if (provincenno == myprovinceno) {
//                            mycity_str += "<li cid='" + cityno + "'><span>" + cityname + "</span></li>";
                            cityContent.push("<li cid='" + cityno + "'><span>" + cityname + "</span></li>");
                        }
                    }

                }
                if (mycity_str != "") {
//                    $(_pageId + " .city ul").html(mycity_str); // 填充城市下拉框
                    $(_pageId + " .city ul").html(cityContent.join("")); // 填充城市下拉框
                }
//                $(_pageId + " .province ul").html(pro_str); // 填充城市下拉框
                $(_pageId + " .province ul").html(provContent.join("")); // 填充城市下拉框
                bindProvince(); // 点击省份
            } else {
                layerUtils.iMsg(-1, "营业部获取失败"); // 提示错误信息
            }

        });
    }

    function bindProvince() {
        appUtils.bindEvent($(_pageId + " .province ul li"),
            function (e) {
                var pid = $(this).attr("pid");
                $(this).addClass("active").siblings().removeClass("active");
                var provincename = $(this).text();
                myprovinceno = pid;

                var sel_pname = $(_pageId + " .selectProvince").text();
                e.stopPropagation(); // 阻止冒泡
                // 绑定点击确定
                // appUtils.bindEvent($(_pageId+" .province
                // .sel_info a"),function(e){
                $(_pageId + " .selectProvince").text(provincename); // 选中值赋给选择框
                $(_pageId + " .province").slideUp("fast",
                    function () {
                        $("body #bodyContent").css("overflow", "auto");
                    }); // 隐藏选择学历列表
                /* 选中省份立即填充相应城市 */
                if (provincename != sel_pname) // 再次点击相同省份,下级菜单不改变
                {
                    $(_pageId + " .selectCity").text("请选择市");
                    $(_pageId + " .city ul").html("");
                }
                var provincenno = ""; // 省份ID
                var city_str = "";
                for (var i = 0; i < cityList.length; i++) {
                    provincenno = cityList[i].provincenno;
                    cityno = cityList[i].cityno;
                    cityname = cityList[i].cityname;
                    if (pid == provincenno) {
                        city_str += "<li cid='" + cityno + "'><span>" + cityname + "</span></li>";
                    }
                }
                $(_pageId + " .city ul").html(city_str); // 填充城市下拉框
                e.stopPropagation(); // 阻止冒泡
                bindCity(); // 点击城市
                // });
            });
    }

    /* 选中城市事件绑定 */
    function bindCity() {
        /* 选中城市事件绑定 */
        appUtils.bindEvent($(_pageId + " .city ul li"), function (e) {
            var cid = $(this).attr("cid");
            $(this).addClass("active").siblings().removeClass("active");
            var cityname = $(this).text();
            mycityno = cid;

            var sel_cname = $(_pageId + " .sel_city").text();
            $(_pageId + " .selectCity").text(cityname); // 选中值赋给选择框
            $(_pageId + " .city").slideUp("fast", function () {
                $("body #bodyContent").css("overflow", "auto");
            });
            e.stopPropagation(); // 阻止冒泡
        });
    }

    /**
     * 初始化佣金(填充佣金列表，若只有一个则默认选择)
     */
    var iszzcompany = false;//是否为中焯渠道
    var branchList = "";
    var commissionList = "";

    function initCommission() {
        $(_pageId + " .sel_commission").text("请选择佣金套餐");
        iszzcompany = false;//是否为中焯渠道
        var branch_no = appUtils.getSStorageInfo("branchno");

        service.queryBranch({}, function (data) {
            var error_no = data.error_no;
            if (error_no == "0") {
                branchList = data.branchList; // 营业部集合
                commissionList = data.commissionList;	//佣金集合
                /*************added at 2015/09/08 判断为中焯渠道显示经纪人搜索框**************/
                var zz_extend_commpany = data.zz_extend_commpany;//中焯渠道组


                if (zz_extend_commpany.length > 0) {
                    //遍历渠道组与登录返回的extend_company比较，如属于渠道组的则为中焯渠道
                    for (var i = 0; i < zz_extend_commpany.length; i++) {
                        if (zz_extend_commpany[i].extend_company == appUtils.getSStorageInfo("extend_company")) {
                            iszzcompany = true;//属于中焯渠道，修改标志为true
                            break;
                        }
                    }
                }
                var extend_branchno = appUtils.getSStorageInfo("extend_branchno");
                if (extend_branchno == "" || extend_branchno == null || extend_branchno == "0" || extend_branchno == undefined) {
                    //没有渠道
                    var recommendno = appUtils.getSStorageInfo("recommendno");
                    if (recommendno) {
                        if (!validatorUtil.isNumeric(recommendno)) {
                            var arr = recommendno.split(":");
                            recommendno = arr[1];
                        }
                        //查询经纪人  获取经纪人营业部编号
                        service.getAgentList({"funcNo": 9613031, "key": recommendno}, function (data) {
                            if (data != null) {
                                var jjr_branchNo = data.results[0].branch_no;//经纪人营业部编号
                                if (branch_no == jjr_branchNo) {
                                    //经纪人属于所选营业部
                                    var param = {
                                        "branchno": recommendno //经纪人ID
                                    };
                                    //查询经纪人佣金
                                    service.getAgentCommissionList(param, function (data) {
                                        var error_no = data.error_no;
                                        var error_info = data.error_info;
                                        var results = data.results;
                                        if (error_no == 0) {
                                            if (results.length > 0) {
                                                //经纪人拥有佣金
                                                var commission_str = "";
                                                for (var i = 0; i < results.length; i++) {
                                                    var sortno = results[i].sortno;
                                                    var commproportion = results[i].commproportion;
                                                    var commname = results[i].commname;
                                                    appUtils.setSStorageInfo("commproportion", commproportion);
                                                    commission_str += "<li  commproportion='" + commproportion + "' cid='" + sortno + "'><span>" + commname + "</span></li>";
                                                }
                                                appUtils.setSStorageInfo("commission_str", commission_str);//保存客户选择的营业部下的佣金
                                                $(_pageId + " .commission ul").html(commission_str); // 填充营业部下拉框
                                                bindCommission(); //绑定选择营业部li事件


                                                //如果只有一个佣金，则默认填充
                                                if (results.length == 1) {
                                                    var cid = results[0].sortno; //佣金代码
                                                    var commproportion = results[0].commproportion; //佣金率
                                                    var commissionname = results[0].commname;  //当前选中的佣金值
                                                    $(_pageId + " .sel_commission").text(commissionname);	  //选中值赋给选择框
                                                    appUtils.setSStorageInfo("commission", cid); // 保存佣金代码

                                                    //added at 2015/08/25 增加佣金提示
                                                    var branch = appUtils.getSStorageInfo("branchname");// 营业部名称-登录和选择营业部时有保存
                                                    var servicephone = appUtils.getSStorageInfo("servicephone"); // 营业部服务电话
                                                    var description = "欢迎您选择广州证券" + branch + "，您的佣金费率为<span id='commproportion' style='color:red'>" + commproportion + "</span>，该佣金费率在您收到账号短信后的下一交易日生效。如需进一步咨询，您可以致电" + branch + "，联系电话:" + servicephone;
                                                    $(_pageId + " .rule_check span").html(description);
                                                    $(_pageId + " .rule_check").show();
                                                }

                                            } else {
                                                getBranchCommission();//采用营业部佣金
                                            }

                                        } else {
                                            layerUtils.iAlert(error_info); // 填写资料失败，弹出提示
                                        }
                                    });

                                } else {
                                    getBranchCommission();//采用营业部佣金
                                }
                            } else {
                                layerUtils.iMsg(-1, "查询经纪人佣金失败"); // 提示错误信息
                            }
                        });
                    } else {
                        //没有推荐人
                        getBranchCommission();//采用营业部佣金
                    }

                } else {
                    getBranchCommission();//采用营业部佣金
                }


            } else {
                layerUtils.iMsg(-1, "查询佣金失败"); // 提示错误信息
            }
        });
    }

    //采用营业部佣金
    function getBranchCommission() {
        var branchCommission = []; // 对应营业部的佣金
        var commission_str = "";
        var branchcode = appUtils.getSStorageInfo("bid");
        for (var i = 0; i < commissionList.length; i++) {
            var branch_no = commissionList[i].branchcode;
            var sortno = commissionList[i].sortno;
            var commproportion = commissionList[i].commproportion;
            var commname = commissionList[i].commname;
            if (branch_no == branchcode) {
                branchCommission.push(commissionList[i]);
                appUtils.setSStorageInfo("commproportion", commproportion);
                commission_str += "<li  commproportion='" + commproportion + "' cid='" + sortno + "'><span>" + commname + "</span></li>";
            }
        }
        appUtils.setSStorageInfo("commission_str", commission_str);//保存客户选择的营业部下的佣金
        $(_pageId + " .commission ul").html(commission_str); // 填充营业部下拉框
        bindCommission(); //绑定选择营业部li事件


        //如果只有一个佣金，则默认填充
        if (branchCommission.length == 1) {
            var cid = branchCommission[0].sortno; //佣金代码
            var commproportion = branchCommission[0].commproportion; //佣金率
            var commissionname = branchCommission[0].commname;  //当前选中的佣金值
            $(_pageId + " .sel_commission").text(commissionname);	  //选中值赋给选择框
            appUtils.setSStorageInfo("commission", cid); // 保存佣金代码

            //added at 2015/08/25 增加佣金提示
            var branch = appUtils.getSStorageInfo("branchname");// 营业部名称-登录和选择营业部时有保存
            var servicephone = appUtils.getSStorageInfo("servicephone"); // 营业部服务电话
            var description = "欢迎您选择广州证券" + branch + "，您的佣金费率为<span id='commproportion' style='color:red'>" + commproportion + "</span>，该佣金费率在您收到账号短信后的下一交易日生效。如需进一步咨询，您可以致电" + branch + "，联系电话:" + servicephone;
            $(_pageId + " .rule_check span").html(description);
            $(_pageId + " .rule_check").show();
        }

    }

    /**
     *  选中佣金事件绑定*/
    function bindCommission() {
        appUtils.bindEvent($(_pageId + " .commission ul li"), function (e) {
            var cid = $(this).attr("cid");	 // 佣金编号
            var commproportion = $(this).attr("commproportion"); // 佣金率
            $(this).addClass("active").siblings().removeClass("active");
            var commissionname = $(this).text();  //当前选中的佣金值  佣金名称
            var sel_cname = $(_pageId + " .sel_commission").text();  //上一次选中佣金的值
            //再次点击相同佣金下级菜单不改变，否则重置
            if (sel_cname != commissionname) {
                $(_pageId + " .sel_commission").text("请选择佣金套餐");
            }
            $(_pageId + " .sel_commission").text(commissionname);	  //选中值赋给选择框
            appUtils.setSStorageInfo("commission", cid); // 保存佣金代码
            $(_pageId + " .commission").slideUp("fast");	//隐藏下拉框

            //added at 2015/08/25 增加佣金提示
            var branch = appUtils.getSStorageInfo("branchname");
            var servicephone = appUtils.getSStorageInfo("servicephone");
            var description = "欢迎您选择广州证券" + branch + "，您的佣金费率为<span id='commproportion' style='color:red'>" + commproportion + "</span>，该佣金费率在您收到账号短信后的下一交易日生效。如需进一步咨询，您可以致电" + branch + "，联系电话:" + servicephone;
            $(_pageId + " .rule_check span").html(description);
            $(_pageId + " .rule_check").show();
            e.stopPropagation();	// 阻止冒泡
        });
    }


    /* 处理返回按钮 */
    function pageBack() {
        layerUtils.iLoading(false);
        var param = {
            "user_id": appUtils.getSStorageInfo("user_id")
        };
        // 查询身份证和大头像进行回显
        service.getPhoto(param,
            function (data) {
                if (data.error_no == 0) {
                    appUtils.setSStorageInfo("custname", $(_pageId + " .name").val()); // 客户姓名
                    appUtils.setSStorageInfo("idCardNo", $(_pageId + " .idCardNo").val());
                    appUtils.setSStorageInfo("policeorg", $(_pageId + " .signDepartment").val());
                    appUtils.setSStorageInfo("native", $(_pageId + " .idCardAddress").val());
                    appUtils.setSStorageInfo("addr", $(_pageId + " .address").val());
                    appUtils.setSStorageInfo("idBeginDate", $(_pageId + " .idBeginDate").val());
                    appUtils.setSStorageInfo("idEndDate", $(_pageId + " .idEndDate").val());
                    appUtils.setSStorageInfo("postid", $(_pageId + " .zipCode").val());

                    appUtils.setSStorageInfo("data", JSON.stringify(data.results));//保存查询出来的上传影像数据
                    appUtils.pageInit("account/personInfo", "account/uploadPhotoChange", {"num": "1"});
                } else {
                    layerUtils.iAlert(data.error_info);
                }

            });
    }

    var personInfo = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy,
        "pageBack": pageBack,
        "calendarCallback": calendarCallback
    };

    // 暴露对外的接口
    module.exports = personInfo;
});