/**
 * 选择营业部
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        service = require("serviceImp").getInstance(),
    // 业务层接口，请求数据
        global = require("gconfig").global,
        gconfig = require("gconfig"),
        utils = require("utils"),
        validatorUtil = require("validatorUtil"),
        layerUtils = require("layerUtils"),
        provinceList = "",
        allAgent = null,
        extend_company = "",
    // 省份
        cityList = "",
        mycityno = "",
        agentAccount = "",
        ryflName = "",
        timeOut = 0,
        recommendStr = "",//经纪人
        iszzcompany = false,//是否为中焯渠道
        isfixed = false,//是否固定（如为中焯渠道且营业部为一个就固定）
    // 城市
        branchList = "",
        commissionList = "",  //佣金套餐
        branchParam = {"branchno": "", "commission": ""},  //营业部编号
    // 营业部
        branch_no = "",//营业部代码
    // 营业部编号
        _pageId = "#account_selDepartment";

    var external = require("external");
    /* 私有业务模块的全局变量 end */

    function init() {
        iszzcompany = false;//是否为中焯渠道
        var branch_no = ""//营业部代码
        layerUtils.iLoading(false);
        cleanPageElement(); // 清理页面元素值
        //获取渠道值并提示
        var content = appUtils.getSStorageInfo("content");
        if (content) {
            $(_pageId + " #tips").text("您的开户渠道：" + content);
        } else {
            $(_pageId + " #tips").text("");
        }
        var extend_company = appUtils.getSStorageInfo("extend_company");
        //added at 2015/08/05 渠道包隐藏经纪人，微信预约经纪人（isrecscanning）的显示经纪人，否则设置成不可点。
        if (!!extend_company) {
            /*************added at 2015/09/08 判断为中焯渠道显示推荐人搜索框**************/
            $(_pageId + " .search_reference").hide();
            $(_pageId + " .notice_reference").hide();
        } else if (!!appUtils.getSStorageInfo("isrecscanning")) {
            var recommendno = appUtils.getSStorageInfo("recommendno"),
                ryfl_name = appUtils.getSStorageInfo("ryflName");
            $(_pageId + " #myreference").show();
            $(_pageId + " #reference_type").show();
            $(_pageId + " #myreference input").attr("placeholder", "");
            $(_pageId + " #myreference input").val(recommendno);
            $(_pageId + " #myreference input").attr("readonly", "readonly");
            $(_pageId + " #reference_type input").val(ryfl_name);
        }


        /*add end by 2015-04-21*/
        // 如果是回显，则要从新赋值
        var selback = appUtils.getPageParam("selback");//获取回退标识
        branch_no = appUtils.getSStorageInfo("branchno");//获取回退营业部代码
        //   alert("branch_no" +branch_no);
        if (selback == "2" || appUtils.getSStorageInfo("_prePageCode") == "account/uploadPhotoChange") {
            //     alert("回显的营业部");
            service.queryBranch({}, function (data) {
                var error_no = data.error_no,
                    error_info = data.error_info;
                if (error_no == "0") {
                    var cityno = ""; // 城市ID
                    var provincenno = ""; // 省份ID
                    provinceList = data.provinceList; // 省份集合
                    cityList = data.cityList; // 城市集合
                    branchList = data.branchList; // 营业部集合
                    commissionList = data.commissionList;	//佣金集合
                    /*************added at 2015/09/08 判断为中焯渠道显示经纪人搜索框**************/
                    zz_extend_commpany = data.zz_extend_commpany;//中焯渠道组
                    if (zz_extend_commpany.length > 0) {
                        //遍历渠道组与登录返回的extend_company比较，如属于渠道组的则为中焯渠道
                        for (var i = 0; i < zz_extend_commpany.length; i++) {
                            if (zz_extend_commpany[i].extend_company == appUtils.getSStorageInfo("extend_company")) {
                                iszzcompany = true;//属于中焯渠道，修改标志为true
                                $(_pageId + " .search_reference").show();
                                $(_pageId + " .notice_reference").show();
                                break;
                            }
                        }
                    }
                    if (branchList.length > 0) {
                        for (var i = 0; i < branchList.length; i++) {
                            var branchcode = branchList[i].branchcode;
                            if (branch_no == branchcode) {
                                cityno = branchList[i].cityno;
                                branchname = branchList[i].branchname;
                                //added at 2015/08/25 添加佣金提示
                                appUtils.setSStorageInfo("servicephone", branchList[i].branchname);
                                appUtils.setSStorageInfo("servicephone", branchList[i].servicephone);
                                $(_pageId + " .sel_branch").text(branchname); // 选中值赋给选择框
                            }
                        }
                    }
                    if (cityList.length > 0) {
                        for (var j = 0; j < cityList.length; j++) {
                            var cno = cityList[j].cityno;
                            if (cityno == cno) {
                                provincenno = cityList[j].provincenno;
                                cityname = cityList[j].cityname;
                                $(_pageId + " .sel_city").text(cityname);
                            }
                        }
                    }
                    if (provinceList.length > 0) {
                        for (var z = 0; z < provinceList.length; z++) {
                            var provinceno = provinceList[z].provinceno; // 省份id
                            if (provinceno == provincenno) {
                                var provincename = provinceList[z].provincename; // 省份名称
                                $(_pageId + " .sel_province").text(provincename); // 选中值赋给选择框
                            }
                        }
                    }

                    if (commissionList.length > 0) {
                        for (var i = 0; i < commissionList.length; i++) {
                            var branchcode = commissionList[i].branchcode; // 佣金id
                            if (branch_no == branchcode) {
                                var commname = commissionList[i].commname;
                                var commproportion = commissionList[i].commproportion; // 佣金名称
                                appUtils.setSStorageInfo("commproportion", commproportion);
                                $(_pageId + " .sel_commission").text(commname); // 选中值赋给选择框
                            }
                        }
                    }
                }
                //added at 2015/08/25 回显佣金提示
                //---------------------------start-----
//                var branch = $(_pageId+" .sel_branch").text();
//    			  var commission = $(_pageId+" .sel_commission").text();
//    			  var servicephone = appUtils.getSStorageInfo("servicephone");
//    			  $(_pageId+" .rule_check").show();
//    			  var description = "欢迎您选择广州证券"+branch+"，您的佣金费率为<span id='commproportion' style='color:red'>"+commproportion+"</span>，该佣金费率在您收到账号短信后的下一交易日生效。如需进一步咨询，您可以致电"+branch+"，联系电话:"+servicephone;
//    			  $(_pageId+" .rule_check span").html(description);
                //---------------------------end-------


                //add by fengxiang 2015-11-09 回显经纪人
                var recommendno = appUtils.getSStorageInfo("recommendno");
                if (recommendno) {
                    if (!validatorUtil.isNumeric(recommendno)) {
                        var arr = recommendno.split(":");
                        recommendno = arr[1];
                    }
                    getAgentList(recommendno);
                }


            });
        }
//        $(_pageId + " .header .icon_back").hide(); // 隐藏返回按钮
        //start 2014-12-01 判断老钱庄合作渠道
        //2015-04-11-1536  当渠道为jsyh的时候 不默认营业部 可以选择
        var extend_branchno = appUtils.getSStorageInfo("extend_branchno");
        if ((extend_branchno != "" && extend_branchno != null && extend_branchno != "0") || (branch_no != "" && branch_no != null && branch_no != "0")) {
            service.queryBranch({}, function (data) {
                var error_no = data.error_no,
                    error_info = data.error_info;
                if (error_no == "0") {
                    var cityno = ""; // 城市ID
                    var provincenno = ""; // 省份ID
                    provinceList = data.provinceList; // 省份集合
                    cityList = data.cityList; // 城市集合
                    branchList = data.branchList; // 营业部集合
                    commissionList = data.commissionList;	//佣金集合
                    /*************added at 2015/09/08 判断为中焯渠道显示经纪人搜索框**************/
                    zz_extend_commpany = data.zz_extend_commpany;//中焯渠道组
                    if (zz_extend_commpany.length > 0) {
                        //遍历渠道组与登录返回的extend_company比较，如属于渠道组的则为中焯渠道
                        for (var i = 0; i < zz_extend_commpany.length; i++) {
                            if (zz_extend_commpany[i].extend_company == appUtils.getSStorageInfo("extend_company")) {
                                iszzcompany = true;//属于中焯渠道，修改标志为true
                                $(_pageId + " .search_reference").show();
                                $(_pageId + " .notice_reference").show();
                                break;
                            }
                        }
                    }
                    if (branchList.length > 0) {
                        for (var i = 0; i < branchList.length; i++) {
                            var branchcode = branchList[i].branchcode;
                            if (branch_no == branchcode) {
                                appUtils.setSStorageInfo("bid", branchcode);
                                branchParam.branchno = branch_no;
                                cityno = branchList[i].cityno;
                                branchname = branchList[i].branchname;
                                //added at 2015/08/25 添加佣金提示
                                appUtils.setSStorageInfo("branchname", branchList[i].branchname);
                                appUtils.setSStorageInfo("servicephone", branchList[i].servicephone);
                                $(_pageId + " .sel_branch").text(branchname); // 选中值赋给选择框
                                fillCityAndBranch(branchcode); //填充对应城市和营业部下拉框
                            }
                        }
                    }
                    if (cityList.length > 0) {
                        for (var j = 0; j < cityList.length; j++) {
                            var cno = cityList[j].cityno;
                            if (cityno == cno) {
                                provincenno = cityList[j].provincenno;
                                cityname = cityList[j].cityname;
                                $(_pageId + " .sel_city").text(cityname);
                            }
                        }

                    }
                    if (provinceList.length > 0) {
                        for (var z = 0; z < provinceList.length; z++) {
                            var provinceno = provinceList[z].provinceno; // 省份id
                            if (provinceno == provincenno) {
                                var provincename = provinceList[z].provincename; // 省份名称
                                $(_pageId + " .sel_province").text(provincename); // 选中值赋给选择框
                            }
                        }
                    }

                    if (commissionList.length > 0) {
                        var commission_str = "";
                        for (var i = 0; i < commissionList.length; i++) {
                            var branchcode = commissionList[i].branchcode;
                            var sortno = commissionList[i].sortno;
                            var commproportion = commissionList[i].commproportion;
                            var commname = commissionList[i].commname;
                            if (branch_no == branchcode) {
                                appUtils.setSStorageInfo("commproportion", commproportion);
                                commission_str += "<li  commproportion='" + commproportion + "' cid='" + sortno + "'><span>" + commname + "</span></li>";

                                branchParam.commission = sortno;
                                appUtils.setSStorageInfo("commission", sortno); // 保存佣金代码
                            }
                        }
                        appUtils.setSStorageInfo("commission_str", commission_str);//保存客户选择的营业部下的佣金
                        $(_pageId + " .commission ul").html(commission_str); // 填充营业部下拉框
                        bindCommission(); // 点击营业部
                    }
                    //added at 2015/08/12  如果不是渠道包的话要把营业部查出来不固定
                    if (!!appUtils.getSStorageInfo("extend_branchno")) {
                    } else {
                        getBranch(); // 获取营业部
                    }
                }
            });
        } else { //如果extend_company为空，则自由选择营业部
            getBranch(); // 获取营业部
        }
        //end 2014-12-01
    }

    function bindPageEvent() {
        /* 绑定返回 */
        appUtils.bindEvent($(_pageId + " .header .icon_back"), function () {
            if (appUtils.getSStorageInfo("_prePageCode") == "account/personInfo") {
                appUtils.pageBack();
            } else {
                appUtils.setSStorageInfo("selback", 3);
                appUtils.pageInit("account/selDepartment", "account/msgVerify", {});
            }
        });
        /* 绑定同意签署协议 */
        appUtils.bindEvent($(_pageId + " .icon_check"), function () {
            $(this).toggleClass("checked");
        });
        // 绑定推荐人,根据填充的内容进行查询
        appUtils.bindEvent($(_pageId + " .search"), function (e) {
            clearTimeout(timeOut);
            var agent = $(_pageId + " #agent").val().trim();
            /*********************added at 2015/09/08*********************/
            var param = "";
            //获取选择营业部的营业部id
            var branchID = appUtils.getSStorageInfo("bid");
            if ((branchID == "" || branchID == undefined) && !isfixed) {
                layerUtils.iMsg(-1, "请先选择营业部");
                return false;
            }
            getAgentList(agent);
            e.stopPropagation(); // 阻止冒泡
        });

        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"), function () {
            var branchID = appUtils.getSStorageInfo("bid");
            var brokersno = appUtils.getSStorageInfo("recommendno");
            if ((branchID == "" || branchID == undefined) && iszzcompany == false) {
                layerUtils.iMsg(-1, "请先选择营业部");
                return false;
            }
            if (branchID == undefined) {
                branchID = "";
            }
            if (brokersno == undefined) {
                brokersno = "";
            }
            //如有选择了营业部或经纪人则需要传
            var param1 = {
                "userid": appUtils.getSStorageInfo("user_id"),
                "branchno": branchID,
                "brokersno": brokersno
            }
            console.log("================================ param1=" + JSON.stringify(param1));

            /*  added at 2015/09/02
             *  入参： user_id （客户id）
             出参：调用成功有两种情况，
             1.如果属于中焯渠道 会返回 status=1
             2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
            service.serachIsCompanyCustomer(param1, function (data) {
                console.log("================================ data=" + JSON.stringify(data));
                var error_no = data.error_no,
                    error_info = data.error_info;
                if (error_no == "0") {
                    var status = data.results[0].status;
                    if (status == "0") {
                        $(".ly_shadow").show();
                        var branchname = data.results[0].branchname;
                        var brokersname = data.results[0].brokersname;
                        var servicephone = data.results[0].servicephone;
                        var brokersphone = data.results[0].brokersphone;
                        var address = data.results[0].address;
                        var info = "";
                        //有经纪人的
                        if (!!brokersname) {
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听经纪人电话事件
                            appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        } else {//无经纪人的
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        }
                    } else {
                        if (require("gconfig").platform != "1") {
                            //ios 获取软件是否安装
                            var param = {
                                "funcNo": "50200",
                                "moduleName": "open",
                                "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                            };
                            var result = external.callMessage(param);
                            if (result.error_no == 0) {
                                var isInstall = result.results[0].isInstall;
                                //是否安装(0：否，1：是）
                                if (isInstall == "1") {
                                    var param = {
                                        "funcNo": "50109",
                                        "moduleName": "open",
                                        "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                        //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                    };
                                    external.callMessage(param);
                                } else {
                                    layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                        //进入appstore
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                        };
                                        external.callMessage(param);
                                    }, null, "下载", "取消");
                                }
                            } else {
                                layerUtils.iAlert("检测QQ失败");
                            }
                        } else {
                            var param = {
                                "funcNo": "50109",
                                "moduleName": "open",
                                // "url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                            };
                            external.callMessage(param);
                        }
                    }
                } else {
                    layerUtils.iAlert(error_info);
                }
            });
        });
        /* 绑定退出按钮 */
        // appUtils.bindEvent($(_pageId+" .header .icon_close"),function(){
        // require("utils").layerTwoButton("退出系统？","确认","取消",function(){
        // require("shellPlugin").callShellMethod("closeAppPlugin",null,null);
        // // 退出程序
        // },
        // function(){return false;});
        // });
        /* 点击页面其他元素隐藏下拉列表 */
        appUtils.bindEvent($(_pageId), function (e) {
            $(_pageId + " .sel_list").slideUp("fast"); // 隐藏下拉列表
            e.stopPropagation(); // 阻止冒泡
        });
        /* 绑定选择省份 */
        appUtils.bindEvent($(_pageId + " .mobile_form .sel_province"), function (e) {
            //2015-04-11-1536  当渠道为jsyh的时候  可以选择
            if ((appUtils.getSStorageInfo("extend_branchno") == null || appUtils.getSStorageInfo("extend_branchno") == "0") && !isfixed) {
                $(_pageId + " .city").hide(); // 隐藏城市列表
                $(_pageId + " .branch").hide(); // 隐藏营业部列表
                $(_pageId + " .commission").hide(); // 隐藏佣金列表
                $(_pageId + " .province ul li").removeClass("active");
                $(_pageId + " .province").slideToggle("fast"); // 显示选择省份的下拉列表
            }
            e.stopPropagation(); // 阻止冒泡

        });
        /* 绑定选择城市 */
        appUtils.bindEvent($(_pageId + " .mobile_form .sel_city"),
            function (e) {
                //2015-04-11-1536  当渠道为jsyh的时候  可以选择
                if ((appUtils.getSStorageInfo("extend_branchno") == null || appUtils.getSStorageInfo("extend_branchno") == "0") && !isfixed) {
                    $(_pageId + " .province").hide(); // 隐藏省份列表
                    $(_pageId + " .branch").hide(); // 隐藏营业部列表
                    $(_pageId + " .commission").hide(); // 隐藏佣金列表
                    $(_pageId + " .city ul li").removeClass("active");
                    $(_pageId + " .city").slideToggle("fast"); // 显示选择城市的下拉列表
                }
                e.stopPropagation(); // 阻止冒泡
            });
        /* 绑定选择营业部 */
        appUtils.bindEvent($(_pageId + " .mobile_form .sel_branch"),
            function (e) {
                //2015-04-11-1536  当渠道为jsyh的时候  可以选择
                if ((appUtils.getSStorageInfo("extend_branchno") == null || appUtils.getSStorageInfo("extend_branchno") == "0") && !isfixed) {
                    $(_pageId + " .province").hide(); // 隐藏省份列表
                    $(_pageId + " .city").hide(); // 隐藏城市列表
                    $(_pageId + " .commission").hide(); // 隐藏佣金列表
                    $(_pageId + " .branch ul li").removeClass("active");
                    $(_pageId + " .branch").slideToggle("fast"); // 显示选择营业厅的下拉列表
                }

                e.stopPropagation(); // 阻止冒泡
            });

        /* 绑定选择佣金套餐 added at 2015/09/50*/
        appUtils.bindEvent($(_pageId + " .mobile_form .sel_commission"), function (e) {
            $(_pageId + " .province").hide();  //隐藏省份列表
            $(_pageId + " .city").hide();  //隐藏城市列表
            $(_pageId + " .branch").hide();  //隐藏营业部列表
            $(_pageId + " .commission ul li").removeClass("active");
            $(_pageId + " .commission").slideToggle("fast");	// 显示选择营业厅的下拉列表
            e.stopPropagation();	// 阻止冒泡
        });

        /* 绑定下一步 */
        appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn"),
            function () {
                var sel_province = $(_pageId + " .mobile_form .sel_province").text();
                var sel_city = $(_pageId + " .mobile_form .sel_city").text();
                var branch_name = $(_pageId + " .mobile_form .sel_branch").text();
                if (branchParam.branchno != "") {
                    //  alert("branchParam.branchno333:"+appUtils.getSStorageInfo("bid"))
                    appUtils.setSStorageInfo("branchno", appUtils.getSStorageInfo("bid")); // 营业部id保存在session
                } else {
                    //	alert("77777");
                    //重新保存
                    appUtils.setSStorageInfo("branchno", appUtils.getSStorageInfo("branchno"));
                }
                if (sel_province == "请选择省份") {
                    layerUtils.iMsg(-1, "请选择省份");
                    return false;
                }
                if (sel_city == "请选择城市") {
                    layerUtils.iMsg(-1, "请选择城市");
                    return false;
                }
                if (branch_name == "请选择营业部") {
                    layerUtils.iMsg(-1, "请选择营业部");
                    return false;
                }
                /* var commision = $(_pageId + " .sel_commission").text();
                 if (commision == "请选择佣金套餐") {
                 layerUtils.iMsg( - 1, "请选择佣金套餐");
                 return false;
                 }
                 if(!$(_pageId+" .rule_check span").hasClass("checked")){
                 layerUtils.iMsg( - 1, "请勾选佣金提示！");
                 return;
                 }*/

                //r如果没有渠道佣金 和 经纪人佣金 则默认营业部佣金
                if (!branchParam.commission) {
                    for (var i = 0; i < commissionList.length; i++) {
                        var branch_no = commissionList[i].branchcode;
                        var sortno = commissionList[i].sortno;
                        if (branch_no == appUtils.getSStorageInfo("branchno")) {
                            branchParam.commission = sortno;
                            appUtils.setSStorageInfo("commission", sortno); // 保存佣金代码
                        }
                    }
                }

                //alert(JSON.stringify(branchParam));
                appUtils.pageInit("account/selDepartment", "account/uploadPhotoChange", branchParam);

            });
    }

    function findAgent() {
        $(_pageId + " .agent ul li").remove();

        //如果推荐人只有一个直接显示
        if (allAgent.results.length == 1) {
            // 将推荐人号码存到agentAccount中
            agentAccount = allAgent.results[0].broker_account;
            // 将推荐人类型存到ryflName中   added at 2016-03-09
            ryflName = allAgent.results[0].ryfl_name;
            //将推荐人营业部获取
            var jjr_branchNo = allAgent.results[0].branch_no;
            appUtils.setSStorageInfo("isAgent", 1);
            /*var check_val = $(_pageId + " .agent0" + 0).text();
             var check_valArr = check_val.split(" ");*/
            var check_val = allAgent.results[0].broker_account + "  " + allAgent.results[0].broker_name + "  " + allAgent.results[0].branch_nickname;
            //把推荐人信息保存起来
            appUtils.setSStorageInfo("recommendno", agentAccount);
            // 将推荐人类型保存起来     added at 2016-03-09
            appUtils.setSStorageInfo("ryflName", ryflName ? ryflName : "经纪人");
            $(_pageId + " #myreference").show();
            $(_pageId + " #agentMsg").val(check_val);
            // added at 2016-03-09
            if (ryflName) {
                $(_pageId + " #reference_type").show();
                $(_pageId + " #recomType").val(ryflName);
            } else {
                ryflName = "经纪人";
                $(_pageId + " #reference_type").show();
                $(_pageId + " #recomType").val(ryflName);
            }

        } else {
            for (var i = 0; i < allAgent.results.length; i++) {
                var str = "<li><span class='agent0" + i + "' recommendType='" + allAgent.results[i].ryfl + "' ryflName='" + allAgent.results[i].ryfl_name + "' jjr_branchNo='" + allAgent.results[i].branch_no + "' value='" + allAgent.results[i].broker_account + "'>" + allAgent.results[i].broker_account + "  " + allAgent.results[i].broker_name + "  " + allAgent.results[i].branch_nickname + "</span></li>";
                $(_pageId + " .agent ul").append(str);
                BindSelectAgent(i); // 预绑定选择职业的事件
            }
        }
    }

    // 判断输入的数字是不是中文或者数字
    function isNumorCHN(str) {
        if (utils.isCnAndEn(str)) {
            return true;
        } else if (validatorUtil.isNumeric(str)) {
            return true;
        } else {
            return false;
        }
    }

    function BindSelectAgent(i) {
        appUtils.bindEvent($(_pageId + " .agent ul .agent0" + i), function (e) {
            // 将经纪人号码存到agentAccount中
            agentAccount = $(_pageId + " .agent0" + i).attr("value");
            // 将推荐人类型存到ryflName中   added at 2016-03-09
            ryflName = $(_pageId + " .agent0" + i).attr("ryflName");
            //将经纪人营业部获取
            var jjr_branchNo = $(_pageId + " .agent0" + i).attr("jjr_branchNo");

            appUtils.setSStorageInfo("isAgent", 1);
            $(this).parent().addClass("active").siblings().removeClass("active");
            var check_val = $(_pageId + " .agent0" + i).text();
            var check_valArr = check_val.split(" ");

            //把经纪人信息保存起来
            appUtils.setSStorageInfo("recommendno", agentAccount);
            // 将推荐人类型保存起来     added at 2016-03-09
            appUtils.setSStorageInfo("ryflName", ryflName ? ryflName : "经纪人");

            // 去掉选中内容最后两个“确定”
            e.stopPropagation(); // 阻止冒泡
            // 绑定点击确定
            // appUtils.bindEvent($(_pageId+" .job .sel_info
            // a"),function(e){
            $(_pageId + " #myreference").show();
            $(_pageId + " #agentMsg").val(check_val);

            // added at 2016-03-09
            if (ryflName) {
                $(_pageId + " #reference_type").show();
                $(_pageId + " #recomType").val(ryflName);
            } else {
                ryflName = "经纪人";
                $(_pageId + " #reference_type").show();
                $(_pageId + " #recomType").val(ryflName);
            }

            $(_pageId + " .agent").slideUp("fast", function () {
                $("body #bodyContent").css("overflow", "auto");
            }); // 隐藏选择学历列表
            e.stopPropagation(); // 阻止冒泡
            // });

            //选择完经纪人信息后触发事件
            var branchID = appUtils.getSStorageInfo("bid");
            if ((branchID == "" || branchID == undefined) && !isfixed) {
                layerUtils.iMsg(-1, "请先选择营业部");
                return false;
            } else if ((jjr_branchNo == branchID) && (!iszzcompany)) {//将选择的营业部和经纪人营业部做比较，相同则固定佣金
                var param = {
                    "branchno": check_valArr[0]//经纪人ID
                };
                service.getAgentCommissionList(param, function (data) {
                    var error_no = data.error_no;
                    var error_info = data.error_info;
                    var results = data.results;
                    if (error_no == 0) {
                        var commission_str = "";
                        for (var i = 0; i < results.length; i++) {
                            var branchcode = results[i].branchcode;
                            var sortno = results[i].sortno;
                            var commproportion = results[i].commproportion;
                            var commname = results[i].commname;
                            commission_str += "<li commproportion='" + commproportion + "' cid='" + sortno + "'><span>" + commname + "</span></li>";

                            branchParam.commission = sortno;
                            appUtils.setSStorageInfo("commission", sortno); // 保存佣金代码
                        }
                        $(_pageId + " .commission ul").html(commission_str); // 填充营业部下拉框
                        $(_pageId + " .sel_commission").text("请选择佣金套餐");
                        e.stopPropagation(); // 阻止冒泡
                        $(_pageId + " .province").hide();  //隐藏省份列表
                        $(_pageId + " .city").hide();  //隐藏城市列表
                        $(_pageId + " .branch").hide();  //隐藏营业部列表
                        $(_pageId + " .commission ul li").removeClass("active");
//				$(_pageId+" .commission").slideToggle("fast");	// 显示选择营业厅的下拉列表
                        bindCommission(); // 点击营业部
                    } else {
                        layerUtils.iAlert(error_info); // 填写资料失败，弹出提示
                    }
                });
            } else {
                var commission_str = appUtils.getSStorageInfo("commission_str");
                $(_pageId + " .sel_commission").text("请选择佣金套餐");
                $(_pageId + " .commission ul").html(commission_str); // 填充营业部下拉框
                bindCommission();
            }

        });
    }

    /*
     * 获取字符串的字节长度 edit by 潘舟
     */
    function GetStringByteLength(val) {
        var Zhlength = 0; // 全角
        var Enlength = 0; // 半角
        for (var i = 0; i < val.length; i++) {
            if (val.substring(i, i + 1).match(/[^\x00-\xff]/ig) != null) Zhlength += 1;
            else Enlength += 1;
        }
        // 返回当前字符串字节长度
        return (Zhlength * 2) + Enlength;
    }

    function destroy() {
        service.destroy();
    }

    // 对外暴露的模块方法 end
    /* 获取营业部 */
    function getBranch() {
        // 获取营业部
        service.queryBranch({}, function (data) {
            var error_no = data.error_no,
                error_info = data.error_info;
            if (error_no == "0" && data.dsName) {
                provinceList = data.provinceList; // 省份集合
                cityList = data.cityList; // 城市集合
                branchList = data.branchList; // 营业部集合
                wxBranchList = data.wxBranchList;	//网络营业部集合
                commissionList = data.commissionList;	//佣金集合
                appUtils.setSStorageInfo("commissionList", JSON.stringify(commissionList));
                /*************added at 2015/09/08 判断为中焯渠道显示经纪人搜索框**************/
                zz_extend_commpany = data.zz_extend_commpany;//中焯渠道组
                if (zz_extend_commpany.length > 0) {
                    //遍历渠道组与登录返回的extend_company比较，如属于渠道组的则为中焯渠道
                    for (var i = 0; i < zz_extend_commpany.length; i++) {
                        if (zz_extend_commpany[i].extend_company == appUtils.getSStorageInfo("extend_company")) {
                            iszzcompany = true;//属于中焯渠道，修改标志为true
                            $(_pageId + " .search_reference").show();
                            $(_pageId + " .notice_reference").show();
                            break;
                        }
                    }
                }
                if (iszzcompany && branchList.length == 1) {
                    var cityno = ""; // 城市ID
                    var provincenno = ""; // 省份ID
                    isfixed = true;//需要固定
                    var branch_code = branchList[0].branchcode;
                    branchParam.branchno = branch_code;
                    appUtils.setSStorageInfo("branchno", branch_code);
                    appUtils.setSStorageInfo("bid", branch_code);//固定了营业部要把bid存起来
                    cityno = branchList[0].cityno;
                    branchname = branchList[0].branchname;
                    appUtils.setSStorageInfo("branchname", branchname);
                    //added at 2015/08/25 添加佣金提示
                    appUtils.setSStorageInfo("servicephone", branchList[0].servicephone);
                    $(_pageId + " .sel_branch").text(branchname); // 选中值赋给选择框

                    if (cityList.length > 0) {
                        for (var j = 0; j < cityList.length; j++) {
                            var cno = cityList[j].cityno;
                            if (cityno == cno) {
                                provincenno = cityList[j].provincenno;
                                cityname = cityList[j].cityname;
                                $(_pageId + " .sel_city").text(cityname);
                            }
                        }
                    }
                    if (provinceList.length > 0) {
                        for (var z = 0; z < provinceList.length; z++) {
                            var provinceno = provinceList[z].provinceno; // 省份id
                            if (provinceno == provincenno) {
                                var provincename = provinceList[z].provincename; // 省份名称
                                $(_pageId + " .sel_province").text(provincename); // 选中值赋给选择框
                            }
                        }
                    }
                    if (commissionList.length > 0) {
                        var commission_str = "";
                        for (var i = 0; i < commissionList.length; i++) {
                            var branchcode = commissionList[i].branchcode;
                            var sortno = commissionList[i].sortno;
                            var commproportion = commissionList[i].commproportion;
                            var commname = commissionList[i].commname;
                            if (branch_code == branchcode) {
                                appUtils.setSStorageInfo("commproportion", commproportion);
                                commission_str += "<li  commproportion='" + commproportion + "' cid='" + sortno + "'><span>" + commname + "</span></li>";
                                branchParam.commission = sortno;
                                appUtils.setSStorageInfo("commission", sortno); // 保存佣金代码
                            }
                        }
                        appUtils.setSStorageInfo("commission_str", commission_str);//保存客户选择的营业部下的佣金
                        $(_pageId + " .commission ul").html(commission_str); // 填充营业部下拉框
                        bindCommission(); // 点击营业部
                    }
                } else {
                    var plen = provinceList.length,
                        clen = cityList.length,
                        blen = branchList.length;
                    var pro_str = "";
                    for (var i = 0; i < plen; i++) {
                        var provinceno = provinceList[i].provinceno; // 省份id
                        var provincename = provinceList[i].provincename; // 省份名称
                        pro_str += "<li pid='" + provinceno + "'><span>" + provincename + "</span></li>";
                    }
                    $(_pageId + " .province ul").html(pro_str); // 填充省份下拉框
                    bindProvince(); // 点击省份
                    //非渠道版本默认选中网销营业部 2015/10/19
                    if (!!extend_company) {


                    } else {
                        // 如果是有营业部的了就不让网销的覆盖了
                        if ($(_pageId + " .mobile_form .sel_branch").text() == "请选择营业部") {
                            var branchcode = wxBranchList[0].branchcode;
                            var cityname = wxBranchList[0].cityname;
                            var provincename = wxBranchList[0].provincename;
                            var branchname = wxBranchList[0].branchname;
                            branchParam.branchno = branchcode;
                            appUtils.setSStorageInfo("bid", branchcode);
                            appUtils.setSStorageInfo("branchno", branchcode);
                            appUtils.setSStorageInfo("branchname", branchname);
                            appUtils.setSStorageInfo("servicephone", wxBranchList[0].servicephone);
                            $(_pageId + " .sel_province").text(provincename); // 选中值赋给选择框
                            $(_pageId + " .sel_city").text(cityname);
                            $(_pageId + " .sel_branch").text(branchname); // 选中值赋给选择框

                            //以上默认了深圳市的营业部，所以要填充广东省城市的下拉列表和深圳市的营业部下拉列表
                            fillCityAndBranch(branchcode);
                        }


                    }
                }
            } else {
                layerUtils.iMsg(-1, "营业部获取失败"); // 提示错误信息
            }
        });
    }

    /**
     * 根据营业部编号填充 城市下拉列表 和 营业部下拉列表
     */
    function fillCityAndBranch(branchcode) {
        var cid = "";
        var pid = "";
        for (var i = 0; i < branchList.length; i++) {
            if (branchList[i].branchcode == branchcode) {
                cid = branchList[i].cityno;
            }
        }
        for (var i = 0; i < cityList.length; i++) {
            if (cityList[i].cityno == cid) {
                pid = cityList[i].provincenno;
            }
        }

        var provincenno = ""; // 省份ID
        var city_str = "";
        for (var i = 0; i < cityList.length; i++) {
            provincenno = cityList[i].provincenno;
            cityno = cityList[i].cityno;
            cityname = cityList[i].cityname;
            if (pid == provincenno) {
                city_str += "<li cid='" + cityno + "'><span>" + cityname + "</span></li>";
            }
        }
        $(_pageId + " .city ul").html(city_str); // 填充城市下拉框
        bindCity(); // 点击城市

        var cityno = ""; // 城市ID
        var branch_str = "";
        for (var i = 0; i < branchList.length; i++) {
            cityno = branchList[i].cityno;
            branchcode = branchList[i].branchcode;
            branchname = branchList[i].branchname;
            //added at 2015/08/25 添加佣金提示(服务电话)
            if (cid == cityno) {
                branch_str += "<li bid='" + branchcode + "' servicephone='" + branchList[i].servicephone + "'><span>" + branchname + "</span></li>";
            }
        }
        //当营业部只有一个的时候直接显示
        $(_pageId + " .branch ul").html(branch_str); // 填充营业部下拉框
        bindBranch(); // 点击营业部


    }

    /* 选中省份事件处理 */
    function bindProvince() {
        appUtils.bindEvent($(_pageId + " .province ul li"),
            function (e) {
                var pid = $(this).attr("pid");
                $(this).addClass("active").siblings().removeClass("active");
                var provincename = $(this).text();
                var sel_pname = $(_pageId + " .sel_province").text();
                e.stopPropagation(); // 阻止冒泡
                // 绑定点击确定
                // appUtils.bindEvent($(_pageId+" .province .sel_info
                // a"),function(e){
                $(_pageId + " .sel_province").text(provincename); // 选中值赋给选择框
                $(_pageId + " .province").slideUp("fast"); // 隐藏下拉框
                /* 选中省份立即填充相应城市 */
                if (provincename != sel_pname) // 再次点击相同省份,下级菜单不改变
                {
                    $(_pageId + " .sel_city").text("请选择城市");
                    $(_pageId + " .sel_branch").text("请选择营业部");
                    $(_pageId + " .sel_commission").text("请选择佣金套餐");
                    $(_pageId + " .branch ul").html("");
                    $(_pageId + " .commission ul").html("");
                }
                var provincenno = ""; // 省份ID
                var city_str = "";
                for (var i = 0; i < cityList.length; i++) {
                    provincenno = cityList[i].provincenno;
                    cityno = cityList[i].cityno;
                    cityname = cityList[i].cityname;
                    if (pid == provincenno) {
                        city_str += "<li cid='" + cityno + "'><span>" + cityname + "</span></li>";
                    }
                }
                $(_pageId + " .city ul").html(city_str); // 填充城市下拉框
                e.stopPropagation(); // 阻止冒泡
                bindCity(); // 点击城市
                // });
            });
        layerUtils.iLoading(false);
    }

    /* 选中城市事件绑定 */
    function bindCity() {
        /* 选中城市事件绑定 */
        appUtils.bindEvent($(_pageId + " .city ul li"), function (e) {
            var cid = $(this).attr("cid");
            $(this).addClass("active").siblings().removeClass("active");
            var cityname = $(this).text();
            var sel_cname = $(_pageId + " .sel_city").text();
            e.stopPropagation(); // 阻止冒泡
            // 绑定点击确定
            // appUtils.bindEvent($(_pageId+" .city .sel_info
            // a"),function(e){
            $(_pageId + " .sel_city").text(cityname); // 选中值赋给选择框
            $(_pageId + " .city").slideUp("fast"); // 隐藏下拉框
            /* 选中城市立即填充相应营业部 */
            if (sel_cname != cityname) // 再次点击相同城市,下级菜单不改变
            {
                $(_pageId + " .sel_branch").text("请选择营业部");

            }
            var cityno = ""; // 城市ID
            var branch_str = "";
            var branchSum = 0;
            var one_branchcode = "";//只有一个营业部时的营业部编号
            var one_branchname = "";//只有一个营业部时的营业部名称
            var one_servicephone = "";//只有一个营业部时的营业部名称
            for (var i = 0; i < branchList.length; i++) {
                cityno = branchList[i].cityno;
                branchcode = branchList[i].branchcode;
                branchname = branchList[i].branchname;
                //added at 2015/08/25 添加佣金提示(服务电话)
                if (cid == cityno) {
                    one_branchcode = branchcode;
                    one_branchname = branchname;
                    one_servicephone = branchList[i].servicephone;
                    branchSum++;
                    branch_str += "<li bid='" + branchcode + "' servicephone='" + branchList[i].servicephone + "'><span>" + branchname + "</span></li>";
                }
            }
            //当营业部只有一个的时候直接显示
            if (branchSum == 1) {
                $(_pageId + " .sel_branch").text(one_branchname);
                branchParam.branchno = one_branchcode;
                appUtils.setSStorageInfo("bid", one_branchcode);
                appUtils.setSStorageInfo("branchname", one_branchname);
                appUtils.setSStorageInfo("servicephone", one_servicephone);
            }
            $(_pageId + " .branch ul").html(branch_str); // 填充营业部下拉框
            e.stopPropagation(); // 阻止冒泡
            bindBranch(); // 点击营业部
            // });
        });
    }

    /* 选中营业部事件绑定 */
    function bindBranch() {
        appUtils.bindEvent($(_pageId + " .branch ul li"), function (e) {
            var bid = $(this).attr("bid");
            //added at 2015/08/25 添加佣金提示
            var servicephone = $(this).attr("servicephone");
            //added at 2015/08/25 添加佣金提示
            $(this).addClass("active").siblings().removeClass("active");
            branchParam.branchno = bid;
            var branchname = $(this).text();
            appUtils.setSStorageInfo("bid", bid);
            appUtils.setSStorageInfo("branchname", branchname);
            appUtils.setSStorageInfo("servicephone", servicephone);
            var sel_bname = $(_pageId + " .sel_branch").text();
            $(_pageId + " .sel_branch").attr("branchcode", bid); // 选中值赋给选择框
            e.stopPropagation(); // 阻止冒泡
            // 绑定点击确定
            $(_pageId + " .sel_branch").text(branchname); // 选中值赋给选择框
            $(_pageId + " .branch").slideUp("fast"); // 隐藏下拉框
            e.stopPropagation(); // 阻止冒泡
            $(_pageId + " .commission ul").html("");
            $(_pageId + " .sel_commission").text("请选择佣金套餐");
            var commission_str = "";
            for (var i = 0; i < commissionList.length; i++) {
                var branchcode = commissionList[i].branchcode;
                var sortno = commissionList[i].sortno;
                var commproportion = commissionList[i].commproportion;
                var commname = commissionList[i].commname;
                if (bid == branchcode) {
                    commission_str += "<li commproportion='" + commproportion + "'  cid='" + sortno + "'><span>" + commname + "</span></li>";
                    branchParam.commission = sortno;
                    appUtils.setSStorageInfo("commission", sortno); // 保存佣金代码
                }
            }
            appUtils.setSStorageInfo("commission_str", commission_str);//保存客户选择的营业部下的佣金
            $(_pageId + " .commission ul").html(commission_str); // 填充营业部下拉框
            e.stopPropagation(); // 阻止冒泡
            bindCommission(); // 点击营业部
        });
    }

    /* 选中佣金事件绑定*/
    function bindCommission() {
        appUtils.bindEvent($(_pageId + " .commission ul li"), function (e) {
            var cid = $(this).attr("cid");
            var commproportion = $(this).attr("commproportion");
            $(this).addClass("active").siblings().removeClass("active");
            branchParam.commission = cid;
            var commissionname = $(this).text();  //当前选中的佣金值
            var sel_cname = $(_pageId + " .sel_commission").text();  //上一次选中佣金的值
            //再次点击相同佣金下级菜单不改变，否则重置
            if (sel_cname != commissionname) {
                $(_pageId + " .sel_commission").text("请选择佣金套餐");
            }
            $(_pageId + " .sel_commission").attr("commissionname", cid);
            $(_pageId + " .sel_commission").text(commissionname);	  //选中值赋给选择框
            appUtils.setSStorageInfo("commissionname", commissionname);
            $(_pageId + " .commission").slideUp("fast");	//隐藏下拉框
            //added at 2015/08/25 增加佣金提示
            var branch = $(_pageId + " .sel_branch").text();
            var servicephone = appUtils.getSStorageInfo("servicephone");
            $(_pageId + " .rule_check").show();
            var description = "欢迎您选择广州证券" + branch + "，您的佣金费率为<span style='color:red'>" + commproportion + "</span>，该佣金费率在您收到账号短信后的下一交易日生效。如需进一步咨询，您可以致电" + branch + "，联系电话:" + servicephone;
            $(_pageId + " .rule_check span").html(description);
            e.stopPropagation();	// 阻止冒泡
        });
    }

    /*
     * 清理界面元素 不能写在 destroy 方法里面，写在 destroy 里面，查看协议的时候，界面的元素也会被清理掉
     */
    function cleanPageElement() {
        $(_pageId + " .sel_province").text("请选择省份");
        $(_pageId + " .sel_city").text("请选择城市");
        $(_pageId + " .sel_branch").text("请选择营业部");
        $(_pageId + " .sel_commission").text("请选择佣金套餐");
        $(_pageId + " #agent").val("");
        $(_pageId + " .rule_check").hide();
        $(_pageId + " #tips").text("");  //显示的渠道
        $(_pageId + " #myreference").hide(); //隐藏推荐人
    }

    //查询经纪人
    function getAgentList(agent) {
        //如果是中焯渠道的话就只能搜索出该营业部的经纪人
        if (iszzcompany) {
            param = {
                "funcNo": 9613031,
                "branchno": appUtils.getSStorageInfo("bid"),
                "key": agent
            };
        } else {
            param = {
                "funcNo": 9613031,
                "key": agent
            };
        }
        if (isNumorCHN(agent)) {
            // 根据输入内容获取经纪人列表
            service.getAgentList(param, function (data) {
                allAgent = data;
                if (allAgent != null) {

                    findAgent();
                    $(_pageId + " #agent").blur();
                    var param = {
                        "isShow": 0
                    };
                    if (allAgent.results.length > 1) {//当不为空和只有一个经纪人的时候不需要下拉

                        if (gconfig.platform == 2) {
                            $(_pageId + " .agent ul li").removeClass("active");
                            $(_pageId + " .agent").slideDown("fast"); // 显示选择经纪人的下拉列表
                        } else {
                            $(_pageId + " .agent ul li").removeClass("active");
                            $(_pageId + " .agent").slideDown("fast"); // 显示选择经纪人的下拉列表

                        }

                    } else if (allAgent.results.length == 0) {
                        layerUtils.iMsg(-1, "此经纪人或编号不存在");
                    }

                }
            });
        } else {
            layerUtils.iMsg(-1, "此经纪人或编号不存在");
        }
    }

    var selDepartment = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = selDepartment;
});