/**
 * 签署协议
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        service = require("serviceImp").getInstance(),
    // 业务层接口，请求数据
        global = require("gconfig").global,
        layerUtils = require("layerUtils"),
        shellPlugin = require("shellPlugin"),
        utils = require("utils"),
        Map = require("map"),
        firstMap = null,
        validatorUtil = require("validatorUtil"),
        _pageId = "#account_signProtocol",
        isClose = true,
    // 用于控制等待层
        accountNum = 0;
    var cert_type = "zd",
    // 证书类型
        countProtocol = 0,
    // 计算签署成功的数量
        protocolArray = null,
    // 存放协议签名值
        cybProtocol = null,// 创业板协议
        allOpenFundStr = ""; //所以开通基金
    // 开立中登账户
    var ryflName = "", isAgent;
    var openStockParam = {
        "user_id": appUtils.getSStorageInfo("user_id"),
        "sza_str": "",
        // 深A开通情况，不开传 空 ，新开 1 ，转户 2
        "sha_str": "",
        // 沪A开通情况
        "szfnd_str": "",
        // 深基金开通情况
        "shfnd_str": "",
        // 沪基金开通情况
        "opfnd_str": "" // 通用开发试基金
    };
    var external = require("external");


    /* 私有业务模块的全局变量 end */

    function init() {
        openStockParam = {
            "user_id": appUtils.getSStorageInfo("user_id"),
            "sza_str": "",
            // 深A开通情况，不开传 空 ，新开 1 ，转户 2
            "sha_str": "",
            // 沪A开通情况
            "szfnd_str": "",
            // 深基金开通情况
            "shfnd_str": "",
            // 沪基金开通情况
            "opfnd_str": "" // 通用开发试基金
        };
        // 推荐人类型
        ryflName = appUtils.getSStorageInfo("ryflName");
        // 推荐人存在标识
        isAgent = appUtils.getSStorageInfo("isAgent");
        //设置按钮显示提示文字
        $(_pageId + " .fix_bot .ct_btn a").html("继续开户 >");
        initModuleVariant();
        getMarket() //显示证券账户和协议
    }

    /* 初始化模块变量 */
    function initModuleVariant() {
        protocolArray = new Array(); // 存放协议签名值
        countProtocol = 0; // 计算签署成功的数量
        isClose = true;
        firstMap = null;
        accountNum = 0;
        cert_type = "zd"; // 证书类型
        cybProtocol = null;
    }

    /* 检测证书是否存在 */
    function detectCertificate() {
        // 本页面需要用到证书，如果进入本页面时，证书不存在就下载并安装证书
        /*var existsParam = {
         "userId": appUtils.getSStorageInfo("user_id"),
         "mediaid": "certificate",
         "type": cert_type
         };
         shellPlugin.callShellMethod("fileIsExistsPlugin",function(data) {

         // 如果未检测到本地有证书，就安装证书
         if (data.mediaId == "") {
         //						utils.installCertificate(getMarket); // 下载安装证书，并且显示证券账户和协议
         utils.installCertificate(function() {
         queryUserInfoExistCompy(getMarket); //查询中登的股东账户
         }); // 下载安装证书，并且显示证券账户和协议

         } else {
         //						getMarket(); // 显示证券账户和协议
         queryUserInfoExistCompy(getMarket); //查询中登的股东账户
         }
         },
         function() {
         // 关闭等待层。。。
         layerUtils.iLoading(false);
         },
         existsParam);*/

        //add by fengxiang 2015-07-17 升级
        var param = {
            "funcNo": "60001",
            "moduleName": "open",
            "userId": appUtils.getSStorageInfo("user_id"),
            "mediaId": "certificate",
            "type": cert_type,
            "content": ""
        };
        var result = external.callMessage(param);
        if (result.error_no == "0") {
            var data = result.results[0];
            // 如果未检测到本地有证书，就安装证书
            if (data.mediaId == "") {
                //utils.installCertificate(getMarket); // 下载安装证书，并且显示证券账户和协议
                utils.installCertificate(function () {
                    queryUserInfoExistCompy(getMarket); //查询中登的股东账户
                }); // 下载安装证书，并且显示证券账户和协议

            } else {
                //getMarket(); // 显示证券账户和协议
                queryUserInfoExistCompy(getMarket); //查询中登的股东账户
            }
        } else {
            // 关闭等待层。。。
            layerUtils.iLoading(false);
        }

        //end by fengxiang 2015-07-17 升级
    }

    function bindPageEvent() {

        /* 连接客服事件 */
        appUtils.bindEvent($(_pageId + " .header .icon_link"), function () {
            var branchID = appUtils.getSStorageInfo("bid");
            var brokersno = appUtils.getSStorageInfo("recommendno");
            if (branchID == undefined) {
                branchID = "";
            }
            if (brokersno == undefined) {
                brokersno = "";
            }
            //如有选择了营业部或经纪人则需要传
            var param1 = {
                "userid": appUtils.getSStorageInfo("user_id"),
                "branchno": "",
                "brokersno": ""
            }
            /*  added at 2015/09/02
             *  入参： user_id （客户id）
             出参：调用成功有两种情况，
             1.如果属于中焯渠道 会返回 status=1
             2. 如果不属于中焯渠道或者没有渠道 会返回 status=0，servicephone（服务电话），branchno(营业部编号),branchname(营业部名称)。*/
            service.serachIsCompanyCustomer(param1, function (data) {
                var error_no = data.error_no,
                    error_info = data.error_info;
                if (error_no == "0") {
                    var status = data.results[0].status;
                    if (status == "0") {
                        $(".ly_shadow").show();
                        var branchname = data.results[0].branchname;
                        var brokersname = data.results[0].brokersname;
                        var servicephone = data.results[0].servicephone;
                        var brokersphone = data.results[0].brokersphone;
                        var address = data.results[0].address;
                        var info = "";
                        //有经纪人的
                        if (!!brokersname) {
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人姓名：" + brokersname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>经纪人电话：<a style='color:orange' id='brokersphone'>" + brokersphone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='brokersphone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听经纪人电话事件
                            appUtils.bindEvent(".btn_bot #brokersphone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        } else {//无经纪人的
                            info = "<p style='text-align:left;line-height:20px;'>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;尊敬的客户：开户过程中如有疑问，您可以咨询营业部热线、专属经纪人（如有）或统一客服热线</p>";
                            branchno_info = "<br><p style='text-align:left;line-height:20px;'>营业部名称：" + branchname + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部热线：<a style='color:orange' id='branchnoPhone'>" + servicephone + "</a></p>"
                                + "<p style='text-align:left;line-height:20px;'>营业部地址：" + address + "</p>"
                                + "<p style='text-align:left;line-height:20px;'>统一客服热线：<a style='color:orange' id='publicPhone'>95396</a></p>";
                            info += branchno_info;
                            $(".btn_bot p").html(info);
                            //监听营业部电话事件
                            appUtils.bindEvent(".btn_bot #branchnoPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            //监听统一电话事件
                            appUtils.bindEvent(".btn_bot #publicPhone", function (e) {
                                var tel = $(this).text();
                                utils.call(tel); //打电话
                                e.stopPropagation(); // 阻止冒泡
                            });
                            appUtils.bindEvent(".btn_box", function (e) {
                                $(".ly_shadow").hide();
                                e.stopPropagation(); // 阻止冒泡
                            });
                        }
                    } else {
                        if (require("gconfig").platform != "1") {
                            //ios 获取软件是否安装
                            var param = {
                                "funcNo": "50200",
                                "moduleName": "open",
                                "scheme": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                            };
                            var result = external.callMessage(param);
                            if (result.error_no == 0) {
                                var isInstall = result.results[0].isInstall;
                                //是否安装(0：否，1：是）
                                if (isInstall == "1") {
                                    var param = {
                                        "funcNo": "50109",
                                        "moduleName": "open",
                                        "url": "mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"    //ios qq地址
                                        //							"url":"mqqwpa://im/chat?chat_type=wpa&uin=800005188"	//android qq地址
                                    };
                                    external.callMessage(param);
                                } else {
                                    layerUtils.iConfirm("检测到您的手机未安装QQ，请先下载并安装QQ客户端", function () {
                                        //进入appstore
                                        var param = {
                                            "funcNo": "50109",
                                            "moduleName": "open",
                                            "url": "https://itunes.apple.com/cn/app/id444934666?mt=8"    //qq的appstore地址
                                        };
                                        external.callMessage(param);
                                    }, null, "下载", "取消");
                                }
                            } else {
                                layerUtils.iAlert("检测QQ失败");
                            }
                        } else {
                            var param = {
                                "funcNo": "50109",
                                "moduleName": "open",
                                //					"url":"mqq://im/chat?chat_type=wpa&uin=800005188&version=1&src_type=web"
                                "url": "mqqwpa://im/chat?chat_type=wpa&uin=800005188"
                            };
                            external.callMessage(param);
                        }
                    }
                } else {
                    layerUtils.iAlert(error_info);
                }
            });
        });

        /* 隐藏按钮 */
        appUtils.bindEvent($(_pageId), function (e) {
            $(_pageId + " .btn_bot").hide();
        });

        /* 绑定签署协议 */
        appUtils.bindEvent($(_pageId + " .rule_check .icon_check"), function () {
            $(this).toggleClass("checked"); // 切换勾选样式
        });

        /* 继续开户（下一步） */
        appUtils.bindEvent($(_pageId + " .fix_bot .ct_btn a"), function () {
            var count = 0;
            // 根据账户信息进行开户转户的判断
            // 技术不到家
            for (var i = 0; i < accountNum; i++) {
                if ($(_pageId + " #selectAccount0" + i).html().length > 5 && $(_pageId + " #selectAccount0" + i).hasClass("checked")) {
                    if (i == 0) {
                        openStockParam.sza_str = 2;
                        $(_pageId + " .radio_list ul li a[value='1']").attr("trdacct", appUtils.getSStorageInfo("trdAccount" + i));
                        count++;
                    } else if (i == 1) {
                        openStockParam.sha_str = 2;
                        $(_pageId + " .radio_list ul li a[value='3']").attr("trdacct", appUtils.getSStorageInfo("trdAccount" + i));
                        count++;
                    } else if (i == 2) {
                        openStockParam.szfnd_str = 2;
                        $(_pageId + " .radio_list ul li a[value='5']").attr("trdacct", appUtils.getSStorageInfo("trdAccount" + i));
                        count++;
                    } else if (i == 3) {
                        openStockParam.shfnd_str = 2;
                        $(_pageId + " .radio_list ul li a[value='6']").attr("trdacct", appUtils.getSStorageInfo("trdAccount" + i));
                        count++;
                    }
                }
            }
            if (count != 0) {
                layerUtils.iConfirm("是否对已开通账户进行加挂",
                    function () {
                        if (validateNext()) // 校验下一步
                        {
                            layerUtils.iLoading(true); // 开启等待层。。。
                            getSignProtocl(); // 只保存不验签
                            //openZjAccountAndClient();
                        }
                    },
                    null);
            } else {
                if (validateNext()) {// 校验下一步
                    layerUtils.iLoading(true); // 开启等待层。。。
                    getSignProtocl();//只保存不验签
                    //openZjAccountAndClient();
                }
            }
        });

        /*您还可以只开通基金户(不能购买股票) */
        appUtils.bindEvent($(_pageId + " #cross_title a"), function () {
            $(_pageId + " #cross_title").hide();
            $(_pageId + " #title_fund").show();
            $(_pageId + " #my_fund").show();
            selectfund();
        });


    }

    function selectfund() {
        /*绑定选择基金账号的事件*/
        appUtils.bindEvent($(_pageId + " #my_fund ul li a"), function (e) {
            confrimOpenAccount($(this));
            e.stopPropagation();
        });
    }


    /*查询中登的股东账户的参数 */
    function queryUserInfoExistCompy(callback) {
        var lookAccountParam = {
            "user_id": appUtils.getSStorageInfo("user_id")
        };
        // 根据 sessionStorage 中存放的 openChannel
        // 来选择返回的页面
        // 查询原有股东账户
        service.queryUserInfoExistCompy(lookAccountParam, function (data) {
                var error_no = data.error_no;
                var error_info = data.error_info;
                // 如果查询到中登账户，则将帐号信息暂存起来。
                if (error_no == 0 && data.results.length != 0) {
                    for (var i = 0; i < data.results.length; i++) {
                        if (data.results[i].stkbd == 0) {
                            appUtils.setSStorageInfo("trdAccount0", data.results[i].trdacct);
                        } else if (data.results[i].stkbd == 1) {
                            appUtils.setSStorageInfo("trdAccount1", data.results[i].trdacct);
                        } else if (data.results[i].stkbd == 4) {
                            appUtils.setSStorageInfo("trdAccount2", data.results[i].trdacct);
                        } else if (data.results[i].stkbd == 5) {
                            appUtils.setSStorageInfo("trdAccount3", data.results[i].trdacct);
                        }

                    }
                    if (typeof(callback) == 'function') {
                        callback();
                    }
                } else {
                    if (typeof(callback) == 'function') {
                        callback();
                    }
                }
            },
            false);

    }

    function destroy() {
        service.destroy();
    }

    /**
     * 校验下一步条件
     */
    function validateNext() {
        // 检查是否勾选开通的账户
        if (!$(_pageId + " .radio_list a").hasClass("checked")) {
            layerUtils.iMsg(-1, "请选择需开通的账户！");
            return false;
        }
        // 检查是否勾选签署协议
        if (!$(_pageId + " .rule_check a").hasClass("checked")) {
            layerUtils.iMsg(-1, "请阅读并勾选同意签署以上全部协议！");
            return false;
        }
        return true;
    }

    /*只保存不签名*/
    function getSignProtocl() {
        var keys = firstMap.keys();  // 协议的数量
        for (var i = 0; i < keys.length; i++) {
            /*//理财户不需要校验
             if(!(appUtils.getSStorageInfo("openChannel") == "change" && appUtils.getSStorageInfo("finance") == "finance"))
             {
             // 检查是否勾选开通的账户
             if(!$(_pageId+" .radio_list a").hasClass("checked")){
             layerUtils.iMsg(-1,"请选择需开通的账户！");
             return false;
             }
             }*/
            // 检查是否勾选签署协议
            if ($(_pageId + " .rule_check a").hasClass("checked")) {
                layerUtils.iLoading(true);  // 开启等待层。。。modif
                var oneData = firstMap.get(keys[i]); // 取出一个协议
                var protocolid = oneData.get("protocolid"); // 协议ID
                var protocolname = oneData.get("protocolname");  //协议名称
                var summary = oneData.get("summary");  // 协议内容MD5,签名摘要信息
                var signParam = {
                    "medid": protocolid,
                    "content": summary,
                    "userId": appUtils.getSStorageInfo("user_id"),
                    "type": cert_type
                };
                // 添加值到数组中
                var protocol = {
                    "protocol_id": protocolid,
                    "protocol_dcsign": "",
                    "summary": summary
                };
                protocolArray.push(protocol);
            }
            else {
                layerUtils.iMsg(-1, "请阅读并勾选同意签署以上全部协议！");
                return false;
            }
        }
        //layerUtils.iLoading(false);
        //把协议存入数据库
        startSign();
    }

    /* 获取签名值 */
    /*function getSignProtocl() {

     var keys = firstMap.keys(); // 协议的数量
     var oneData = firstMap.get(keys[countProtocol]); // 取出一个协议
     var protocolid = oneData.get("protocolid"); // 协议ID
     var summary = oneData.get("summary"); // 协议内容MD5,签名摘要信息
     var signParam = {
     "medid": protocolid,
     "content": summary,
     "userId": appUtils.getSStorageInfo("user_id"),
     "type": cert_type
     // tw:天威 zd:中登
     };
     // 获取协议的数字签名值
     shellPlugin.callShellMethod("signPlugin",
     function(data) {
     // 添加值到数组中
     var protocol = {
     "protocol_id": protocolid,
     "protocol_dcsign": data.ciphertext,
     // 数字签名值
     "summary": summary
     };

     protocolArray.push(protocol);
     countProtocol++;
     if (countProtocol < keys.length) // 通过比较，获取每个协议的签名值
     {
     getSignProtocl(); // 再次获取签名值
     } else // 获取完每个签名值后 进行验签
     {
     startSign(); // 发请求进行协议验签
     }
     },
     function(data) {
     layerUtils.iLoading(false); // 关闭等待层
     countProtocol = 0; // 将签署协议的计数器置为 0
     layerUtils.iAlert("调用签署协议插件失败，失败原因：" + data);
     },
     signParam);
     }*/

    /* 发请求进行协议验签 */
    function startSign() {
        var signProtocolParam = {
            "user_id": appUtils.getSStorageInfo("user_id"),
            "jsondata": JSON.stringify(protocolArray),
            "ipaddr": appUtils.getSStorageInfo("ip"),
            "macaddr": appUtils.getSStorageInfo("mac"),
            "checksign": "0"//0表示不验签，1表示验签
        };
        //  alert("验证回调501554::"+JSON.stringify(signProtocolParam));
        service.queryOpenCheckSign(signProtocolParam, callSign, false);
    }

    /* 验签回调函数 */
    function callSign(data) {
        //  alert("验证回调501554::"+JSON.stringify(signProtocolParam));
        // 如果有一个协议签署失败，就将签署结果设为 false
        if (data.error_no == 0) {
            openZjAccountAndClient(); // 开立账户系统客户号和资金账户
        } else {
            // 关闭等待层。。。
            layerUtils.iLoading(false);
            layerUtils.iAlert(data.error_info, -1);
        }
    }

    /* 获取市场列表 */
    function getMarket() {
        var allOpenAccountStr = ""; // 所有 开通证券账户 字符串
        $(_pageId + " #my_account ul li").remove(); // 清除原有 开通证券账户
        $(_pageId + " #my_fund ul li").remove(); // 清除原有 开通证券账户
        // 获取开通证券账户枚举
        var openAccountEnumParam = {
            "enum_type": "zqzhlxgz"
        };
        service.queryDataDict(openAccountEnumParam, function (data) {
                if (data.error_no == 0 && data.results.length != 0) {
                    var openAccountEnum = data.results;
                    accountNum = openAccountEnum.length;
                    for (var i = 0; i < openAccountEnum.length; i++) {
                        if (validatorUtil.isNotEmpty(appUtils.getSStorageInfo("trdAccount" + i))) {
                            allOpenAccountStr += "<li><a href=\"javascript:;\" class=\"icon_radio\" id=\"selectAccount0" + i + "\" value=\"" + openAccountEnum[i].item_value + "\">" + openAccountEnum[i].item_name + "|" + appUtils.getSStorageInfo("trdAccount" + i) + "</a></li>";
                        } else {
                            if (openAccountEnum[i].item_value == "1" || openAccountEnum[i].item_value == "3") {
                                allOpenAccountStr += "<li><a href=\"javascript:;\" class=\"icon_radio\" id=\"selectAccount0" + i + "\" value=\"" + openAccountEnum[i].item_value + "\">" + openAccountEnum[i].item_name + "</a></li>";
                            } else if (openAccountEnum[i].item_value == "5" || openAccountEnum[i].item_value == "6") {
                                allOpenFundStr += "<li><a href=\"javascript:;\" class=\"icon_radio\" id=\"selectAccount0" + i + "\" value=\"" + openAccountEnum[i].item_value + "\">" + openAccountEnum[i].item_name + "</a></li>";
                            }
                        }

                    }
                    // 填充 开通证券账户
                    $(_pageId + " #my_account ul").append(allOpenAccountStr);
                    $(_pageId + " #my_fund ul").append(allOpenFundStr); // 填充 开通证券账户--基金
                    BindSelStock(); // 绑定选择股东账户
                    // 转户只开 A股 ，删除基金
                    if (appUtils.getSStorageInfo("openChannel") == "change") {
                        // 深基金
                        $(_pageId + " .fina_li ul li a[value='5']").parent().remove();
                        // 沪基金
                        $(_pageId + " .fina_li ul li a[value='6']").parent().remove();
                    }
                    // 进入页面时，先删除协议列表原有的内容
                    $(_pageId + " .rule_list ul li").remove();
                    getAgreement(); // 获取协议
                } else {
                    // 关闭等待层。。。
                    layerUtils.iLoading(false);
                    layerUtils.iAlert(data.error_info);
                }
            },
            false);
    }

    /* 绑定选择股东账户 */
    function BindSelStock() {
        // 账号绑定提醒事件，数据填充完毕才绑定事件
        appUtils.bindEvent($(_pageId + " .gd ul li a"), function (e) {
            if ($(this).html() == "创业板") {
                return;
            }
            confrimOpenAccount($(this));
            e.stopPropagation();
        });

        /* 绑定选择创业板 */
        appUtils.bindEvent($(_pageId + " #cyb li a"), function (e) {
            $(this).toggleClass("checked");
            var cybProtocolId = cybProtocol.get("protocolid");
            if ($(this).hasClass("checked")) // 勾选时
            {
                $(_pageId + " .rule_list ul li a[protocol-id='8015']").parent().show(); // 在页面上移除隐藏协议
                firstMap.put(cybProtocolId, cybProtocol); // 保存创业板协议到
                // firstMap
                // 中
            } else {
                $(_pageId + " .rule_list ul li a[protocol-id='8015']").parent().hide(); // 在页面上移除隐藏协议
                firstMap.remove(cybProtocolId); // 从 firstMap 移除创业板协议
            }
            e.stopPropagation();
        });
    }

    /* 获取协议 */
    function getAgreement() {
        // category_no 1资金开户协议 2证券账户开户协议
        service.queryProtocolList({"category_no": "2"}, function (data) {
            // alert("获取协议返回数:"+JSON.stringify(data));
            if (data.error_no == 0 && data.results.length != 0) {
                firstMap = new Map();
                var results = data.results,
                    allProtocols = "";
                var protocolMap = null;
                for (var i = 0; i < results.length; i++) {
                    protocolMap = new Map();
                    protocolMap.put("protocolid", results[i].econtract_no); // 协议id
                    protocolMap.put("protocolname", results[i].econtract_name); // 协议名
                    protocolMap.put("summary", results[i].econtract_md5); // 协议内容MD5,签名摘要信息
                    if (results[i].econtract_no == "8015") // 创业板协议
                    {
                        cybProtocol = protocolMap; // 保存创业板协议
                    }
                    if (results[i].econtract_no == "8004" || results[i].econtract_no == "8005") {
                        if ("经纪人" === ryflName && isAgent == 1) {
                            allProtocols += "<li><a href=\"javascript:;\" protocol-id=\"" + results[i].econtract_no + "\" id=\"protocol0" + i + "\">《" + results[i].econtract_name + "》</a></li>";
                        } else {
                            continue;
                        }
                    } else if (results[i].econtract_no == "8006") {
                        if ("投资顾问" === ryflName && isAgent == 1) {
                            allProtocols += "<li><a href=\"javascript:;\" protocol-id=\"" + results[i].econtract_no + "\" id=\"protocol0" + i + "\">《" + results[i].econtract_name + "》</a></li>";
                        } else {
                            continue;
                        }
                    } else if (results[i].econtract_no == "8007") {
                        if ("理财经理" === ryflName && isAgent == 1) {
                            allProtocols += "<li><a href=\"javascript:;\" protocol-id=\"" + results[i].econtract_no + "\" id=\"protocol0" + i + "\">《" + results[i].econtract_name + "》</a></li>";
                        } else {
                            continue;
                        }
                    } else {
                        allProtocols += "<li><a href=\"javascript:;\" protocol-id=\"" + results[i].econtract_no + "\" id=\"protocol0" + i + "\">《" + results[i].econtract_name + "》</a></li>";
                    }
                    // 预绑定查看协议的事件
                    appUtils.preBindEvent($(_pageId + " .rule_list ul"), "#protocol0" + i, function (e) {
                        appUtils.pageInit("account/signProtocol", "account/showProtocol", {
                            "protocol_id": $(this).attr("protocol-id")
                        });
                        e.stopPropagation();
                    });
                    firstMap.put(results[i].econtract_no, protocolMap);
                }
                $(_pageId + " .rule_list ul").append(allProtocols);
                initSelcet(); // 初始化证券账户的选择
            } else {
                // 关闭等待层。。。
                layerUtils.iLoading(false);
                layerUtils.iAlert(data.error_info);
            }
        });
    }

    /* 默认所有的账号都开通 */
    function initSelcet() {
        $(_pageId + " .gd ul li a").addClass("checked");

        // 创业板是否开通判断
        var cybProtocolId = cybProtocol.get("protocolid");
        if ($(_pageId + " #cyb li a").hasClass("checked")) {
            $(_pageId + " .rule_list ul li a[protocol-id='8015']").parent().show(); // 在页面上显示对应协议
            firstMap.put(cybProtocolId, cybProtocol); // 保存创业板协议到
        } else {
            $(_pageId + " .rule_list ul li a[protocol-id='8015']").parent().hide(); // 在页面上隐藏对应协议
            firstMap.remove(cybProtocolId); // 从 firstMap 移除创业板协议
        }

    }

    /**
     * 提示用户若不开通某账号将影响正常交易
     *
     * @param {Object}
     *            obj
     * @memberOf {TypeName}
     */
    function confrimOpenAccount(obj) {
        if ($(obj).hasClass("checked")) {
            var accountName = $(obj).html();
            if (accountName.substring(0, 2) == "深A" || accountName.substring(0, 2) == "沪A") {
                $(_pageId + " .btn_bot h5").html("确定取消开立“深A”账户、“沪A”账户？");
                $(_pageId + " .btn_bot p").html("不开通“深A”账户、“沪A”账户，将影响您深沪市场正常交易，请您慎重选择。");
                $(_pageId + " .btn_bot").show();
            } else {
                $(obj).removeClass("checked");
                $(_pageId + " .btn_bot").hide();
                chooseAndSet(obj);
            }

            // 确定取消
            appUtils.bindEvent($(_pageId + " .btn_box a:eq(0)"), function (e) {
                // 设置样式
                $(obj).removeClass("checked");
                $(_pageId + " .btn_bot").hide();
                chooseAndSet(obj);
                e.stopPropagation();
            });
            // 继续开立
            appUtils.bindEvent($(_pageId + " .btn_box a:eq(1)"), function (e) {
                $(_pageId + " .btn_bot").hide();
                e.stopPropagation();
            });
        } else {
            // 选中当前开通账户
            $(obj).addClass("checked");
            chooseAndSet(obj);
        }
    }

    /* 设置选择股东账户 */
    function chooseAndSet(obj) {

        if ($(obj).html().substring(0, 2) == "深A" || $(obj).html().substring(0, 2) == "沪A") {
            if ($(obj).hasClass("checked")) {
                $(_pageId + " .radio_list ul li a[value='1']").addClass("checked");
                $(_pageId + " .radio_list ul li a[value='3']").addClass("checked");
                $(_pageId + " .radio_list ul li a[value='5']").removeClass("checked");
                $(_pageId + " .radio_list ul li a[value='6']").removeClass("checked");
            } else {

                $(_pageId + " .radio_list ul li a[value='1']").removeClass("checked");
                $(_pageId + " .radio_list ul li a[value='3']").removeClass("checked");
                $(_pageId + " .radio_list ul li a[value='5']").addClass("checked");
                $(_pageId + " .radio_list ul li a[value='6']").addClass("checked");
            }
        } else {

            if ($(obj).hasClass("checked")) {
                $(_pageId + " .radio_list ul li a[value='1']").removeClass("checked");
                $(_pageId + " .radio_list ul li a[value='3']").removeClass("checked");
                $(_pageId + " .radio_list ul li a[value='5']").addClass("checked");
                $(_pageId + " .radio_list ul li a[value='6']").addClass("checked");
            } else {

                $(_pageId + " .radio_list ul li a[value='1']").addClass("checked");
                $(_pageId + " .radio_list ul li a[value='3']").addClass("checked");
                $(_pageId + " .radio_list ul li a[value='5']").removeClass("checked");
                $(_pageId + " .radio_list ul li a[value='6']").removeClass("checked");
            }
        }
    }

    /*
     * 查找是否有存在
     */
    function find(sFind, sObj) {
        var nSize = sFind.length;
        var nLen = sObj.length;
        var sCompare;

        if (nSize <= nLen) {
            for (var i = 0; i <= nLen - nSize + 1; i++) {
                sCompare = sObj.substring(i, i + nSize);
                if (sCompare == sFind) {
                    return i;
                }
            }
        }
        return -1;
    }

    /* 开立账户系统客户号和资金账户 */
    function openZjAccountAndClient() {
        // 开立账户系统客户号和资金账户
        var param = {
            "user_id": appUtils.getSStorageInfo("user_id")
        };
        service.queryOpenAccount(param,
            function (data) {
                if (data.error_no == 0) // 调用成功,
                {
                    // 深 A 的开通状况
                    if ($(_pageId + " .radio_list ul li a[value='1']").hasClass("checked")) {
                        if (validatorUtil.isNotEmpty(openStockParam.sza_str)) {
                            openStockParam.sza_str += "|";
                            openStockParam.sza_str += $(_pageId + " .radio_list ul li a[value='1']").attr("trdacct");
                        } else {
                            openStockParam.sza_str = 1;
                        }
                    }
                    // 沪 A 的开通状况
                    if ($(_pageId + " .radio_list ul li a[value='3']").hasClass("checked")) {
                        if (validatorUtil.isNotEmpty(openStockParam.sha_str)) {
                            openStockParam.sha_str += "|";
                            openStockParam.sha_str += $(_pageId + " .radio_list ul li a[value='3']").attr("trdacct");
                        } else {
                            openStockParam.sha_str = 1;
                        }
                    }
                    // 新开户才有基金，转户只有 A 股
                    // 深基金的开通状况
                    if (appUtils.getSStorageInfo("openChannel") == "new") {
                        // 深基金的开通状况
                        if ($(_pageId + " .radio_list ul li a[value='5']").hasClass("checked")) {
                            if (validatorUtil.isNotEmpty(openStockParam.szfnd_str)) {
                                openStockParam.szfnd_str += "|";
                                openStockParam.szfnd_str += $(_pageId + " .radio_list ul li a[value='5']").attr("trdacct");
                            } else {
                                openStockParam.szfnd_str = 1;
                            }

                        }
                        // 沪基金的开通状况
                        if ($(_pageId + " .radio_list ul li a[value='6']").hasClass("checked")) {
                            if (validatorUtil.isNotEmpty(openStockParam.shfnd_str)) {
                                openStockParam.shfnd_str += "|";
                                openStockParam.shfnd_str += $(_pageId + " .radio_list ul li a[value='6']").attr("trdacct");
                            } else {
                                openStockParam.shfnd_str = 1;
                            }
                        }
                    }
                    // 开立中登股东账号
                    service.queryOpenCompyAccount(openStockParam, function (data) {
                        if (data.error_no == 0) {
                            layerUtils.iLoading(false);

                            // 清理页面元素
                            cleanPageElement();
                            // 跳转设置密码页面
                            appUtils.pageInit("account/signProtocol", "account/setPwd", {});
                        } else {
                            layerUtils.iLoading(false);
                            layerUtils.iAlert(data.error_info, -1);
                        }
                    });
                } else {
                    layerUtils.iLoading(false);
                    layerUtils.iAlert(data.error_info, -1);
                }
            },
            false);
    }

    // 清理界面元素
    function cleanPageElement() {
        $(_pageId + " .radio_list ul li").remove(); // 清理证券账户
        $(_pageId + " .rule_list ul li").remove(); // 清理协议
    }

    // 对外暴露的模块方法 end
    var signProtocol = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = signProtocol;
});