﻿/**
 * 手机开户2.0
 */
define(function (require, exports, module) {
    /* 私有业务模块的全局变量 begin */
    var appUtils = require("appUtils"),
        service = require("serviceImp").getInstance(), // 业务层接口，请求数据
        layerUtils = require("layerUtils"),
        iscroll = require("iscroll"),
        gconfig = require("gconfig"),
        global = gconfig.global,
        hIscroll = require("hIscroll"),
        platform = require("gconfig").platform,
        utils = require("utils"),
        _pageId = "#business_start";
    var HIscroll = require("hIscroll");
    var myHIscroll = null;
    var flag = false;
    /* 私有业务模块的全局变量 end */

    function init() {

        var company = global.company;
        var activePage = 0;//滑动跳转的条件值，3张导航页时activePage=2 ,4张导航页时activePage=3
        if (company != "jsyh") {
            $(_pageId + " .gz_ydlist li").eq(3).remove();
            $(_pageId + " .gz_numlist em").eq(3).remove();
            activePage = 0;
        }
        if (!myHIscroll) {
            var config = {
                wrapper: $(_pageId + ' #wrapper_yourname'), //wrapper对象
                scroller: $(_pageId + ' #scroller_yourname'), //scroller对象
                perCount: 1,  //每个可视区域显示的子元素，就是每个滑块区域显示几个子元素
                showTab: true, //是否有导航点
                tabDiv: $(_pageId + ' #tag_yourname'), //导航点集合对象
                auto: false, //是否自动播放
                onScrollEnd: function () {
                    if (myHIscroll.getActivePage() == activePage) {
                        if (flag == true) {
                            appUtils.pageInit("business/start", "business/index");
                        }
                        flag = true;
                    } else {
                        flag = false;
                    }
                }
            };
            myHIscroll = new HIscroll(config);
            $(' #mall_mallIndex  #scroller_yourname li').show();
        }
    }

    function bindPageEvent() {


    }

    function destroy() {
        $(_pageId).hide();
        myHIscroll.destroy();
        myHIscroll = null;
    }


    var start = {
        "init": init,
        "bindPageEvent": bindPageEvent,
        "destroy": destroy
    };

    // 暴露对外的接口
    module.exports = start;
});